DRBL project.
Authors: Steven Shiau <steven _at_ clonezilla org>, Blake, Kuo-Lien Huang (klhaung _at_ gmail com), Ceasar Sun (ceasar _at_ nchc org tw), Jazz Wang (jazz _at_ nchc org tw) and Thomas Tsai (thomas _at_ nchc org tw)
License: GPL
http://drbl.org
http://drbl.sourceforge.net
http://drbl.nchc.org.tw

drbl (5.8.7-drbl1) unstable; urgency=medium

  * Better description in functions confirm_continue_or_not_*.
  * Implemented the mechanism for gocryptfs encryption.
  * Added gocryptfs and fido2-tools in live pkgs list.
  * Swapped -enc/-senc with -goc/-sgoc in the TUI menu. By default now in the
    TUI we only show gocryptfs way. eCryptfs way is only in the command line
    option.
  * Updated language files about gocryptfs.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Mar 2026 22:15:21 +0800

drbl (5.8.6-drbl1) unstable; urgency=medium

  * Dropped vmfs-tools and reiserfsprogs in live packages list since they
    are no more in Debian Sid repo.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Mar 2026 05:28:29 +0800

drbl (5.8.5-drbl1) unstable; urgency=medium

  * drbl.conf: updated netinstall - Debian/Ubuntu/Fedora.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Mar 2026 22:41:00 +0800

drbl (5.8.4-drbl1) unstable; urgency=medium

  * Added ansifilter in Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Mar 2026 20:57:08 +0800

drbl (5.8.3-drbl1) unstable; urgency=medium

  * Added thin-provisioning-tools in Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 15 Mar 2026 16:38:22 +0800

drbl (5.8.2-drbl1) unstable; urgency=medium

  * Enable -smtd/-smmcb only as it's not x86-64 machine.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 18 Feb 2026 16:48:48 +0800

drbl (5.8.1-drbl1) unstable; urgency=medium

  * Updated language files for bcdboot command prompt.
  * Make sure it works for Debian 13.3.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Feb 2026 15:48:30 +0800

drbl (5.7.12-drbl1) unstable; urgency=medium

  * Include makeboot64.cmd instead of makeboot64.bat in live system.
  * Update Brazilian Portuguese translation.
    Thanks to Rafael Fontenelle.
    Ref: https://gitlab.com/stevenshiau/drbl/-/merge_requests/14#note_3049004839

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Feb 2026 15:57:06 +0800

drbl (5.7.11-drbl1) unstable; urgency=medium

  * Added the option "-reluks" in expert mode in TUI.
  * Updated language files about "-reluks" option.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Jan 2026 21:20:45 +0800

drbl (5.7.10-drbl1) unstable; urgency=medium

  * The file makeboot64.cmd was written by Tom Hoar, and
    is downloaded from 
    https://github.com/stevenshiau/clonezilla/issues/171

 -- Steven Shiau <steven@clonezilla.org>  Thu, 01 Jan 2026 13:31:42 +0800

drbl (5.7.9-drbl1) unstable; urgency=medium

  * Added lsb-release in the live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 10:20:55 +0800

drbl (5.7.8-drbl1) unstable; urgency=medium

  * drbl-prepare-memtest: support memtest86+ v8.0
    It no longer separate .bin (Legacy) and .efi (UEFI) files,
    i.e., a single binary for both UEFI and legacy boot.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Dec 2025 21:40:53 +0800

drbl (5.7.7-drbl1) unstable; urgency=medium

  * Updated language file zh_TW.UTF-8.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 26 Nov 2025 20:51:26 +0800

drbl (5.7.6-drbl1) unstable; urgency=medium

  * More language files about BitLocker were updated by marcosdiez. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 25 Nov 2025 07:13:41 +0800

drbl (5.7.5-drbl1) unstable; urgency=medium

  * Function check_luks_dev_then_ask_if_open_it was moved to ocs-functions
    from drbl-functions.
  * Updated language files about BitLocker device.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Nov 2025 19:43:52 +0800

drbl (5.7.4-drbl1) unstable; urgency=medium

  * Updated language files for BitLocker functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Nov 2025 10:04:49 +0800

drbl (5.7.3-drbl1) unstable; urgency=medium

  * Updated language files for BitLocker-related codes.
  * Enabled "-edio" for beginner mode.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Nov 2025 16:35:40 +0800

drbl (5.7.2-drbl1) unstable; urgency=medium

  * Removed b3sum from the live packages list. Since Ubuntu >= 24.10 uses
    coreutils-from-uutils which contains b3sum. We separate the packages
    list in Debian and Ubuntu.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 Oct 2025 21:41:53 +0800

drbl (5.7.1-drbl1) unstable; urgency=medium

  * Add package b3sum to live packages list.
  * Enabled "-edio" in TUI by default.
  * Use 4000 instead of 4096 in the prompt for the FAT32 file size limit.
    Ref: https://github.com/stevenshiau/clonezilla/issues/160

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Oct 2025 20:14:52 +0800

drbl (5.6.12-drbl1) unstable; urgency=medium

  * Updated language files about saving the MTD block device and eMMC boot devices.
  * Added 2 opts to TUI menu: -smtd & -smmcb

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 Oct 2025 16:04:01 +0800

drbl (5.6.11-drbl1) unstable; urgency=medium

  * Updated language files about MTD block & emmc boot devices.
  * Added options "-rmtd" & "-rmmcb" in TUI.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Oct 2025 19:52:06 +0800

drbl (5.6.10-drbl1) unstable; urgency=medium

  * Updated variable msg_delimiter_star_line in en_US

 -- Steven Shiau <steven@clonezilla.org>  Sun, 28 Sep 2025 19:54:39 +0800

drbl (5.6.9-drbl1) unstable; urgency=medium

  * Refined the language file en_US.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 26 Sep 2025 08:04:12 +0800

drbl (5.6.8-drbl1) unstable; urgency=medium

  * install-kernel-for-client: only when "^./lib/modules/" exists,
    the conversion of path "lib" under /tftpboot/node_root  will be done.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 24 Sep 2025 20:39:50 +0800

drbl (5.6.7-drbl1) unstable; urgency=medium

  * Updated language files about device to that of multiple machines.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 22 Sep 2025 21:03:22 +0800

drbl (5.6.6-drbl1) unstable; urgency=medium

  * ocsd-run.service in Debian should conflict with mkswapfile.service.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Sep 2025 10:41:55 +0800

drbl (5.6.5-drbl1) unstable; urgency=medium

  * Make drblsrv work for extracting files from linux-image deb, which will
    overwrite the linked file lib, i.e., "dpkg-deb --extract" command will
    remove the linked file tftpbooot/node_root/lib file even when it already exists,
    and create a dir tftpbooot/node_root/lib. This is backward compatible for
    Debian bookworm.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Sep 2025 09:42:18 +0800

drbl (5.6.4-drbl1) unstable; urgency=medium

  * drbl.conf: removed lib from diskless_root_dir_1 since lib is linked to
    usr/lib for modern Debian.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Sep 2025 11:52:12 +0800

drbl (5.6.3-drbl1) unstable; urgency=medium

  * drblsrv-offline: Prepare dirs first in $drbl_common_root/usr/:
    lib lib64 bin sbin 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Sep 2025 20:45:03 +0800

drbl (5.6.2-drbl1) unstable; urgency=medium

  * Only as a dir does not exist under $drbl_common_root it will be created.
  * Removed option "-r" from depmod command in update-drbl-client-kernel-from-server.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Sep 2025 18:34:20 +0800

drbl (5.6.1-drbl1) unstable; urgency=medium

  * Switched to use /usr/{sbin,bin,lib,lib64} mainly instead of
    {sbin,bin,lib,lib64}.
    This will make it work better in Debian 13.
  * Removed wakeonlan from dependence.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Sep 2025 20:12:50 +0800

drbl (5.6.0-drbl1) unstable; urgency=medium

  * Initial support for Debian 13.
  * drbl.conf: removed initscripts from PKG_TO_QUERY, otherwise it will
    break Debian 13 when running drblsrv -i.
  * drbl-doit: rewrite codes about running wake-on-lan.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Sep 2025 11:26:01 +0800

drbl (5.5.12-drbl1) unstable; urgency=medium

  * Removed b3sum from live system packages list.
    The coreutils-from-uutils in Ubuntu Questing will have that.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 06 Sep 2025 10:32:55 +0800

drbl (5.5.11-drbl1) unstable; urgency=medium

  [ Thomas Tsai ]
  * Added autopkgtest test scripts.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Sep 2025 15:46:56 +0800

drbl (5.5.10-drbl1) unstable; urgency=medium

  * Added packages at & cron in Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Aug 2025 10:09:27 +0800

drbl (5.5.9-drbl1) unstable; urgency=medium

  * drbl-kbdchooser: write live_keyboard_layouts to /etc/ocs/ocs-live.conf.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Jul 2025 20:03:25 +0800

drbl (5.5.8-drbl1) unstable; urgency=medium

  * Added fbterm & fontconfig in the Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Jul 2025 16:16:32 +0800

drbl (5.5.7-drbl1) unstable; urgency=medium

  * Updated language files about time sync.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jul 2025 20:14:34 +0800

drbl (5.5.6-drbl1) unstable; urgency=medium

  * Updated language files about system time.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jul 2025 15:41:39 +0800

drbl (5.5.5-drbl1) unstable; urgency=medium

  * Improved language file zh_TW.UTF-8 about time sync locally.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 20 Jul 2025 12:58:48 +0800

drbl (5.5.4-drbl1) unstable; urgency=medium

  * Updated language files about time sync locally.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 20 Jul 2025 11:54:54 +0800

drbl (5.5.3-drbl1) unstable; urgency=medium

  * Missing package e2fsprogs was added in GParted live
    packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Jul 2025 18:02:49 +0800

drbl (5.5.2-drbl1) unstable; urgency=medium

  * Updated language files about time sync.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 10 Jul 2025 19:36:45 +0800

drbl (5.5.1-drbl1) unstable; urgency=medium

  * drbl-functions: protect the image dir name variable
    so that special characters like () can be used.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 28 Jun 2025 10:52:23 +0800

drbl (5.5.0-drbl1) unstable; urgency=medium

  * Added options -gb3 & -cb3 for b3sum in the TUI menu.
    Renamed -gb as -gb2, and -cb as -cb2.
  * Added new (b3sum) checksum as creating live system.
  * Updated language files about B2SUM and B3SUM.
  * Add b3sum in the packages list of Clonezilla live.
  * Updated the variable msg_you_must_input_legal_filename
    in language files to include "(" and ")".

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Jun 2025 10:58:06 +0800

drbl (5.4.19-drbl1) unstable; urgency=medium

  * Added dhcpcd-base in the Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Jun 2025 18:05:07 +0800

drbl (5.4.18-drbl1) unstable; urgency=medium

  * Added ldap-utils in Clonezilla live system packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Jun 2025 18:48:02 +0800

drbl (5.4.17-drbl1) unstable; urgency=medium

  * Added krb5-user libsasl2-modules-gssapi-mit in live packages list.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/4b496866b4

 -- Steven Shiau <steven@clonezilla.org>  Tue, 03 Jun 2025 21:39:04 +0800

drbl (5.4.16-drbl1) unstable; urgency=medium

  * Removed duplicated pax from Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 25 May 2025 10:38:42 +0800

drbl (5.4.15-drbl1) unstable; urgency=medium

  * Added linux-cpupower in Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 25 May 2025 10:23:25 +0800

drbl (5.4.14-drbl1) unstable; urgency=medium

  * Added pax in the Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 24 May 2025 18:13:12 +0800

drbl (5.4.13-drbl1) unstable; urgency=medium

  * Added archivemount in the Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 24 May 2025 18:11:24 +0800

drbl (5.4.12-drbl1) unstable; urgency=medium

  * makeboot.sh: add support for KVM/QEMU virtual disks
    (e.g., /dev/vda, /dev/vdb)
    Ref: https://github.com/stevenshiau/drbl/pull/32

 -- Steven Shiau <steven@clonezilla.org>  Sun, 04 May 2025 11:24:28 +0800

drbl (5.4.11-drbl1) unstable; urgency=medium

  * Add package fscrypt in the packages list of Clonezilla live system.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 04 May 2025 11:15:30 +0800

drbl (5.4.10-drbl1) unstable; urgency=medium

  * Add usb-modeswitch in the Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 11 Apr 2025 02:18:20 +0800

drbl (5.4.9-drbl1) unstable; urgency=medium

  * Package name typo. It should be libfsapfs-utils.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 19 Mar 2025 21:18:47 +0800

drbl (5.4.8-drbl1) unstable; urgency=medium

  * Add ibfsapfs-utils in clonezilla live pkgs list.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 19 Mar 2025 20:48:14 +0800

drbl (5.4.7-drbl1) unstable; urgency=medium

  * Replaced package ntpdate with ntpsec-ntpdate in the packages list for
    live system.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 03 Mar 2025 20:19:10 +0800

drbl (5.4.6-drbl1) unstable; urgency=medium

  * Drop lz4mt, just lz4 to judge if -z8/-z8p.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 Feb 2025 21:13:20 +0800

drbl (5.4.5-drbl1) unstable; urgency=medium

  * Update Linux netinstall versions in drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Feb 2025 20:39:59 +0800

drbl (5.4.4-drbl1) unstable; urgency=medium

  * Move -plu option question to a standalone one so that it can be asked in
    the beginner mode, too.
  * Update language files about "-plu" option.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Feb 2025 20:28:39 +0800

drbl (5.4.3-drbl1) unstable; urgency=medium

  * Add the option "-plu" in savedisk/parts dialog menu.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 26 Jan 2025 21:14:26 +0800

drbl (5.4.2-drbl1) unstable; urgency=medium

  * Add package util-linux-extra to the packages list of
    clonezilla/gparted live.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 24 Jan 2025 07:46:55 +0800

drbl (5.4.1-drbl1) unstable; urgency=medium

  * Update language files for copy Clonezilla-related log files to
    Clonezilla live USB drive.
  * An option "-plu" was added in the TUI expert menu.
  * Add pmount in the packages list for live system.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Jan 2025 20:22:38 +0800

drbl (5.4.0-drbl1) unstable; urgency=medium

  * Restored fail-mbr.bin from previous version. Now we have plain
    text file "fail-mbr.txt", and it will be converted to "fail-mbr.bin"
    during packaging.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 01 Jan 2025 14:43:18 +0800

drbl (5.3.17-drbl1) unstable; urgency=medium

  * Add package jc in the live system packages list.
    Thanks to don Rumata for suggesting this.
    Ref: https://github.com/stevenshiau/clonezilla/issues/130

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 Dec 2024 20:43:59 +0800

drbl (5.3.16-drbl1) unstable; urgency=medium

  * Bug fixed: wrong format for packages list for live system.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Dec 2024 11:49:28 +0800

drbl (5.3.15-drbl1) unstable; urgency=medium

  * Bug fixed: wrong format for packages list for live system.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Dec 2024 11:38:55 +0800

drbl (5.3.14-drbl1) unstable; urgency=medium

  * Update the live packages list for live system. Add hashrat package.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Dec 2024 11:21:49 +0800

drbl (5.3.13-drbl1) unstable; urgency=medium

  * Restored package network-manager in Clonezilla live packages list
    since ppp does not include it.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Dec 2024 10:38:22 +0800

drbl (5.3.12-drbl1) unstable; urgency=medium

  * The option "-r" as restoring/cloning is off by default. When "-k1" is
    used, option "-r" will be used, too.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Nov 2024 15:58:30 +0800

drbl (5.3.11-drbl1) unstable; urgency=medium

  * Replaced network-manager with ppp in packages list of Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Nov 2024 20:19:43 +0800

drbl (5.3.10-drbl1) unstable; urgency=medium

  * drbl.conf: Update live packages list for amd64/arm64/riscv64.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Nov 2024 22:01:49 +0800

drbl (5.3.9-drbl1) unstable; urgency=medium

  * drbl.conf: do not put packages bicon and jfbterm in live system for
    general purpose. It does not exist for riscv64.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 31 Oct 2024 17:18:30 +0800

drbl (5.3.8-drbl1) unstable; urgency=medium

  * drbl.conf: do not put kexec-tools in live system for general purpose. It
    does not exist for riscv64.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 31 Oct 2024 15:26:50 +0800

drbl (5.3.7-drbl1) unstable; urgency=medium

  * Update the language files about msg_mount_ramdisk.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Sep 2024 14:39:06 +0800

drbl (5.3.6-drbl1) unstable; urgency=medium

  * Removed wireless-tools from packages list for live system
    in drbl.conf.
    Package iw should have same function, which is already included
    in live system.
    Ref: https://bugs.launchpad.net/ubuntu/+source/wireless-tools/+bug/2075850

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Sep 2024 12:11:26 +0800

drbl (5.3.5-drbl1) unstable; urgency=medium

  * drblpush: service enabled by systemd does not need to be enabled by
    update-rc.d.
  * Add support for DBN 12.5-12.7 and Ubuntu 22.04/24.04.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 14 Sep 2024 14:59:12 +0800

drbl (5.3.4-drbl1) unstable; urgency=medium

  * drbl.conf: reiser4progs was removed from the packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Sep 2024 20:29:07 +0800

drbl (5.3.3-drbl1) unstable; urgency=medium

  * Updated language files by adding "%" in msg_you_must_input_legal_filename.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 06 Aug 2024 20:17:26 +0800

drbl (5.3.2-drbl1) unstable; urgency=medium

  * Removed package cpufrequtils from lists of live system.
    It's not in the Debian repo anymore.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 24 Jun 2024 10:28:18 +0800

drbl (5.3.1-drbl1) unstable; urgency=medium

  * dcs: enabled only when opentracker & ezio exist on the system.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 12 Jun 2024 15:01:15 +0800

drbl (5.2.38-drbl1) unstable; urgency=medium

  * drbl.conf: add cryptsetup in PKG_TO_QUERY.
  * Merge pull request #31 from iamzhaohongxin/patch-1. Update zh_CN.UTF-8
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file de_DE was updated. Thanks to Savi G and Michael Vinzenz.
  * Removed duplicated variables msg_ocs_param_ps & msg_ocs_onthefly_param_ps
    in language file en_US. Thanks to Станислав Большаков.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Jun 2024 18:53:59 +0800

drbl (5.2.37-drbl1) unstable; urgency=medium

  * Removed thin-provisioning-tools from packages list of clonezilla live
    due to it breaks the dependences.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Apr 2024 01:14:23 +0800

drbl (5.2.36-drbl1) unstable; urgency=medium

  * Remove package deborphan in live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Apr 2024 22:15:25 +0800

drbl (5.2.35-drbl1) unstable; urgency=medium

  * Added yq in the live packages list.
  * fix: improved get-nic-devs excludes device name, so that the device wlo1,
    for example, should be kept.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Apr 2024 19:53:34 +0800

drbl (5.2.34-drbl1) unstable; urgency=medium

  * Add powermgmt-base in packages list of ocs live.
  * drbl.conf: Use lz4 instead of liblz4-tool in packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Apr 2024 17:33:12 +0800

drbl (5.2.33-drbl1) unstable; urgency=medium

  * drbl-functions: add support mmdebstrap checking.
  * make-rpm.sh & make-deb.sh: give exit code if script
    finishes in the end.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Mar 2024 12:21:48 +0800

drbl (5.2.32-drbl1) unstable; urgency=medium

  * Allow mmdebstrap to replace debootstrap in function
    create_live_required_debian_based_prompt of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 12 Mar 2024 18:28:05 +0800

drbl (5.2.31-drbl1) unstable; urgency=medium

  * Remove package dmraid from the list of gparted live in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 22 Feb 2024 11:50:58 +0800

drbl (5.2.30-drbl1) unstable; urgency=medium

  * drblsrv: Add an option to remove gnome-initial-setup for Debian.
    The corresponding language files were updated, too.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 13 Jan 2024 16:02:36 +0800

drbl (5.2.29-drbl1) unstable; urgency=medium

  * Language file hu_HU was updated. Thanks to Greg.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Jan 2024 08:17:53 +0800

drbl (5.2.28-drbl1) unstable; urgency=medium

  * A better mechanism learned from newer Debian to load unifont in Debian.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 14 Dec 2023 15:18:15 +0800

drbl (5.2.27-drbl1) unstable; urgency=medium

  * drbl.conf: removed dmraid from required packages list of Clonezilla live.
    It does not exist in Debian Sid anymore.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2023 21:03:53 +0800

drbl (5.2.26-drbl1) unstable; urgency=medium

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 02 Nov 2023 09:33:34 +0800

drbl (5.2.25-drbl1) unstable; urgency=medium

  * Language file ja_JP was updated. Thanks to Akira Yoshiyama.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 Oct 2023 12:30:09 +0800

drbl (5.2.24-drbl1) unstable; urgency=medium

  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language files el_GR.UTF-8 & pl_PL were updated. Thanks to
    Stamatis Mavrogiorgis and Kris.
  * Language files de_DE & sk_SK were updated. Thanks to Michael Vinzenz &
    Ondrej Dzivy Balucha.
  * Language file tr_TR was updated. Thanks to Volkan Gezer.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Oct 2023 08:38:19 +0800

drbl (5.2.23-drbl1) unstable; urgency=medium

  * Add option "-edio" in the TUI wizard.
  * Update language files about direct IO descriptions.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Oct 2023 20:17:12 +0800

drbl (5.2.22-drbl1) unstable; urgency=medium

  * Since grub commands "linux/initrd" works for uEFI boot,
    no matter it's secure boot or not. Just use them,
    not using linuxefi/initrdefi.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Aug 2023 10:35:15 +0800

drbl (5.2.21-drbl1) unstable; urgency=medium

  * gen-grub-efi-nb-menu: failed to write menu for memtest86+.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Jul 2023 17:28:10 +0800

drbl (5.2.20-drbl1) unstable; urgency=medium

  * Some more cosmetic rewritting. Less verbose outputs.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 28 Jul 2023 13:54:44 +0800

drbl (5.2.19-drbl1) unstable; urgency=medium

  * drbl.conf: set netinstall for Debian as bookworm.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 27 Jul 2023 20:27:33 +0800

drbl (5.2.18-drbl1) unstable; urgency=medium

  * Add acpitool in live packages list.
  * Default to use -z9p in the expert mode as saving, too.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 21 Jul 2023 15:59:49 +0800

drbl (5.2.17-drbl1) unstable; urgency=medium

  * Include vim instead of vim-tiny in the live system.
  * Default to use zstd (-z9p) in TUI as saving an img.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 Jul 2023 16:06:47 +0800

drbl (5.2.16-drbl1) unstable; urgency=medium

  * Package mlocate was replaced by plocate in the
    live system packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 06 Jul 2023 12:14:23 +0800

drbl (5.2.15-drbl1) unstable; urgency=medium

  * Add package ntfs2btrfs in Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Jun 2023 20:33:46 +0800

drbl (5.2.14-drbl1) unstable; urgency=medium

  * drbl-functions: screen_not_blank honors the variable ocs_screen_blank.
    When ocs_screen_blank="no" is assigned in the boot parameters,
    it won't run.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jun 2023 20:26:13 +0800

drbl (5.2.13-drbl1) unstable; urgency=medium

  * Add packages zfsutils-linux in the packages list of Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jun 2023 20:01:37 +0800

drbl (5.2.12-drbl1) unstable; urgency=medium

  * drbl-prepare-memtest: Adopt new file name for memtest86+ia32.*.
    It was emtest86+x32.*.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 May 2023 19:35:03 +0800

drbl (5.2.11-drbl1) unstable; urgency=medium

  * Allow choosing NIC in lite server mode when multiple network cards exist.
    Thanks to Date Huang and Nate Carr for asking this.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/6fedbfd6c3

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 May 2023 09:40:59 +0800

drbl (5.2.10-drbl1) unstable; urgency=medium

  * makeboot.sh: make it run only in x86 arch.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Apr 2023 08:49:10 +0800

drbl (5.2.9-drbl1) unstable; urgency=medium

  * Bug fixed: missed "\" for the next line in drbl-functions introduced in
    https://github.com/stevenshiau/drbl/pull/27/commits

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 Apr 2023 21:29:14 +0800

drbl (5.2.8-drbl1) unstable; urgency=medium

  * drbl.conf: add dvtm & dtach in live packages list.
  * Merge pull request #27 from kgeorgiy/master
    Bug: Invalid dialog options for '-p' option

 -- Steven Shiau <steven@clonezilla.org>  Mon, 27 Mar 2023 22:02:22 +0800

drbl (5.2.7-drbl1) unstable; urgency=medium

  * Bug fixed: drbl-sl should not modify grub's "--id", do not append
    ${SL_VER}. Just leave it as clonezilla-live-client. Program
    hide_reveal_grub_efi_ent needs it precisely.
    Thanks to Date Huang for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Feb 2023 11:54:54 +0800

drbl (5.2.6-drbl1) unstable; urgency=medium

  * Show option "-j2" in the restoreparts menu, default off.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Jan 2023 21:03:03 +0800

drbl (5.2.5-drbl1) unstable; urgency=medium

  * drbl-sl: show live version in grub menu.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jan 2023 19:11:53 +0800

drbl (5.2.4-drbl1) unstable; urgency=medium

  * Update language files about LUKS.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jan 2023 18:34:18 +0800

drbl (5.2.3-drbl1) unstable; urgency=medium

  * drbl-functions: add "--powersave off" in setterm of the function
    screen_not_blank.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Jan 2023 22:44:03 +0800

drbl (5.2.2-drbl1) unstable; urgency=medium

  * dcs: swtich to detect opentracker, not ocs-bttrack anymore.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Dec 2022 09:00:37 +0800

drbl (5.2.1-drbl1) unstable; urgency=medium

  * drbl-sl: make it work with memtest86+ v6 existing on the system. 
    Avoid the wrong assignment for Linux kernel.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 10 Dec 2022 17:27:54 +0800

drbl (5.2.0-drbl) unstable; urgency=medium

  * Support memtest86+ v6 naming & mechanism.
    Memtest86+ v6.00 now supports legacy BIOS and uEFI booting.
    Both x86 and x86-64 are supported, too. In DRBl/Clonezilla
    we use shorter file name so that it works in FAT file system:
    memtest86+.bin -> mt86+x32.mbr
    memtest86+x32.bin -> mt86+x32.mbr
    memtest86+x32.efi -> mt86+x32.efi
    memtest86+x64.bin -> mt86+x64.mbr
    memtest86+x64.efi -> mt86+x64.efi

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Nov 2022 14:21:57 +0800

drbl (5.1.17-drbl1) unstable; urgency=medium

  * Use OWNER:GROUP, not OWNER.GROUP in chown command.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 28 Oct 2022 18:11:21 +0800

drbl (5.1.16-drbl1) unstable; urgency=medium

  * Language file sk_SK and ja_JP were updated. Thanks to Ondrej Dzivý Balucha
    and Akira Yoshiyama.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 23 Oct 2022 19:23:21 +0800

drbl (5.1.15-drbl1) unstable; urgency=medium

  * Language file tr_TR was updated. Thanks to Volkan Gezer.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 20 Oct 2022 14:42:07 +0800

drbl (5.1.14-drbl1) unstable; urgency=medium

  * Language files de_DE, el_GR.UTF-8, es_ES, fr_FR and pl_PL were updated.
    Thanks to Michael Vinzenz, Stamatis Mavrogiorgis, Juan Ramón Martínez,
    Jean-Francois Nifenecker and Kris.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Oct 2022 20:51:14 +0800

drbl (5.1.13-drbl1) unstable; urgency=medium

  * Update language files about -k0/-k1 in beginner mode of ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Sep 2022 19:19:03 +0800

drbl (5.1.12-drbl1) unstable; urgency=medium

  * Show option "-k0" and "-k1" in the restoring, beginner mode.
  * The command egrep was replaced by "grep -E" to avoid grep >= 3.8
    showing warnings.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Sep 2022 20:09:32 +0800

drbl (5.1.11-drbl1) unstable; urgency=medium

  * check_drbl_setup_space: more precise calculation based on the variable
    varlib_NOT_2_be_copied_2_each_client from drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 24 Jul 2022 20:55:06 +0800

drbl (5.1.10-drbl1) unstable; urgency=medium

  * Include package ufw in live system.
  * Add option "-sfs" in the dialog menu. The corresponding language files
    were updated, too.
    Ref: https://github.com/stevenshiau/clonezilla/issues/71

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Jul 2022 20:39:33 +0800

drbl (5.1.9-drbl1) unstable; urgency=medium

  * Add duf, duff and dfc in the live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Jun 2022 12:12:50 +0800

drbl (5.1.8-drbl1) unstable; urgency=medium

  * Update set_drbl_ocs_extra_param of drbl-functions, more reasonable.
    The corresponding changes to drbl-client-switch was done, too.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 May 2022 08:31:58 +0800

drbl (5.1.7-drbl1) unstable; urgency=medium

  * Add the missing ngrep back in the packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 May 2022 08:11:40 +0800

drbl (5.1.6-drbl1) unstable; urgency=medium

  * Merge pull request #23 from yosshy/japanese
    Update Japanese translation. Thanks to Akira Yoshiyama.
  * Accidentally removed shc & uml-utilities in the packages list.
    Add them back.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 May 2022 09:16:48 +0800

drbl (5.1.5-drbl1) unstable; urgency=medium

  * Update netinstall version for Fedora and OpenSUSE.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 May 2022 09:16:45 +0800

drbl (5.1.4-drbl1) unstable; urgency=medium

  * Language files pl_PL and sk_SK were updated. Thanks to kris and
    Ondrej Dzivý Balucha.
  * Add ngrep in the packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 May 2022 07:53:29 +0800

drbl (5.1.3-drbl1) unstable; urgency=medium

  * Language file de_DE were updated. Thanks to Michael Vinzenz.
  * Add uml-utilities in live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 May 2022 10:23:12 +0800

drbl (5.1.2-drbl1) unstable; urgency=medium

  * Update language files es_ES, hu_HU & fr_FR.
    Thanks to Juan Ramón Martínez, Greg and Jean-Francois Nifenecker.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 May 2022 11:32:11 +0800

drbl (5.1.1-drbl1) unstable; urgency=medium

  * set_drbl_ocs_extra_param: OCS_PARAM_TMP is a global variable.
    No need to pass to function.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 May 2022 09:01:26 +0800

drbl (5.1.0-drbl1) unstable; urgency=medium

  * drbl-functions: add a function about using a dialog to ask if
    opening LUKS device.
  * Update language files about LUKS in TUI.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 May 2022 07:41:58 +0800

drbl (5.0.9-drbl1) unstable; urgency=medium

  * Updated language files about opening LUKS or not.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 May 2022 10:42:50 +0800

drbl (5.0.8-drbl1) unstable; urgency=medium

  * drbl-get-dnsserver: support using resolvctl to get DNS setting.
    This makes it work for Ubuntu 22.04.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 22 Apr 2022 07:31:33 +0800

drbl (5.0.7-drbl1) unstable; urgency=medium

  * Updated language file ca_ES. Thanks to René Mérou.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Apr 2022 16:25:02 +0800

drbl (5.0.6-drbl1) unstable; urgency=medium

  * To make it consistent. Put "-k0" even it's in beginner mode for
    restoredisk in the dialog menu.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 29 Mar 2022 14:38:09 +0800

drbl (5.0.5-drbl1) unstable; urgency=medium

  * Check option "exit" earlier in k-related options menu of dialog.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Mar 2022 20:50:32 +0800

drbl (5.0.4-drbl1) unstable; urgency=medium

  * Add the dummy option "-k0" for the dialog of creating partition
    in ocs-sr and ocs-onthefly. It's the same as default action.
    Just easier for us to explain.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Mar 2022 12:49:54 +0800

drbl (5.0.3-drbl1) unstable; urgency=medium

  * Remove s3ql from the packages list of Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 13 Mar 2022 19:03:23 +0800

drbl (5.0.2-drbl1) unstable; urgency=medium

  * Removed extra unnecessary Alias line in the following files:
    arm-wol.service, drbl-clients-nat.service, drblthincli.service, mkswapfile.service

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Mar 2022 15:12:24 +0800

drbl (5.0.1-drbl1) unstable; urgency=medium

  * Add memtester and edac-utils in the packages list for Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 14 Feb 2022 21:33:07 +0800

drbl (5.0.0-drbl1) unstable; urgency=medium

  * Update language files for the support of LUKS.
  * Add dtrx in the packages list for Clonezilla live.
  * Sync the version number with Clonezilla 5.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Feb 2022 21:39:38 +0800

drbl (4.6.7-drbl1) unstable; urgency=medium

  * Program pixz was replaced by xz since using "-T 0" works the same.
    Hence the description was updated.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Jan 2022 11:43:00 +0800

drbl (4.6.6-drbl1) unstable; urgency=medium

  * Add wavemon in the packages list.
  * Add language files el_GR.UTF-8. Thanks to Stamatis Mavrogiorgis.
  * Add Greek in the languages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Jan 2022 11:54:00 +0800

drbl (4.6.5-drbl1) unstable; urgency=medium

  * Language file hu_HU updated. Thanks to Greg.
  * Update netinstall for fedora as 35.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 30 Dec 2021 16:25:11 +0800

drbl (4.6.4-drbl1) unstable; urgency=medium

  * Language files ca_ES, de_DE, es_ES, fr_FR, ja_JP, pl_PL and
    sk_SK were updated. Thanks to René Mérou, Michael Vinzenz,
    Juan Ramón Martínez, Akira Yoshiyama, Jean-Francois Nifenecker,
    Kris, and Ondrej Dzivý Balucha.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 27 Dec 2021 21:22:03 +0800

drbl (4.6.3-drbl1) unstable; urgency=medium

  * put_syslinux_makeboot_for_usb_flash of drbl-functions: 
    revert to use assigned version of syslinux.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Dec 2021 17:48:21 +0800

drbl (4.6.2-drbl1) unstable; urgency=medium

  * Update language files.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Dec 2021 13:02:38 +0800

drbl (4.6.1-drbl1) unstable; urgency=medium

  * Update language files about image volume size (msg_set_image_volume_size).
  * drbl.conf: Update netinstall dor Debian and Ubuntu.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Dec 2021 19:20:27 +0800

drbl (4.5.16-drbl1) unstable; urgency=medium

  * boot-local-efi.cfg: Improved to detect hd1, hd2...
    Thanks to Sung Cho for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/bugs/371/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Nov 2021 11:15:37 +0800

drbl (4.5.15-drbl1) unstable; urgency=medium

  * Language files of sk_SK were updated. Thanks to Ondrej Dzivy Balucha.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Nov 2021 21:58:03 +0800

drbl (4.5.14-drbl1) unstable; urgency=medium

  * Japanese language files were updated.
    Thanks to Akira Yoshiyama.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Nov 2021 16:48:59 +0800

drbl (4.5.13-drbl1) unstable; urgency=medium

  * Language files de_DE, hu_HU, es_ES, fr_FR, pl_PL, tr_TR, were updated.
    Thanks to Michael Vinzenz, Greg., Jean-Francois Nifenecker,
    Juan Ramón Martínez, kris, and Volkan Gezer.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 10 Nov 2021 22:21:53 +0800

drbl (4.5.12-drbl1) unstable; urgency=medium

  * Bug fixed: option "-j2" was missing in recovery-iso-zip mode.
    Thanks to Ek Han Heng for reporting this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/9ffa31f838/

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Nov 2021 22:24:00 +0800

drbl (4.5.11-drbl1) unstable; urgency=medium

  * Language files es_ES were updated. Thanks to Juan Ramón Martínez.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Oct 2021 20:04:38 +0800

drbl (4.5.10-drbl1) unstable; urgency=medium

  * Update language files about wired/wireless NIC.
  * Add packages openfortivpn & openconnect in the packages list of
    Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Oct 2021 14:46:22 +0800

drbl (4.5.9-drbl1) unstable; urgency=medium

  * Update language files about wifi device.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 25 Oct 2021 16:13:15 +0800

drbl (4.5.8-drbl1) unstable; urgency=medium

  * Clean unsupported ones in drbl/setup/files/
  * drblpush: modify the way to get most_related_ver_d, and update some
    comments.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Oct 2021 22:26:24 +0800

drbl (4.5.7-drbl1) unstable; urgency=medium

  * Clean unsupported DBN9.0 files. Update ocsd-rescue.service for DBN-TU.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Oct 2021 21:58:18 +0800

drbl (4.5.6-drbl1) unstable; urgency=medium

  * Bug fixed: "-z9p" was not shown in the save menu for beginner mode.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Oct 2021 18:43:01 +0800

drbl (4.5.5-drbl1) unstable; urgency=medium

  * Enable the option -z9p for Clonezilla SE beginner mode.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Oct 2021 18:56:24 +0800

drbl (4.5.4-drbl1) unstable; urgency=medium

  * Replace "which" with "command -v" in the script because "which"
    command is deprecated.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Oct 2021 13:57:56 +0800

drbl (4.5.3-drbl1) unstable; urgency=medium

  * deb-preconf-drbl was renamed as drbl-deb-preconf.
  * Bug fixed:
    drbl-deb-preconf should not be run again in drblsrv-offline. It only
    runs once at drblsrv.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 27 Sep 2021 18:57:34 +0800

drbl (4.5.2-drbl1) unstable; urgency=medium

  * drbl-functions: add function check_url, and a better way to download
    earlier version of syslinux when the specified version does not
    exist at syslinux repository. Do not assign the versions of 
    syslinux-related pkgs in function put_syslinux_makeboot_for_usb_flash.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 26 Sep 2021 10:23:38 +0800

drbl (4.5.1-drbl1) unstable; urgency=medium

  * Suppress the error message about "setterm -blank 0".

 -- Steven Shiau <steven@clonezilla.org>  Mon, 13 Sep 2021 09:27:02 +0800

drbl (4.5.0-drbl1) unstable; urgency=medium

  * Since the version number with that of Clonezilla. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Aug 2021 10:29:46 +0800

drbl (4.4.2-drbl1) unstable; urgency=medium

  * Update language files about reserved image names.
  * ocsd-rescue.service: do not use .include for Debian 10 since
    systemd .include directives are deprecated. Same as that for Debian 11.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 28 Aug 2021 11:59:20 +0800

drbl (4.4.1-drbl1) unstable; urgency=medium

  * drblsrv: /etc/default/nis is not created for newer nis package
    (version >= 4, from Debian 11 or Ubuntu 21.04) by using the option "-s"
    of deb-preconf-drbl.
  * deb-preconf-drbl: add option "-s" to set /etc/default/nis.
    By default /etc/default/nis is not created.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Aug 2021 21:57:56 +0800

drbl (4.3.16-drbl1) unstable; urgency=medium

  * Add support OCS for Debian 11 (Bullseye).
  * Improve makeboot64.bat: checking FAT file system
    Thanks to Geert-Jan Uijtdewilligen.
    Ref:
    https://sourceforge.net/p/clonezilla/support-requests/158/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 Aug 2021 10:37:07 +0800

drbl (4.3.15-drbl1) unstable; urgency=medium

  * Update msg_press_space_to_mark_selection in the language files.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 22 Jul 2021 21:04:51 +0800

drbl (4.3.14-drbl1) unstable; urgency=medium

  * Add vifm, ytree, and lfm in the packages list of Clonezilla/DRBL live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Jul 2021 16:06:37 +0800

drbl (4.3.13-drbl1) unstable; urgency=medium

  * drbl.conf: add packages ncdu & ncdt in the packages list
    of clonezilla/drbl live.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 Jul 2021 14:05:06 +0800

drbl (4.3.12-drbl1) unstable; urgency=medium

  * The option "-j2" (clone_hidden_data) should be only enabled
    by default only when it's restoredisk, not restoreparts.
    Ref: https://sourceforge.net/p/clonezilla/bugs/361/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 05 Jul 2021 20:40:57 +0800

drbl (4.3.11-drbl1) unstable; urgency=medium

  * Add function clean_raid_metadata_in_disk in ocs-functions.
    Function clean_filesystem_header_in_partition is renamed as
    clean_filesystem_header_in_dev.
  * ocs-clean-part-fs is renamed as ocs-clean-disk-part-fs

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jun 2021 19:53:32 +0800

drbl (4.3.10-drbl1) unstable; urgency=medium

  * Add support for Ubuntu 21.04. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 16 May 2021 16:27:52 +0800

drbl (4.3.9-drbl1) unstable; urgency=medium

  * drbl-get-dnsserver: improved for multiple NIC configured with DNS, 
    nameserver_sys can be like: '8.8.8.8 DNS Domain: ~.  8.8.8.8 DNS Domain: ~.'
    Hence we only put correct IPv4 address.
    Ref: https://groups.google.com/g/drbl/c/ebgoMdLIo9c

 -- Steven Shiau <steven@clonezilla.org>  Sun, 25 Apr 2021 19:56:53 +0800

drbl (4.3.8-drbl1) unstable; urgency=medium

  * Add b2sum in gen_CDG_checksums of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 05 Apr 2021 11:29:31 +0800

drbl (4.3.7-drbl1) unstable; urgency=medium

  * Add dir links for CentOS 7.7-7.9: CO7.7.1908, CO7.8.2003, CO7.9.2009.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Mar 2021 12:05:10 +0800

drbl (4.3.6-drbl1) unstable; urgency=medium

  * The option -sspt of ocs-sr was changed to -scpt so change it in TUI menu
    in drbl-functions and language files.
  * Update language files about types of block device.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Mar 2021 21:35:33 +0800

drbl (4.3.5-drbl1) unstable; urgency=medium

  * Add b2sum support for image chcksum and files in the file system.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Mar 2021 16:54:45 +0800

drbl (4.3.4-drbl1) unstable; urgency=medium

  * A typo was fixed:
    msg_continue_with_weired_partition_table ->
    msg_continue_with_weird_partition_table.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Mar 2021 22:00:41 +0800

drbl (4.3.3-drbl1) unstable; urgency=medium

  * Add -ssnf (--skip-set-netboot-first) in the dcs menu so that 
    the variable efi_netboot_1st_in_nvram in drbl-ocs.conf can be
    changed in the menu when running dcs.
  * Add -sspt (--skip-save-part-table) in the menu for ocs-sr and drbl-ocs.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Mar 2021 16:10:05 +0800

drbl (4.3.2-drbl1) unstable; urgency=medium

  * Include jq in Clonezilla/DRBL live:
    Thanks to Rumata Estorskiy for asking this:
    https://gitlab.com/stevenshiau/clonezilla/-/issues/57

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Mar 2021 07:10:17 +0800

drbl (4.3.1-drbl1) unstable; urgency=medium

  * Update the Clonezilla live arch in drblpush:
    Debian-based: i686, i686-pae, amd64
    Ubuntu-based: amd64
  * Update language files about CPU arch of clonezilla live in drblpush.
  * drbl-all-service: remove update-rc.d, use insserv only for Debian
    system.
  * Do not remove username=* in filter_cl_gp_boot_param of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Feb 2021 15:10:24 +0800

drbl (4.2.18-drbl1) unstable; urgency=medium

  * zh_CN.UTF-8: Thanks Zhiqiang Zhang for updating.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 17 Feb 2021 21:29:33 +0800

drbl (4.2.17-drbl1) unstable; urgency=medium

  * Comment "IPAPPEND 1" in generate-pxe-menu. It fails the live-boot
    when pxebooting a clonezilla/drbl live client.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Feb 2021 20:24:58 +0800

drbl (4.2.16-drbl1) unstable; urgency=medium

  * Update language files about fsck repository file system.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Jan 2021 09:53:18 +0800

drbl (4.2.15-drbl1) unstable; urgency=medium

  * drbl.conf: use exfatprogs instead of exfat-utils in the packages
    list of Clonezilla/DRBL live. Add it to GParted live, too.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Jan 2021 17:58:00 +0800

drbl (4.2.14-drbl1) unstable; urgency=medium

  * Fix a typo in the language file zh_TW.UTF-8.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Jan 2021 22:50:31 +0800

drbl (4.2.13-drbl1) unstable; urgency=medium

  * Update language files about fsck repository file system.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Jan 2021 22:29:05 +0800

drbl (4.2.12-drbl1) unstable; urgency=medium

  * Bug fixed: drbl-sl failed to support GParted live due to the default
    boot parameters are using aufs, not overlay. In addition, the
    function filter_cl_gp_boot_param in drbl-function should 
    support the format of $linux_cmd line in grub.cfg.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 12 Jan 2021 22:13:32 +0800

drbl (4.2.11-drbl1) unstable; urgency=medium

  * Add virt-what in live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Jan 2021 19:57:57 +0800

drbl (4.2.10-drbl1) unstable; urgency=medium

  * Update language files about samba protocol.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 01 Jan 2021 20:55:40 +0800

drbl (4.2.9-drbl1) unstable; urgency=medium

  * Disable zz-dhclient in the initramfs on DRBL server.
    Ref:
    https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/791b123348/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 28 Dec 2020 09:57:25 +0800

drbl (4.2.8-drbl1) unstable; urgency=medium

  * Improve parse_cmdline_option to allow multiple "=" in a line, e.g.,
    ocs_live_run="ocs-sr -q2 -j2 -z1p -p poweroff savedisk autoname-wpfx=fox serialno=xyz
    Thanks to Christopher S for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/support-requests/144/

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Dec 2020 10:56:12 +0800

drbl (4.2.7-drbl1) unstable; urgency=medium

  * Add glances in the packages list of drbl/clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 25 Dec 2020 11:42:29 +0800

drbl (4.2.6-drbl1) unstable; urgency=medium

  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 10 Dec 2020 18:12:29 +0800

drbl (4.2.5-drbl1) unstable; urgency=medium

  * Add more packages in DRBL/Clonezilla live packages list:
    vnstat iperf3

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Dec 2020 08:45:54 +0800

drbl (4.2.4-drbl1) unstable; urgency=medium

  * Add more packages in DRBL/Clonezilla live packages list:
    ipv6calc atop usbtop bashtop python3-psutil

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Dec 2020 08:19:22 +0800

drbl (4.2.3-drbl1) unstable; urgency=medium

  * Run grep and show 5 lines afterwards only in 
    get_latest_pkg_in_drbl_repository of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Nov 2020 19:06:24 +0800

drbl (4.2.2-drbl1) unstable; urgency=medium

  * Add package f3 in Clonezilla/DRBL live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Nov 2020 16:11:57 +0800

drbl (4.2.1-drbl1) unstable; urgency=medium

  * Remove hfsprogs from the default packages list in 
    DRBL/Clonezilla/GParted live since it's now in Debian non-free section.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 Nov 2020 13:32:40 +0800

drbl (4.2.0-drbl1) unstable; urgency=medium

  * mkswapfile: Use new name ocs-get-dev-info
  * Sync the version number with Clonezilla.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 18 Nov 2020 09:55:41 +0800

drbl (4.1.5-drbl1) unstable; urgency=medium

  * Add scsitools blktool safecopy gpart to the packages list
    of clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Nov 2020 20:13:51 +0800

drbl (4.1.4-drbl1) unstable; urgency=medium

  * Update opensuse netinstall as 15.2 in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Oct 2020 20:53:26 +0800

drbl (4.1.3-drbl1) unstable; urgency=medium

  * Bug fixed: ocsd-*.service was not corrected copied by drblpush.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 25 Oct 2020 12:56:02 +0800

drbl (4.1.2-drbl1) unstable; urgency=medium

  * Update ocsd-rescue.service for Ubuntu 20.10 since it requires
    ExecStart. The original inclusion from rescue.service is not working
    anymore.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 24 Oct 2020 16:21:18 +0800

drbl (4.1.1-drbl1) unstable; urgency=medium

  * ocs-onthefly: Update locales about net pipe program netcat and nuttcp.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 10 Oct 2020 22:39:55 +0800

drbl (4.1.0-drbl1) unstable; urgency=medium

  * Sync the option "-p" of ocs-onthefly with ocs-sr, it was "-pa" for
    ocs-onthefly.
    In addition, "-pa cmd" is now "-p true" when shown in dialog.
  * Update language files for updated ocs-onthefly:
    1. Default to use nuttcp.
    2. Use ocs-sr to save and restore pseudo image.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 Oct 2020 00:10:48 +0800

drbl (4.0.2-drbl1) unstable; urgency=medium

  * Update drbl.conf:
    Use package name netcat-traditional instead of the fuzzy name: netcat.
    Include uuid-runtime in the Clonezilla live.
    Add nuttcp to PKG_TO_QUERY.
    Update fedora_netinstall_ver as "32".

 -- Steven Shiau <steven@clonezilla.org>  Tue, 29 Sep 2020 15:01:57 +0800

drbl (4.0.1-drbl1) unstable; urgency=medium

  * Add package uuid-runtime in Clonezilla/DRBL packages list.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Sep 2020 22:07:48 +0800

drbl (4.0.0-drbl1) unstable; urgency=medium

  * Add more prompt about the function language_help_prompt_by_idx_no
    of drbl-functions.
  * Sync the version number to that of Clonezilla.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Sep 2020 22:30:50 +0800

drbl (2.33.6-drbl1) unstable; urgency=medium

  * Bug fixed: grub netboot host specific boot issue fixed. Thanks to Mark
    Wiese.
    Ref:
    https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/6ad0214cc0

 -- Steven Shiau <steven@clonezilla.org>  Sun, 13 Sep 2020 13:03:37 +0800

drbl (2.33.5-drbl1) unstable; urgency=medium

  * Update language file about ocs-onthefly's -rvd option.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 10 Sep 2020 21:38:38 +0800

drbl (2.33.4-drbl1) unstable; urgency=medium

  * Spain Language files were updated. Thanks to Juan Ramón Martínez.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 04 Sep 2020 08:51:47 +0800

drbl (2.33.3-drbl1) unstable; urgency=medium

  * Bug fix: missing assignment for $linux_cmd and $initrd_cmd in the
    grub boot menu created by drbl-usb-netinstall.
  * Rename function output_netinstall_syslinux_pxelinux_menu as
    output_netinstall_boot_menu so its name can cover uefi netboot.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 17 Aug 2020 15:08:06 +0800

drbl (2.33.2-drbl1) unstable; urgency=medium

  * Add the updated Korean language file. Thanks to Hyeonmin Oh.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 Aug 2020 12:41:57 +0800

drbl (2.33.1-drbl1) unstable; urgency=medium

  * Add Korean support. Thanks to Hyeonmin Oh and 박규민.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Aug 2020 06:59:16 +0800

drbl (2.32.10-drbl1) unstable; urgency=medium

  * Link pxelinux.0 as lpxelinux.0 in tftp root so that CentOS 7 can work in
    the new drbl config file.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 Jul 2020 21:23:33 +0800

drbl (2.32.9-drbl1) unstable; urgency=medium

  * Export linux_cmd and initrd_cmd in grub.cfg, i.e., make them as global
    variables so that the submenu can use that, too.
    Thanks to Chuck for identifying this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/a7b696d13e/

 -- Steven Shiau <steven@clonezilla.org>  Fri, 03 Jul 2020 08:11:24 +0800

drbl (2.32.8-drbl1) unstable; urgency=medium

  * Bug fixed: wrong commands for parsing $linux_cmd
  * Remove exfat-fuse from packages list. It will be added in run-time since
    Linux kernel 5.7 has a module to support exfat. No need to use fuse
    program for distribution using Linux kernel >= 5.7.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Jun 2020 16:14:36 +0800

drbl (2.32.7-drbl1) unstable; urgency=medium

  * A better mechanism to deal with linuxefi/initrdefi or linux/initrd in
    the grub config. This can avoid using that in the client of arm arch
    (for the future).

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Jun 2020 17:16:43 +0800

drbl (2.32.6-drbl1) unstable; urgency=medium

  * drbl-sl: get the default boot parameters from grub.cfg instead of
    isolinux.cfg since we can locate it in more precise way.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 31 May 2020 06:56:30 +0800

drbl (2.32.5-drbl1) unstable; urgency=medium

  * Make my email address consistent at clonezilla org for all the files.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 May 2020 23:47:35 +0800

drbl (2.32.4-drbl1) unstable; urgency=medium

  * grub netboot cfg dir is now at /tftpboot/nbi_img/grub/,
    while for backward compatibility, we still link it to
    /tftpboot/nbi_img/grub-efi.cfg.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 May 2020 20:59:23 +0800

drbl (2.32.3-drbl1) unstable; urgency=medium

  * Bug fixed: missing linuxefi module in drbl-gen-grub-efi-nb since
    we have used linuxefi/initrdefi in the grub config file.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 May 2020 15:34:44 +0800

drbl (2.32.2-drbl1) unstable; urgency=medium

  * Bug fixed: the created grub menu by drbl-sl and the function
    output_netinstall_syslinux_pxelinux_menu of drbl-functions
    should use linuxefi/initrdefi, not linux/initrd.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 May 2020 21:34:50 +0800

drbl (2.32.1-drbl1) unstable; urgency=medium
  * drbl-gen-grub-efi-nb: grub-header.cfg is moved & can assign tftp server
    Move grub-header.cfg to grub.cfg so that it's more flexible.
    If tftp server is assigned for drbl-gen-grub-efi-nb, the IP address
    should be assigned to the menu created by gen-grub-efi-nb-menu.
  * gen-grub-efi-nb-menu: improve tftp & header file.
    1. Add -t|--tftp-server option for assigning the TFTP server.
    2. Move the grub-header.cfg from drbl-gen-grub-efi-nb so that it's more
    flexible.
    3. To avoid conflict with the patch of grub in CentOS/Fedora,
       for GRUB EFI NB MAC/IP config style, the netboot file is now like
       grub.cfg-drbl-00:50:56:01:01:01
       and
       grub.cfg-drbl-192.168.177.2
       not grub.cfg-01-* anymore.
    4. Use linuxefi/initrdefi instead of linux/initrd command in the grub
    config file.
  * dcs: bug - did not switch some client's mode.
  * Follow the change in gen-grub-efi-nb-menu, the grub command in the
    grub config file is now linuxefi/initrdefi instead of
    linux/initrd. Hence the corresponding functions have to be
    changed:
    add_opt_in_grub_efi_cfg_block
    remove_opt_in_grub_efi_cfg_block
  * ocswp-grub2.png: Make characters smaller.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 May 2020 09:34:52 +0800

drbl (2.31.11-drbl1) unstable; urgency=medium

  * drbl.conf: add xen-tools in live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 22 May 2020 05:53:00 +0800

drbl (2.31.10-drbl1) unstable; urgency=medium

  * The option -z5p was missing in the menu due to pxz was not replaced by
    pixz. Thanks to Darkyere for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/bugs/344/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 12 May 2020 21:47:41 +0800

drbl (2.31.9-drbl1) unstable; urgency=medium

  * Remove extra drbl-ocs command in unicast of dcs.
  * This release should be ready for Ubuntu 20.04 (Focal).

 -- Steven Shiau <steven@clonezilla.org>  Thu, 30 Apr 2020 22:48:34 +0800

drbl (2.31.8-drbl1) unstable; urgency=medium

  * Update INTERFACESv4 in get_dhcpd_interface. Avoid multicast service
    failure.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 30 Apr 2020 20:25:20 +0800

drbl (2.31.7-drbl1) unstable; urgency=medium

  * Add netinstall for Ubuntu 20.04. Drop 19.10.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Apr 2020 11:44:41 +0800

drbl (2.31.6-drbl1) unstable; urgency=medium

  * Add scdaemon in the drbl/clonezilla packages list.
    Thanks to nurupo for suggesting this.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 Apr 2020 08:09:21 +0800

drbl (2.31.5-drbl1) unstable; urgency=medium

  * Support detecting more partition name in makeboot.sh. Thanks to
    mauromol for reporting this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Help/thread/4008506eeb

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Apr 2020 16:06:58 +0800

drbl (2.31.4-drbl1) unstable; urgency=medium

  * Make the template dhcpd.conf generated by drblpush work for
    Raspberry Pi and Rockpro64.
  * Use INTERFACESv4 instead of INTERFACES for dhcpd since it's deprecated
    in Debian/Ubuntu's version.
  * Add pax in the packages list of Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Apr 2020 21:54:37 +0800

drbl (2.31.3-drbl1) unstable; urgency=medium

  * Fix duplicated -z1p/-z9p dialog in expert mode. Thanks to
    ottokang _at gmail com for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 30 Mar 2020 21:32:11 +0800

drbl (2.31.2-drbl1) unstable; urgency=medium

  * No more including ufsutils in drbl/clonezilla live.
  * Add required variable PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_ARMHF_ONLY
    in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 14 Mar 2020 17:09:11 +0800

drbl (2.31.1-drbl1) unstable; urgency=medium

  * Replace pzstd by zstdmt, and add -z1p/-z9p in beginner mode. Thanks to
    Lord65 (lord5319 _at_ gmail com) for this idea.
    Ref: https://github.com/facebook/zstd/pull/1192#issuecomment-397599977

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 Mar 2020 20:51:10 +0800

drbl (2.31.0-drbl1) unstable; urgency=medium

  * Removed pxz, move packages mbmon and vbetool to X86 and X86-64 sectors
    in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 06 Mar 2020 21:48:34 +0800

drbl (2.30.33-drbl1) unstable; urgency=medium

  * Add "-p cmd" option for these 2 functions in drbl-functions:
    ocs_sr_param_postaction_after_clone
    ocs_onthefly_param_postaction_after_clone

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Mar 2020 16:03:14 +0800

drbl (2.30.32-drbl1) unstable; urgency=medium

  * Update language file ca_ES. Thanks to René Mérou.
  * Update the language file ja_JP. Thanks to Akira Yoshiyama.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Mar 2020 14:43:21 +0800

drbl (2.30.31-drbl1) unstable; urgency=medium

  * Update the language files tr_TR, hu_HU, it_IT, pl_PL.
    Thanks to Volkan, Greg, ski777000, and Gianfranco.
  * Update language file sk_SK. Thanks to ondrej dzivy balucha.
  * Update language file de_DE and fr_FR. Thanks to Michael and
    Jean-Francois.
  * Include packages nvme-cli and scrub in Clonezilla live.
    Thanks to Suncatcher for suggesting this.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 24 Feb 2020 21:55:37 +0800

drbl (2.30.30-drbl1) unstable; urgency=medium

  * Update languge files es_ES. Thanks to Juan Ramón Martínez.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 17 Feb 2020 11:14:41 +0800

drbl (2.30.29-drbl1) unstable; urgency=medium

  * To save space, include mtr-tiny instead of mtr in DRBL/Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Jan 2020 21:19:41 +0800

drbl (2.30.28-drbl1) unstable; urgency=medium

  * Add mtr dcfldd iotop to packages list of drbl/clonezilla live.
  * Bug fixed: "$#" not ""$?" in argument test of makeboot.sh.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Jan 2020 08:05:49 +0800

drbl (2.30.27-drbl1) unstable; urgency=medium

  * Add bluetooth related packages in DRBL/Clonezilla live packages list:
    bluetooth bluez bluez-tools
  * Check if mcopy exists in makeboot.sh. Thanks to Laurence Mitchell for
    reporting this.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 Dec 2019 08:42:35 +0800

drbl (2.30.26-drbl1) unstable; urgency=medium

  * Fix the issue for setting up Ubuntu 19.10. Thanks to Spinage and
    bliard. Ref:
    https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/33a8153d3d

 -- Steven Shiau <steven@clonezilla.org>  Sat, 07 Dec 2019 18:58:56 +0800

drbl (2.30.25-drbl1) unstable; urgency=medium

  * Update language files about zstd description.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 03 Dec 2019 21:45:01 +0800

drbl (2.30.24-drbl1) unstable; urgency=medium

  * Remove archivemount from packages list of clonezilla live since:
    (1) It requires fuse v2 but now only fuse v3 is available in Debian Sid.
    (2) It's not used basically in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Nov 2019 22:08:00 +0800

drbl (2.30.23-drbl1) unstable; urgency=medium

  * Changes in the packages:
    Remove cloudfuse: it's not maintained for more than 4 years, 
    and fuse < 3 is not available in Debian Sid.
    Add s3ql in the packages list so that user can manually mount
    swift/S3 cloud storage.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Nov 2019 17:09:08 +0800

drbl (2.30.22-drbl1) unstable; urgency=medium

  * Update netinstall for fedora 31 and centos 8.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Nov 2019 22:34:52 +0800

drbl (2.30.21-drbl1) unstable; urgency=medium

  * Add tmux in the drbl/clonezilla live pkgs list.
  * Netinstall for Ubuntu is set as bionic and eoan.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Nov 2019 13:12:54 +0800

drbl (2.30.20-drbl1) unstable; urgency=medium

  * Update function parse_cmdline_option so that it can parse the
    boot parameter like ocs_repository from grub.
    Thanks to jeff.sadowski for reporting this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Help/thread/ebf65f9bdd/
  * Update Brazilian Portuguese translation. Thank to Rafael Fontenelle for
    updating that.
    Ref: https://gitlab.com/stevenshiau/drbl/merge_requests/13

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Oct 2019 16:55:43 +0800

drbl (2.30.19-drbl1) unstable; urgency=medium

  * Update language files about playing sound.
  * Add music123 & sound-icons in the DRBL/Clonezilla packages list.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 15 Oct 2019 22:57:42 +0800

drbl (2.30.18-drbl1) unstable; urgency=medium

  * Add packages mutt and telnet in DRBL/Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 Sep 2019 18:38:54 +0800

drbl (2.30.17-drbl1) unstable; urgency=medium

  * Separate PKG_FROM_DBN_WHICH_OCS_LIVE_NEED in drbl.conf as
    PKG_FROM_DBN_WHICH_OCS_LIVE_MUST_HAVE and
    PKG_FROM_DBN_WHICH_OCS_LIVE_NICE_TO_HAVE
    so that it's easier to be used in other scenario, like for singularity.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 07 Sep 2019 12:53:35 +0800

drbl (2.30.16-drbl1) unstable; urgency=medium

  * Separate pkg variables about x86 and x86-64 in drbl.conf:
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_X86_ONLY
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_X86_64_ONLY
  * Remove zfs-initramfs and zfsutils-linux from pkg list. They will be
    added by Ubuntu-based Clonezilla live when creating.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 03 Sep 2019 06:40:04 +0800

drbl (2.30.15-drbl1) unstable; urgency=medium

  * Update language files about removing MBR partition table prompts.
  * Move packages zfsutils-linux and zfs-initramfs to amd64 only since it's
    not available on non-amd64 Ubuntu-based Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Sep 2019 14:36:29 +0800

drbl (2.30.14-drbl1) unstable; urgency=medium

  * Remove zfs-fuse from package list in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Sep 2019 21:42:24 +0800

drbl (2.30.13-drbl1) unstable; urgency=medium

  * Add packages zfsutils-linux and zfs-initramfs in clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Sep 2019 17:58:27 +0800

drbl (2.30.12-drbl1) unstable; urgency=medium

  * Add thin-provisioning-tools in drbl/clonezilla live packages list, and
    device-mapper-persistent-data in the PKG_TO_QUERY of drbl.conf.
    Thanks to Tseng Wynn (wynn1212 _at_ gmail com) for reporting this bug.
  * Fix typo in zh_TW.UTF-8. Thanks to Chih-Hsuan Yen:
    https://gitlab.com/stevenshiau/drbl/merge_requests/12

 -- Steven Shiau <steven@clonezilla.org>  Mon, 26 Aug 2019 22:07:15 +0800

drbl (2.30.11-drbl1) unstable; urgency=medium

  * Update the mechanism to get bs and comments in drbl-aoe-img-dump

 -- Steven Shiau <steven@clonezilla.org>  Fri, 16 Aug 2019 20:37:26 +0800

drbl (2.30.10-drbl1) unstable; urgency=medium

  * Update language files for input checking related.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Aug 2019 20:09:55 +0800

drbl (2.30.9-drbl1) unstable; urgency=medium

  * Bug fixed: make sure the syslinux-related files are from same version of
    syslinux packages.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Aug 2019 22:56:25 +0800

drbl (2.30.8-drbl1) unstable; urgency=medium

  * Update language files for msg_disk_is_full_or_permission_issue.
  * Improvem the mechanism for putting syslinux and extlinux in x64/{syslinux,extlinux} of live system.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Aug 2019 12:41:01 +0800

drbl (2.30.7-drbl1) unstable; urgency=medium

  * Separate 32-bit and 64-bit syslinux when running makeboot.sh
    Thanks to Martin Mokrejs for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/bugs/326/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Jul 2019 16:25:24 +0800

drbl (2.30.6-drbl1) unstable; urgency=medium

  * Add the option -iui to the drbl-ocs dialog menu.
    Update language files for the option "-iui".

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Jul 2019 23:53:55 +0800

drbl (2.30.5-drbl1) unstable; urgency=medium

  * Use soft link for CO7.x and RH7.x in /usr/share/drbl/setup/files/RH.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Jul 2019 22:53:17 +0800

drbl (2.30.4-drbl1) unstable; urgency=medium

  * Bug fixed: Stop mkswapfile service before starting ocsd-run in clients
    for CentOS 7.x.
  * Remove CO5*, add CO7.6.1810 in /usr/share/drbl/setup/files/RH/.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Jul 2019 22:30:52 +0800

drbl (2.30.3-drbl1) unstable; urgency=medium

  * Bug fixed: uEFI boot menu for drbl client was overwritten by wrong
    command in function output_netinstall_syslinux_pxelinux_menu of
    drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Jul 2019 14:45:21 +0800

drbl (2.30.2-drbl1) unstable; urgency=medium

  * Update prompt about secure netboot for uEFI in drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Jul 2019 10:15:53 +0800

drbl (2.30.1-drbl1) unstable; urgency=medium

  * Support Debian Buster (10.0).
  * Make drbl-syslinux-netinstall use grub for uEFI booting. 
    Rename drbl-syslinux-netinstall as drbl-usb-netinstall,
    while there is still a link for drbl-usb-netinstall to
    drbl-syslinux-netinstall.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Jul 2019 09:31:06 +0800

drbl (2.29.11-drbl1) unstable; urgency=medium

  * Ecryptfs-utils & partimage are not required for DRBL. It's better to
    have that, but not required. This is due to they are removed from Debian
    Buster.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Jul 2019 15:35:08 +0800

drbl (2.29.10-drbl1) unstable; urgency=medium

  * Shift the uEFI boot order.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 03 Jun 2019 21:50:35 +0800

drbl (2.29.9-drbl1) unstable; urgency=medium

  * Install the required grub module efifwsetup
    before running fwsetup.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 May 2019 18:06:29 +0800

drbl (2.29.8-drbl1) unstable; urgency=medium

  * Add uEFI firmware setup menu when running gen-grub-efi-nb-menu

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 May 2019 11:09:20 +0800

drbl (2.29.7-drbl1) unstable; urgency=medium

  * File ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 24 May 2019 14:01:47 +0800

drbl (2.29.6-drbl1) unstable; urgency=medium

  * Update language files es_ES and it_IT. Thanks to
    Juan Ramón Martínez and gf.gentili.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 May 2019 09:55:48 +0800

drbl (2.29.5-drbl1) unstable; urgency=medium

  * Integrated backup plan in boot-local-efi.cfg. Hence the regexp
    issue in Ubuntu's grub2 can be workarounded.
    Ref: https://bugs.launchpad.net/bugs/1829331

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 May 2019 11:48:38 +0800

drbl (2.29.4-drbl1) unstable; urgency=medium

  * Add backup plan in case boot-local-efi.cfg fails, since there is
    a bug in Ubuntu's grub commands, including regexp, probe...:
    https://bugs.launchpad.net/bugs/1829331
  * Update language files: de_DE, fr_FR, hu_HU, ja_JP, pl_PL, tr_TR.
    Thanks to Greg, Jean-Francois, Kris, Michael, Volkan, Akira.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 16 May 2019 21:53:25 +0800

drbl (2.29.3-drbl1) unstable; urgency=medium

  * Use boot-local-efi.cfg in gen-grub-efi-nb-menu.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 May 2019 14:55:16 +0800

drbl (2.29.2-drbl1) unstable; urgency=medium

  * Add new file boot-local-efi.cfg for booting uEFI local OS.
  * Remove variable LOCAL_EFI_BOOT_GRUB_CFG from drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 May 2019 14:50:16 +0800

drbl (2.29.1-drbl1) unstable; urgency=medium

  * Support Ubuntu 19.04.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 May 2019 21:03:08 +0800

drbl (2.28.21-drbl1) unstable; urgency=medium

  * Include package rdfind in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Apr 2019 06:11:11 +0800

drbl (2.28.20-drbl1) unstable; urgency=medium

  * Add package vbetool for Clonezilla live.
    Ref: https://sourceforge.net/p/clonezilla/bugs/321/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 08 Apr 2019 12:38:43 +0800

drbl (2.28.19-drbl1) unstable; urgency=medium

  * Include package mbmon in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Mar 2019 22:14:32 +0800

drbl (2.28.18-drbl1) unstable; urgency=medium

  * Add missing variables for language file es_ES.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Mar 2019 19:50:22 +0800

drbl (2.28.17-drbl1) unstable; urgency=medium

  * Bug fixed: drbl-client-service failed for systemd service.
    Thanks to Dr. Yu from NCTU for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Feb 2019 21:13:11 +0800

drbl (2.28.16-drbl1) unstable; urgency=medium

  * Optimization for Ubuntu 18.04:
    Add systemd-timesyncd in client_services_chklist, man in
    varcache_2_be_copied_2_common_root, and
    snapd in varlib_NOT_2_be_copied_2_each_client
    Thanks to Prof. Yu from NCTU for these suggestions.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Feb 2019 21:11:20 +0800

drbl (2.28.15-drbl1) unstable; urgency=medium

  * Typos in language file zh_TW.UTF-8 were fixed. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Jan 2019 22:53:28 +0800

drbl (2.28.14-drbl1) unstable; urgency=medium

  * Update language files for ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 16 Jan 2019 22:15:19 +0800

drbl (2.28.13-drbl1) unstable; urgency=medium

  * Typo fixed in the USAGE of get-all-nic-ip.
  * Add nuttcp in Clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 13 Jan 2019 19:49:48 +0800

drbl (2.28.12-drbl1) unstable; urgency=medium

  * Update language files about RAM disk in prep-ocsroot.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Jan 2019 15:15:45 +0800

drbl (2.28.11-drbl1) unstable; urgency=medium

  * Update language files required for BT deployment from source device. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 11 Jan 2019 20:45:15 +0800

drbl (2.28.10-drbl1) unstable; urgency=medium

  * Adding support for Debian 9.5 and 9.6. This release should be ready for
    Ubuntu 18.10, except the DM should be changed to lightdm instead of gdm3.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Dec 2018 12:19:00 +0800

drbl (2.28.9-drbl1) unstable; urgency=medium

  * Update netinstall in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Nov 2018 21:58:02 +0800

drbl (2.28.8-drbl1) unstable; urgency=medium

  * Clean client's netplan file that are copied from server. Thanks to
    Robert Arkiletian for reporting that.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 10 Oct 2018 22:16:22 +0800

drbl (2.28.7-drbl1) unstable; urgency=medium

  * Add ldmtool to packages list of Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Oct 2018 20:47:46 +0800

drbl (2.28.6-drbl1) unstable; urgency=medium

  * Add network-manager to packages list of Clonezilla live so that user
    can use nmtui to configure network if it's necessary, especially
    for wifi.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Sep 2018 16:21:44 +0800

drbl (2.28.5-drbl1) unstable; urgency=medium

  * Minor update for language files. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 26 Sep 2018 05:28:20 +0800

drbl (2.28.4-drbl1) unstable; urgency=medium

  * Variable secure_boot in the programs was renamed to secure_boot_client.
  * Move curl to PKG_FROM_DBN_MINIMAL_NEED from PKG_FROM_DBN in drbl.conf,
    so now curl will be included in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 25 Sep 2018 19:42:54 +0800

drbl (2.28.3-drbl1) unstable; urgency=medium

  * Make variable secure_boot to be global, hence it's moved to drbl.conf
    from drbl-gen-grub-efi-nb. Hence both drbl-gen-grub-efi-nb and drblpush
    will use the same setting. By default secure_boot is not enabled due to
    this issue for secure grub boot loader:
    https://lists.gnu.org/archive/html/grub-devel/2016-04/msg00051.html
    It can be enabled in the future if it's patched in the upstream.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 14 Sep 2018 11:38:02 +0800

drbl (2.28.2-drbl1) unstable; urgency=medium

  * Add a workaround to support uEFI secure netboot.
    To enable uEFI network secure boot for clients, use
    standalone DHCP service in Clonezilla lite server
   (Ubuntu-based), not relaying to the existing DHCP service.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 12 Sep 2018 15:37:02 +0800

drbl (2.28.1-drbl1) unstable; urgency=medium

  * Make uEFI secure netboot work on Ubuntu system.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 Sep 2018 11:59:29 +0800

drbl (2.27.9-drbl1) unstable; urgency=medium

  * Bug fixed: Varible node_root should be node_rt in function
    disable_lvm2_udevd_rules. Thanks to vicamo for reporting. 
    Ref: https://github.com/stevenshiau/drbl/pull/14

 -- Steven Shiau <steven@clonezilla.org>  Wed, 05 Sep 2018 21:34:58 +0800

drbl (2.27.8-drbl1) unstable; urgency=medium

  * Skip copying /var/lib/lxcfs to drbl clients.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 04 Sep 2018 22:49:07 +0800

drbl (2.27.7-drbl1) unstable; urgency=medium

  * Make makeboot.sh work if dmidecode is not installed.
    Thanks to Clemmitt Sigler for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/bugs/302/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Aug 2018 12:51:43 +0800

drbl (2.27.6-drbl1) unstable; urgency=medium

  * Test to see if pxelinux.0 or lpxelinux.0 should be used in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 20 Jul 2018 16:33:48 +0800

drbl (2.27.5-drbl1) unstable; urgency=medium

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Jul 2018 20:24:40 +0800

drbl (2.27.4-drbl1) unstable; urgency=medium

  *  Add bind-interfaces for dnsmasq.conf in the function gen_dnsmasq_cfg.
     This will make dnsmasq work with the stub resolver without conflicting.
     Otherwise dnsmasq won't start.
     Ref: https://github.com/systemd/systemd/pull/4061

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Jun 2018 07:21:20 +0800

drbl (2.27.3-drbl1) unstable; urgency=medium

  * Package name btrfs-tools was replaced by btrfs-progs in Debian and Ubuntu.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 24 May 2018 04:58:48 +0800

drbl (2.27.2-drbl1) unstable; urgency=medium

  * New a variable drbl_client_debian_exclude_kernels in drbl.conf so that
    seldom_kernel_filter in drblsrv can use that.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 May 2018 09:49:05 +0800

drbl (2.27.1-drbl1) unstable; urgency=medium

  * Initial support for Ubuntu 18.04. Thanks to Robert Arkiletian.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 17 May 2018 21:51:11 +0800

drbl (2.26.26-drbl1) unstable; urgency=medium

  * Add Polish language files. Thanks to kris <ski777000 _at_ gmail com>.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 07 May 2018 21:05:56 +0800

drbl (2.26.25-drbl1) unstable; urgency=medium

  * Add ipmitool to clonezilla live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Apr 2018 20:40:36 +0800

drbl (2.26.24-drbl1) unstable; urgency=medium

  * Better way to check clonezilla live iso or zip in drbl-sl.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Mar 2018 08:44:30 +0800

drbl (2.26.23-drbl1) unstable; urgency=medium

  * Bug fixed: failed to correctly detect iso file in drbl-sl.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Mar 2018 22:52:07 +0800

drbl (2.26.22-drbl1) unstable; urgency=medium

  * Switch keymap configuration method from console-data to
    keyboard-configuration.
    Ref:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570223
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=893612

 -- Steven Shiau <steven@clonezilla.org>  Wed, 21 Mar 2018 11:53:09 +0800

drbl (2.26.21-drbl1) unstable; urgency=medium

  * Bug fixed: When netowrk eth0 is configured, config_drbl_live_network
    failed to start virtual NIC drbl0.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Mar 2018 17:04:52 +0800

drbl (2.26.20-drbl1) unstable; urgency=medium

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file tr_TR updated. Thanks to Volkan Gezer.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Mar 2018 09:57:42 +0800

drbl (2.26.19-drbl1) unstable; urgency=medium

  * Update language files de_DE, es_ES, fr_FR, hu_HU, it_IT and sk_SK.
    Thanks to Michael Vinzenz, Juan Ramón Martínez, Jean-Francois Nifenecker,
    Greg Hefty, Gianfranco Gentili, and Ondrej Dzivy Balucha.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 Mar 2018 09:00:43 +0800

drbl (2.26.18-drbl1) unstable; urgency=medium

  * Update language files for new prompt in ocs-live-feed-img.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 06 Mar 2018 16:28:41 +0800

drbl (2.26.17-drbl1) unstable; urgency=medium

  * Add grub2-efi-x64-modules and grub2-efi-ia32-modules in PKG_TO_QUERY of drbl.conf.
    Due to CentOS 7.4 has separated grub2-efi-modules as grub2-efi-x64-modules and
    grub2-efi-ia32-modules.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 03 Mar 2018 09:56:27 +0800

drbl (2.26.16-drbl1) unstable; urgency=medium

  * Add those known ARM64 EFI boot files in LOCAL_EFI_BOOT_GRUB_CFG
    of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 22 Feb 2018 08:05:00 +0800

drbl (2.26.15-drbl1) unstable; urgency=medium

  * Let plymouth run in drbl client of Ubuntu 14.04 so that lightdm can
    start.
  * Better way to deal with update-rc.d and chpasswd in chroot.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 Feb 2018 20:51:08 +0800

drbl (2.26.14-drbl1) unstable; urgency=medium

  * Use iproute2 instead of iproute for Debian-based clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Jan 2018 08:38:37 +0800

drbl (2.26.13-drbl1) unstable; urgency=medium

  * Update language files for channel bonding usage.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Jan 2018 12:06:33 +0800

drbl (2.26.12-drbl1) unstable; urgency=medium

  * Typo fixed: repositry -> repository, in "Directory Browser for Clonezilla
    image repository" for English language file.
    Thanks to Ronald F. Guilmette.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Jan 2018 18:18:14 +0800

drbl (2.26.11-drbl1) unstable; urgency=medium

  * Use "lpxelinux.0" instead of "pxelinux.0" in dhcpd.conf. It has more
    features, like support both http and tftp.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 04 Jan 2018 22:07:15 +0800

drbl (2.26.10-drbl1) unstable; urgency=medium

  * Replace all words "M$" by MS. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Jan 2018 10:08:24 +0800

drbl (2.26.9-drbl1) unstable; urgency=medium

  * Update task_ecryptfs_mount_point in drbl-functions to work with the
    options -pe and -pfe of ocs-sr. This allows user to enter password in
    the command options although it's not safe. Thanks to ub2 _at_ gmx ch
    for requesting this.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/d3af2134

 -- Steven Shiau <steven@clonezilla.org>  Sat, 30 Dec 2017 14:10:26 +0800

drbl (2.26.8-drbl1) unstable; urgency=medium

  * Include lz4mt package in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Dec 2017 14:44:26 +0800

drbl (2.26.7-drbl1) unstable; urgency=medium

  * Add support for lz4mt (-z8p).

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Dec 2017 11:36:47 +0800

drbl (2.26.6-drbl1) unstable; urgency=medium

  * Add zstd/pzstd (-z9/-z9p) support.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Dec 2017 20:27:06 +0800

drbl (2.26.5-drbl1) unstable; urgency=medium

  * Remove drbl-chntpw in Clonezilla live. Just use chntpw.
  * Include zstd in Clonezilla live. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Dec 2017 21:06:47 +0800

drbl (2.26.4-drbl1) unstable; urgency=medium

  * Update netinstall for Fedora as version 27.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Dec 2017 03:02:17 +0800

drbl (2.26.3-drbl1) unstable; urgency=medium

  * Add variable PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_ARM64_ONLY for ARM64 live
    system in drbl.conf.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2017 20:37:16 +0800

drbl (2.26.2-drbl1) unstable; urgency=medium

  * Update language files for lz4-related variables.
  * Add -z8 (lz4) in the wizard menu.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Dec 2017 21:35:34 +0800

drbl (2.26.1-drbl1) unstable; urgency=medium

  * Separate variables of drbl.conf so it can be used with creating ARM64
    live system in clonezilla programs: create-debian-live and
    create-ubuntu-live.
  * Add "" to the variable nameserver in
    $drbl_common_root/etc/diskless-image/config in drblpush.
  * Use drbl-get-dnsserver in drblpush.
  * Drop support for Ubuntu 14.10, 15.04, 15.10,
    Add files required by Ubuntu 17.04 and 17.10.
  * This release supports Ubuntu 17.10.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Dec 2017 10:54:36 +0800

drbl (2.25.17-drbl3) unstable; urgency=medium

  * Make drbl depend on pxelinux, while clonezilla depends on isolinux.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 22 Nov 2017 13:00:50 +0800

drbl (2.25.17-drbl2) unstable; urgency=medium

  * Add pxelinux and isolinux in the depends for deb package.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 Nov 2017 14:27:15 +0800

drbl (2.25.17-drbl1) unstable; urgency=medium

  * drbl-prepare-memtest should not run in arm64 arch.
  * Add initial add support for arm64 in drbl-gen-grub-efi-nb. Not tested yet.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Nov 2017 21:01:05 +0800

drbl (2.25.16-drbl3) unstable; urgency=medium

  * Make drbl depends on syslinux-common, not syslinux.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Nov 2017 19:48:46 +0800

drbl (2.25.16-drbl2) unstable; urgency=medium

  * Remove the depends for syslinux. For ARM64 it does not exist. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Nov 2017 15:30:57 +0800

drbl (2.25.16-drbl1) unstable; urgency=medium

  * Bug fixed: Make version comparison with epoch work in the function
    get_latest_pkg_in_drbl_repository of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Oct 2017 08:34:04 +0800

drbl (2.25.15-drbl1) unstable; urgency=medium

  * Include xorriso instead of genisoimage in clonezilla live.
  * Update netinstall for OpenSuSE as 42.3, and Ubuntu as artful.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 Oct 2017 22:10:46 +0800

drbl (2.25.14-drbl1) unstable; urgency=medium

  * Add option -t|--tftp-server to drbl-gen-grub-efi-nb so that we can
    assign the IP address for tftp server. It's intended to make it work for
    grub network boot loader can work with uEFI network booting client.
    # Ref: http://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2017q1/011124.html

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Sep 2017 22:58:04 +0800

drbl (2.25.13-drbl1) unstable; urgency=medium

  * Language file zh_CN.UTF-8 was updated. Thanks to Zhiqiang Zhang.
  * Add /EFI/centos/grubx64.efi for local booting test in function
    LOCAL_EFI_BOOT_GRUB_CFG of drbl-functions.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Sep 2017 08:20:57 +0800

drbl (2.25.12-drbl1) unstable; urgency=medium

  * Update language files for more hints about Clonezilla command.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 25 Sep 2017 10:48:42 +0800

drbl (2.25.11-drbl1) unstable; urgency=medium

  * Improve the mechanism to get dns in drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 Sep 2017 13:57:52 +0800

drbl (2.25.10-drbl1) unstable; urgency=medium

  * Add support for CentOS 7.3.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Aug 2017 10:31:16 +0800

drbl (2.25.9-drbl1) unstable; urgency=medium

  * Add package casync to DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 31 Jul 2017 20:00:04 +0800

drbl (2.25.8-drbl1) unstable; urgency=medium

  * Suppress lite server and lite client in the main menu of the
    Clonezilla live icon Clonezilla-live.desktop of DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Jul 2017 22:29:08 +0800

drbl (2.25.7-drbl1) unstable; urgency=medium

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Jul 2017 16:23:54 +0800

drbl (2.25.6-drbl1) unstable; urgency=medium

  * Applied the patch from Georges Khaznadar which addresses the udevadm
    path hard-code issue.
    Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=852562

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Jun 2017 09:24:11 +0800

drbl (2.25.5-drbl1) unstable; urgency=medium

  * Language file hu_HU was updated. Thanks to Greg Marki.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Jun 2017 14:30:24 +0800

drbl (2.25.4-drbl1) unstable; urgency=medium

  * Language file sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
    Language file es_ES was updated. Thanks to Juan Ramón Martínez.
    Language file de_DE was updated. Thanks to Michael Vinzenz.
    Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
    Language file it_IT was updated. Thanks to Gianfranco Gentili.
    Language file tr_TR was updated. Thanks to Volkan Gezer.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Jun 2017 07:51:12 +0800

drbl (2.25.3-drbl1) unstable; urgency=medium

  * Update language files about SMB versions.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Jun 2017 13:58:54 +0800

drbl (2.25.2-drbl1) unstable; urgency=medium

  * Collected MAC address file with NIC device name not in the form eth*
    was not copied to /etc/drbl/ by drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Jun 2017 16:37:48 +0800

drbl (2.25.1-drbl1) unstable; urgency=medium

  * Language file hu_HU was updated. Thanks to Greg Marki.
    Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
    Language file tr_TR updated. Thanks to Volkan Gezer.
    Language file de_DE was updated. Thanks to Michael Vinzenz.
    Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
    Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Add stretch in Debian netinstall list.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Jun 2017 13:49:53 +0800

drbl (2.24.16-drbl1) unstable; urgency=medium

  * Add alsa-utils to Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Jun 2017 22:16:55 +0800

drbl (2.24.15-drbl1) unstable; urgency=medium

  * Add package espeakup in Clonezilla/DRBL live. Thanks to 
    Nick Gawronski (nick _at_ nickgawronski com) for suggesting
    this for the blind to use Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Jun 2017 12:49:24 +0800

drbl (2.24.14-drbl1) unstable; urgency=medium

  * Language files es_ES for both bash and perl was updated. Thanks to 
    Juan Ramón Martínez (jrmc_77 _at_ hotmail com)

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 03 Jun 2017 15:44:11 +0800

drbl (2.24.13-drbl1) unstable; urgency=medium

  * Bug fixed: dnsmasq.conf with proxy settings should be only created
    when proxy mode is required. Not to be created by default.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 30 May 2017 17:42:47 +0800

drbl (2.24.12-drbl1) unstable; urgency=medium

  * Update language file zh_TW.UTF-8. Jfbterm crashes due to shown "，"
    and long description in zh_TW.UTF-8 in the console promt.
    Replace "，" with "," for
    msg_note_you_have_to_make_sure_enough_no_of_ip_addr.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 May 2017 17:23:42 +0800

drbl (2.24.11-drbl1) unstable; urgency=medium

  * Implement a better way in drbl-find-dhcp-srv to detect
    DHCP service based on busybox udhcpc.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 May 2017 10:28:58 +0800

drbl (2.24.10-drbl1) unstable; urgency=medium

  * Separate detect_dhcp_srv_in_lan in drbl-functions.
    Add option -a|--allow-1-nic to function gen_dnsmasq_cfg in
    drbl-functions.
  * Update language files about ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 May 2017 10:56:01 +0800

drbl (2.24.9-drbl1) unstable; urgency=medium

  * Merge language file tr_TR from Volkan Gezer <volkangeyer _at_ gmail dot
    com>.
  * Add msg_insert_storage_dev_now for all language files.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 May 2017 19:09:16 +0800

drbl (2.24.8-drbl1) unstable; urgency=medium

  * Update language files about wait command for ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 02 May 2017 07:01:29 +0800

drbl (2.24.7-drbl1) unstable; urgency=medium

  * Update language files about wait command for ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 May 2017 15:23:52 +0800

drbl (2.24.6-drbl1) unstable; urgency=medium

  * Update language files about clonezilla menus.
  * Bug fixed: remove port=0 in gen_dnsmasq_cfg of drbl-functions so that
    DNS query will take effect.
  * Add dnsmasq back to PKG_TO_QUERY in drbl.conf since we have fixed the
    issue that DNS query is not working after dnsmasq is installed.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 29 Apr 2017 16:40:02 +0800

drbl (2.24.5-drbl1) unstable; urgency=medium

  * Update language files about device to remote device cloning.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Apr 2017 17:30:36 +0800

drbl (2.24.4-drbl1) unstable; urgency=medium

  * Sort out the language files about lite server.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Apr 2017 13:01:45 +0800

drbl (2.24.3-drbl1) unstable; urgency=medium

  * Add option -e|--fetch-link to drbl-sl.
  * When file (e.g. memtest) does not exist, the PXE/uEFI menu
    won't be created.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Apr 2017 15:50:50 +0800

drbl (2.24.2-drbl1) unstable; urgency=medium

  * Add grub-efi-amd64-bin in Clonezilla live
  * Add option "-r" to function gen_dnsmasq_cfg in drbl-functions so
    that it can be used in Clonezilla live, not only in DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Apr 2017 19:42:53 +0800

drbl (2.24.1-drbl1) unstable; urgency=medium

  * Initial support for Ubuntu 17.04.
  * Move net-tools to the required package for Debian/Ubuntu.
  * Update netinstall Ubuntu and Fedora version number in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Apr 2017 21:34:05 +0800

drbl (2.23.38-drbl1) unstable; urgency=medium

  * Update language files about lite server.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Apr 2017 15:32:39 +0800

drbl (2.23.37-drbl1) unstable; urgency=medium

  * Update language files about not support for converting encrypted image.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Apr 2017 14:35:24 +0800

drbl (2.23.36-drbl1) unstable; urgency=medium

  * Update language files for lite server/client.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Apr 2017 15:04:39 +0800

drbl (2.23.35-drbl1) unstable; urgency=medium

  * Add option "-g, --gateway-ip-add" to get-all-nic-ip.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Apr 2017 21:26:35 +0800

drbl (2.23.34-drbl1) unstable; urgency=medium

  * Update language files about To_upstream and In_isolation modes.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Apr 2017 13:52:03 +0800

drbl (2.23.33-drbl1) unstable; urgency=medium

  * Move dnsmasq to drbl/clonezilla live only. Not for installed system.
    It caused DNS resolving failure in Ubuntu 16.04.
    Thanks to Bruce Banner for reporting this issue:
    https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/f81f06b6/

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Apr 2017 09:31:55 +0800

drbl (2.23.32-drbl1) unstable; urgency=medium

  * Update language files to give warning about run ocs-live-get-img
    on clonezilla live lite server.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Apr 2017 21:37:05 +0800

drbl (2.23.31-drbl1) unstable; urgency=medium

  * Update functions about selecting parameters for ocs-live-feed-img and
    drbl-ocs.
  * Update language files for prompting booting in unattended mode about
    ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Apr 2017 12:08:27 +0800

drbl (2.23.30-drbl1) unstable; urgency=medium

  * Update language files for multicast feeding mechanism.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Apr 2017 16:05:32 +0800

drbl (2.23.29-drbl1) unstable; urgency=medium

  * Add package lighttpd for Clonezilla/DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Apr 2017 07:40:21 +0800

drbl (2.23.28-drbl1) unstable; urgency=medium

  * Bug fixed: ocs_prerun* are run twice.
    Ocs_prerun1 and ocs_prerun2 used by drbl live are changed to
    drbl_prerun1 and drbl_prerun2. Otherwise they will be run by S06pre-run
    in drbl-live.d and ocs-live-run-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Mar 2017 21:59:35 +0800

drbl (2.23.27-drbl1) unstable; urgency=medium

  * Bug fixed: failed to get DNS setting in drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 10 Mar 2017 09:36:03 +0800

drbl (2.23.26-drbl1) unstable; urgency=medium

  * The input network settings for drbl0 will be confirmed before continue in
    drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Mar 2017 20:01:16 +0800

drbl (2.23.25-drbl1) unstable; urgency=medium

  * Add a mechanism to manually configure drbl0 network settings if DHCP
    server use MAC address to provide fixed address.
  * Update language files for manually set drbl0.
  * Bug fixed: Add username=user in GParted live PXE config in drbl-sl.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Mar 2017 11:48:35 +0800

drbl (2.23.24-drbl1) unstable; urgency=medium

  * Move archivemount to be one of required packages for drbl,
    not only for live system. It might be used in the future for BT.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Feb 2017 10:03:29 +0800

drbl (2.23.23-drbl1) unstable; urgency=medium

  * Spanish language files were revised. Thanks to
    Pablo Hinojosa Nava <pablohn6 _at_ gmail com>
    and
    Juan Ramón Martínez <jrmc_77 _at_ hotmail com>
    Ref:
    https://github.com/Pablohn26/clonezilla/commit/4f6b492b91a92f08d1e1d1626b209a3fdfc8ed73
    https://github.com/Pablohn26/clonezilla/commit/46d1d104d46e56b0f5efc9630ea8e9293747b15f

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Feb 2017 14:29:56 +0800

drbl (2.23.22-drbl1) unstable; urgency=medium

  * Write macvlan network config file in /etc/network/interfaces.d/drbl0
    instead of /etc/network/interfaces in config_drbl_live_network of
    ocs-functions.
  * Disable dnsmasq service when uninstall DRBL.
  * Add package sshpass and keychain in DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 Feb 2017 18:02:08 +0800

drbl (2.23.21-drbl1) unstable; urgency=medium

  * Suppress the tput error during booting in makeboot.sh and
    drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Feb 2017 04:19:35 +0800

drbl (2.23.20-drbl1) unstable; urgency=medium

  * Suppress the tput error during booting in makeboot.sh and
    drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 Feb 2017 07:37:41 +0800

drbl (2.23.19-drbl1) unstable; urgency=medium

  * Remove unnecessary prompt about relay dhcp in drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Feb 2017 02:20:55 +0800

drbl (2.23.18-drbl1) unstable; urgency=medium

  * Update language files about using proxy DHCP mode. Give warning about
    the risk. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Feb 2017 08:45:12 +0800

drbl (2.23.17-drbl1) unstable; urgency=medium

  * Detect if terminal supports color output before using color outputs in the
    terminal. Thanks to TF for asking this.
    Rref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ec46f3a3/

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 31 Jan 2017 20:45:18 +0800

drbl (2.23.16-drbl1) unstable; urgency=medium

  * Add more prompts in program drbl-find-dhcp-srv.
  * Package dnsmasq should be included for DRBL live only, not for
    Clonezilla live.
  * Update perl language files about only_one_network_card_in_system.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 Jan 2017 17:26:30 +0800

drbl (2.23.15-drbl1) unstable; urgency=medium

  * Bug fixed: return code fixed in drbl-find-dhcp-srv.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 29 Jan 2017 23:01:37 +0800

drbl (2.23.14-drbl1) unstable; urgency=medium

  * Add nmap mechanism as the primary method to detect DHCP service.
  * Change macvlan device name to drbl0 from drblvir0.
  * Add nmap to PKG_FROM_DBN_WHICH_OCS_LIVE_NEED and PKG_TO_QUERY in
    drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 29 Jan 2017 22:47:06 +0800

drbl (2.23.13-drbl1) unstable; urgency=medium

  * Program drblpush should set use_existing_dhcp_srv in drbl.conf if
    it enables proxy DHCP mode.
  * Make proxy DHCP work for dnsmasq < 2.75 but give warning.
  * Add monitoring-plugins-basic in PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Jan 2017 22:16:47 +0800

drbl (2.23.12-drbl1) unstable; urgency=medium

  * Add a mechanism to enable proxy DHCP as 1 NIC.
  * Bug fixed: "IPAPPEND 1" should not be global in pxelinux.cfg. 
    It is only necessary for DRBL clients.
    Otherwise it will confuse local boot, for example.
  * Update language files about proxy DHCP mechanism.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Jan 2017 11:08:47 +0800

drbl (2.23.11-drbl1) unstable; urgency=medium

  * Skip copying /var/lib/docker to common root.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 21 Jan 2017 13:55:09 +0800

drbl (2.23.10-drbl1) unstable; urgency=medium

  * Add shadow-utils as required package in RH-like OS
  * Add dnsmasq in the packages list in DRBL/Clonezilla live.
  * Add a program "drbl-proxy-dhcp" to enable/disable proxy DHCP.
  * Use drbl_bootp=$net_default_next_server in grub netboot. This should
    work for the future grub (after grub git Nov/23/2016).
    Ref:
    http://git.savannah.gnu.org/gitweb/?p=grub.git;a=commit;h=f8c3af3b613f9b1d5123f1ccad565950f82f6959

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 18 Jan 2017 20:43:12 +0800

drbl (2.23.9-drbl1) unstable; urgency=medium

  * Remove files for DRBL Debian (v5 and 6) client.
    Add files for Debian 8.7.
  * Append DHCP/BOOTP to the kernel command line, i.e.,
    ip=<client-ip>:<boot-server-ip>:<gw-ip>:<netmask>
    We need this when using proxy DHCP.
  * Add template log for client arch in dhcpd.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Jan 2017 16:18:02 +0800

drbl (2.23.8-drbl2) unstable; urgency=medium

  * Language file sk_SK was updated. Thanks to Ondrej Dzivy Balucha.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 06 Jan 2017 14:16:53 +0800

drbl (2.23.8-drbl1) unstable; urgency=medium

  * Add option "-noabo" in the dialog menu.
  * Language files were updated for option "-noabo".

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 Jan 2017 21:53:26 +0800

drbl (2.23.7-drbl1) unstable; urgency=medium

  * Add experimental bittorent restoring codes in dcs.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Dec 2016 16:42:41 +0800

drbl (2.23.6-drbl1) unstable; urgency=medium

  * Add package archivemount for drbl/clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Dec 2016 17:54:52 +0800

drbl (2.23.5-drbl1) unstable; urgency=medium

  * Add initial codes about bittorrent restoring. Not finished yet.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Dec 2016 15:36:01 +0800

drbl (2.23.4-drbl1) unstable; urgency=medium

  * Define LOCAL_EFI_BOOT_GRUB_CFG in drbl-functions and use it both in
    gen-grub-efi-nb-menu and ocs-live-boot-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Nov 2016 19:25:44 +0800

drbl (2.23.3-drbl1) unstable; urgency=medium

  * Skip installing package "init" for Debian Wheezy when running
    "drblsrv -i".
    Thanks to Peter Brisson for reporting this issue:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/433ed559/

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Nov 2016 10:49:20 +0800

drbl (2.23.2-drbl1) unstable; urgency=medium

  * Add package bicon in drbl/clonezilla live system. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 24 Nov 2016 08:05:42 +0800

drbl (2.23.1-drbl1) unstable; urgency=medium

  * Add crossmnt option in nfs export for /home & /opt in drbl-nfs-exports.
    This would make automatically mount in clients when /home/partimag is
    mounted in different device on DRBL server.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Nov 2016 22:19:52 +0800

drbl (2.22.8-drbl1) unstable; urgency=medium

  * Change maxswapsize default value to 1024 MB. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 17 Nov 2016 09:30:38 +0800

drbl (2.22.7-drbl1) unstable; urgency=medium

  * Make service be started with systemd command first. This should fix an
    issue that rpc-statd service was not started on Ubuntu 16.10.
  * Remove portmap in drbl_server_service_chklist.
    Add rpc-statd in client_services_chklist.
  * Add packages sysstat and iftop in the clonezilla/drbl live packages
    list.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Nov 2016 18:23:30 +0800

drbl (2.22.6-drbl1) unstable; urgency=medium

  * Add a mechanism to check if selinux enabled or not in RH-like system.
  * Language files updated for selinux checking description.
  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Nov 2016 22:09:07 +0800

drbl (2.22.5-drbl1) unstable; urgency=medium

  * Add p7zip-full in drbl/clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 31 Oct 2016 20:53:09 +0800

drbl (2.22.4-drbl1) unstable; urgency=medium

  * Remove ncpfs from clonezilla/drbl live packages list. It's not in the
    Debian repository anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Oct 2016 22:08:34 +0800

drbl (2.22.3-drbl1) unstable; urgency=medium

  * Suppress some unnecessary error or warning messages when running drblpush -i.
    e.g. append option "-d" to "cp --parents" to suppress the copying about
    linking files.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2016 21:32:29 +0800

drbl (2.22.2-drbl1) unstable; urgency=medium

  * Add yakkety in the netinstall for Ubuntu. 

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2016 16:22:21 +0800

drbl (2.22.1-drbl1) unstable; urgency=medium

  * Move package initscripts from PKG_FROM_DBN to PKG_TO_QUERY in drbl.conf.
  * Add clonezilla SE client service for Ubuntu 16.10.
  * Initial support for Ubuntu 16.10.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2016 16:04:13 +0800

drbl (2.21.11-drbl1) unstable; urgency=medium

  * Add ext4magic & myrescue in the packages list of
    Clonezilla/DRBL live system.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Oct 2016 15:07:54 +0800

drbl (2.21.10-drbl1) unstable; urgency=medium

  * Forgot to load grub.cfg-$IP before grub.cfg for uEFI netboot client.
    Thanks to Anshu Arya for reporting this issue.
    Ref: https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/73a26bf9

  * Run deploy_pxecfg_grubefi_files inside drbl-ocs because the prompt to
    start clonezilla SE service only mentions to run drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Oct 2016 20:06:31 +0800

drbl (2.21.9-drbl1) unstable; urgency=medium

  * Add option "-u, --user" for drbl-fuu so that drbl-cp-user, drbl-rm-user,
    drbl-get-user can be used to assign some specific users.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Oct 2016 19:45:02 +0800

drbl (2.21.8-drbl1) unstable; urgency=medium

  * Add packages os-prober & dislocker for Clonezilla/DRBL live packages
    list.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Oct 2016 15:10:01 +0800

drbl (2.21.7-drbl1) unstable; urgency=medium

  * Language file hu_HU was updated. Thanks to Greg Marki.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language files es_ES were updated. Thanks to Juan Ramón Martínez
    and Alex Ibáñez López.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Oct 2016 14:42:56 +0800

drbl (2.21.6-drbl1) unstable; urgency=medium

  * If batch mode is on, do not append "-c" in the beginner mode
    for ocs-sr menu.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Sep 2016 22:40:52 +0800

drbl (2.21.5-drbl1) unstable; urgency=medium

  * Add support for Debian 8.6. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Sep 2016 19:45:05 +0800

drbl (2.21.4-drbl1) unstable; urgency=medium

  * Update language files. Thanks to Rafael Fontenelle for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/bugs/263/
 
 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Sep 2016 18:39:01 +0800

drbl (2.21.3-drbl1) unstable; urgency=medium

  *  Add options -sfsck and -senc in the Clonezilla live interactive menu.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 16 Sep 2016 16:03:48 +0800

drbl (2.21.2-drbl1) unstable; urgency=medium

  * Separate the reboot/poweroff prompt messages in menu for Clonezilla SE
    and Clonezilla live.
  * Update language files about poweroff/reboot, and removing source or
    destination disk after cloning.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Sep 2016 18:54:59 +0800

drbl (2.21.1-drbl1) unstable; urgency=medium

  * Bug fixed: Replace boot paramater noprompt with noeject since live-boot
    >= v3 uses noeject, not noprompt.
  * Ask the post action (choose, reboot, poweroff) before starting cloning.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu) for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 08 Sep 2016 20:13:46 +0800

drbl (2.20.38-drbl1) unstable; urgency=medium

  * Polish the program makeboot.sh.
    Applied the changes from David Tonhofer.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/cf6f506b
  * Missing quotes in the echo command of makeboot.sh. Thanks to David
    Tonhofer.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/a852d0a8

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 30 Aug 2016 14:46:03 +0800

drbl (2.20.37-drbl1) unstable; urgency=medium

  * Skip stopping or starting service if it's masked
    in drbl-all-service.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Aug 2016 17:03:28 +0800

drbl (2.20.36-drbl1) unstable; urgency=medium

  * Drop the support for boot paramter ocs_chk_img and ocs_fsck_src_part
    in drbl-functions. Only honor the options of ocs-sr by "-scr", "-scs",
    "-fsck", "-fsck-y".
  * Also make something like "ocs-sr -x -scr" work. It won't ask about if
    "-scr" should be used or not. Thanks to Aaron Burling
    (aaron_burling _at_ lkstevens wednet edu) for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 07 Aug 2016 21:11:15 +0800

drbl (2.20.35-drbl1) unstable; urgency=medium

  * Add powertop in the packages list of Clonezilla/DRBL live. 

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Jul 2016 21:40:56 +0800

drbl (2.20.34-drbl1) unstable; urgency=medium

  * Move function get_dir_filesystem from drbl-functions to
    ocs-functions. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Jul 2016 22:38:05 +0800

drbl (2.20.33-drbl1) unstable; urgency=medium

  * Update language files for exiting dir browsing.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 08 Jul 2016 14:14:09 +0800

drbl (2.20.32-drbl1) unstable; urgency=medium

  * Update Fedora netinstall ver as 24 in drbl-ocs.conf.
  * Update language files for exiting dir browsing.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 08 Jul 2016 13:34:23 +0800

drbl (2.20.31-drbl1) unstable; urgency=medium

  * Update language file zh_TW.UTF-8 for bind mount.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Jul 2016 21:52:17 +0800

drbl (2.20.30-drbl1) unstable; urgency=medium

  * Update language files for ocs-live-bind-mount use in prep-ocsroot and
    ocs-live-run-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Jul 2016 19:20:07 +0800

drbl (2.20.29-drbl1) unstable; urgency=medium

  * Update language files for ocs-live-bind-mount use.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Jul 2016 19:53:36 +0800

drbl (2.20.28-drbl1) unstable; urgency=medium

  * When option "-k1" or "-k2" of ocs-sr or drbl-ocs is chosen,
    "-icds" is on automatically.
  * Language files updated for fuse-related messages.
  * Add "-batch" in the TUI for saving mode.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Jun 2016 16:47:42 +0800

drbl (2.20.27-drbl1) unstable; urgency=medium

  * Use shorter name for fsck-related options, i.e.
    "-fsck-src-part" is replaced by "-fsck", and 
    "-fsck-src-part-y" is replaced by "-fsck-y".

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 21 Jun 2016 11:02:21 +0800

drbl (2.20.26-drbl1) unstable; urgency=medium

  * Clean tmp file parttable-ocs.* when exiting.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Jun 2016 22:53:41 +0800

drbl (2.20.25-drbl1) unstable; urgency=medium

  * Add package qemu-utils for Clonezilla/DRBL live system.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Jun 2016 11:53:56 +0800

drbl (2.20.24-drbl1) unstable; urgency=medium

  * Improve drbl-get-nfsserver by using mount status to get nfs server first,
    if it's not found, then gateway will be used.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Jun 2016 13:04:02 +0800

drbl (2.20.23-drbl1) unstable; urgency=medium

  * Bug fixed: failed to parse correct domain if no port is assigned.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jun 2016 17:59:52 +0800

drbl (2.20.22-drbl1) unstable; urgency=medium

  * Update function filter_cl_gp_boot_param of ocs-functions to filter
    toram option. Otherwise if toram=live,syslinux shown in drbl live
    client, it will crash.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Jun 2016 16:22:25 +0800

drbl (2.20.21-drbl1) unstable; urgency=medium

  * Bug fixed for using toram=live mode. Now it works when using 
    toram=live,syslinux.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Jun 2016 13:13:20 +0800

drbl (2.20.20-drbl1) unstable; urgency=medium

  * Program drbl-sl supports toram=live mechanism, so it will check the
    file /lib/live/mount/medium/live/{Clonezilla-Live-Version,
    DRBL-Live-Version,GParted-Live-Version}, too.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Jun 2016 05:51:50 +0800

drbl (2.20.19-drbl1) unstable; urgency=medium

  * New program "drbl-uriparse" added. It can be used to parse the URI to get
    the attribute.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 Jun 2016 17:07:55 +0800

drbl (2.20.18-drbl1) unstable; urgency=medium

  * Bug fixed: extra "if" in the if block of drblsrv.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 10 Jun 2016 09:53:43 +0800

drbl (2.20.17-drbl1) unstable; urgency=medium

  * Remove package init for Ubuntu 14.04 since it still uses upstart, not
    systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 10 Jun 2016 09:46:35 +0800

drbl (2.20.16-drbl1) unstable; urgency=medium

  * Bug fixed: the mode for drblpush was 644, not 755.
    Thanks to Danny Russ | KSC for reporting this.
  * Due to the change in Debian Sid that "init" is not essential any more.
    It has to added as a required package in drbl.conf.
    Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756023

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 Jun 2016 12:35:54 +0800

drbl (2.20.15-drbl1) unstable; urgency=medium

  * Use xz format for drbl tarball for Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jun 2016 11:32:10 +0800

drbl (2.20.14-drbl1) unstable; urgency=medium

  * Drop the requirement of mkswap-uuid. Modern mkswap has the option to do
    that. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jun 2016 11:28:07 +0800

drbl (2.20.13-drbl1) unstable; urgency=medium

  * Add dhcp-vendor-id=DRBLClient in clonezilla_se_live_opts in drbl-sl.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 04 Jun 2016 13:46:31 +0800

drbl (2.20.12-drbl1) unstable; urgency=medium

  * Add netework boot paramter "dhcp-vendor-id=DRBLClient" for
    drbl-live clients.
  * Use a flexible network device name instead of eth0 for alias network
    device in function config_drbl_live_network of drbl-functions.
  * Fixed wrong descriptions in msg_ocs_param_fsck_src_part_yes for
    zh_TW.UTF-8.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Jun 2016 14:27:02 +0800

drbl (2.20.11-drbl1) unstable; urgency=medium

  * Add support for Debian 7.11 and 8.5. 

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 May 2016 14:40:18 +0800

drbl (2.20.10-drbl1) unstable; urgency=medium

  [Ceasar Sun]
  * drbl-login-switch now supports the config for Xenial.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 May 2016 16:39:42 +0800

drbl (2.20.9-drbl1) unstable; urgency=medium

  * Add an option "-o" to drbl-sl so that different cases can be used.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 May 2016 12:03:05 +0800

drbl (2.20.8-drbl1) unstable; urgency=medium

  * Remove the option "--force-yes" of apt-get when installing required
    packages on Debian. It was for legacy Debian/Ubuntu.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 14 May 2016 18:53:11 +0800

drbl (2.20.7-drbl1) unstable; urgency=medium

  * install-kernel-for-client: avoid getting empty line for
    kernel version.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 14 May 2016 11:59:03 +0800

drbl (2.20.6-drbl1) unstable; urgency=medium

  * install-kernel-for-client: Better to parse kernel version,
    avoid getting empty line.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 14 May 2016 10:05:38 +0800

drbl (2.20.5-drbl1) unstable; urgency=medium

  * Add package dos2unix in Clonezilla/DRBL live packages list. 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 13 May 2016 06:05:02 +0800

drbl (2.20.4-drbl1) unstable; urgency=medium

  [Ceasar Sun]
  * Fix the nis failed to start in xenial.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 May 2016 19:46:31 +0800

drbl (2.20.3-drbl1) unstable; urgency=medium

  * Update netinstall for Ubuntu as "wily xenial" in drbl.conf. 

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 May 2016 20:26:22 +0800

drbl (2.20.2-drbl1) unstable; urgency=medium

  * Remove cryptsetup for Ubuntu-based Clonezilla live temporarily
    from drbl.conf. Due to this issue:
    https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1528861 
    It will be added for Debian-based Clonezilla live when creating.
  * Add package console-common for Clonezilla live again because we have
    removed cryptsetup and plymouth for Ubuntu-based Clonezilla live.
  * Remove vblade for DRBL server temporarily since it will cause
    depending issue for runit on Ubuntu 16.04.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 02 May 2016 16:45:37 +0800

drbl (2.20.1-drbl1) unstable; urgency=medium

  * Remove drbl client's files for Ubuntu <= 13.10.
  * Add initial support for Ubuntu 16.04. Not finished.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Apr 2016 20:03:29 +0800

drbl (2.19.16-drbl1) unstable; urgency=low

  * Add support for Debian 7.10 and 8.4. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Apr 2016 20:46:40 +0800

drbl (2.19.15-drbl1) unstable; urgency=low

  * Add GNU/Linux distribution network installation for uEFI network
    boot clients.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Mar 2016 20:16:07 +0800

drbl (2.19.14-drbl1) unstable; urgency=low

  * Add "exit" option parallel to the beginner/expert selection.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Mar 2016 11:55:24 +0800

drbl (2.19.13-drbl1) unstable; urgency=low

  * Now all the supported GNU/Linux has option "-V" for sort, so
    just use it instead of using the function get_sort_V_opt to decide.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Mar 2016 21:24:47 +0800

drbl (2.19.12-drbl1) unstable; urgency=low

  [Ceasar Sun]
  * Support destination dir name with white space for makeboot.sh.

  [Robert Rubino]
  * Add an error routine to makeboot.bat and makeboot64.bat.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Mar 2016 19:35:04 +0800

drbl (2.19.11-drbl1) unstable; urgency=low

  * Add client files for Ubuntu 15.10.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Mar 2016 16:42:39 +0800

drbl (2.19.10-drbl1) unstable; urgency=low

  * Add support for Debian 8.3.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Mar 2016 10:26:27 +0800

drbl (2.19.9-drbl1) unstable; urgency=low

  * Remove scientific linux i386 net install in drbl.conf since it does not
    exist.
  * Fix typos in changelog.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Mar 2016 08:48:48 +0800

drbl (2.19.8-drbl1) unstable; urgency=low

  * Apply the patch for ru_RU.UTF-8 from
    https://github.com/stevenshiau/drbl/pull/6. Thanks to don Rumata.
  * Update language files for ocs-match-checksums.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 Mar 2016 21:24:16 +0800

drbl (2.19.7-drbl1) unstable; urgency=low

  * Bug fixed: do not strip the word about kernel or linux-image in 
    pkg-ver-latest

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Mar 2016 13:00:58 +0800

drbl (2.19.6-drbl1) unstable; urgency=low

  * Use "sort -V" instead of awk in pkg-ver-latest.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Mar 2016 12:35:31 +0800

drbl (2.19.5-drbl1) unstable; urgency=low

  * Update language files for the checksum results log file prompt.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Feb 2016 21:39:17 +0800

drbl (2.19.4-drbl1) unstable; urgency=low

  * Bug fixed: gen_CDG_checksums failed to list all files for checksum
    files.
  * Update language files for better description about checksum.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Feb 2016 10:55:53 +0800

drbl (2.19.3-drbl1) unstable; urgency=low

  * Update language files for better description about checksum.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2016 14:35:32 +0800

drbl (2.19.2-drbl1) unstable; urgency=low

  * Update language files for better description about checksum.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2016 09:10:46 +0800

drbl (2.19.1-drbl1) unstable; urgency=low

  * Add "-cmf" & "-gmf" in dialog menu.
  * Add sha512sum and refine the function gen_CDG_checksums of
    drbl-functions.
  * Language files were updated for options -gmf and -cmf, etc.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 15 Feb 2016 23:05:28 +0800

drbl (2.18.12-drbl1) unstable; urgency=low

  * Remove console-common for pkgs list:
    https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1528861

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Jan 2016 13:05:51 +0800

drbl (2.18.11-drbl1) unstable; urgency=low

  * Functions add_opt_in_pxelinux_cfg_block, 
    remove_opt_in_pxelinux_cfg_block, add_opt_in_grub_efi_cfg_block,
    and remove_opt_in_grub_efi_cfg_block of drbl-functions failed to
    deal with 'locales=' and 'keyboard-layouts='. This makes
    drbl-ocs-live-prep can not preset locales and keyboard-layouts.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Jan 2016 16:01:22 +0800

drbl (2.18.10-drbl1) unstable; urgency=low

  * List kmod or module-init-tools in the package for suggestions in
    drbl.conf. This change was due to the change in mkpxeinitrd-net.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Jan 2016 21:00:10 +0800

drbl (2.18.9-drbl1) unstable; urgency=low

  * Package console-common is not included in Clonezilla/DRBL/GParted
    live because it's deprecated:
    https://bugs.launchpad.net/bugs/1528861

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 24 Dec 2015 21:35:58 +0800

drbl (2.18.8-drbl1) unstable; urgency=low

  * Package perl-modules was replaced by perl in
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Dec 2015 20:54:18 +0800

drbl (2.18.7-drbl1) unstable; urgency=low

  * [Ceasar Sun]
    Add Conflicts=mkswapfile.service to avoid DRBL service mkswapfile to be
    started in ocsd-run.service.
    Add support for Fedora 22 and 23.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Dec 2015 20:08:04 +0800

drbl (2.18.6-drbl1) unstable; urgency=low

  * Adding ocsd files for CentOS 7.2.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Dec 2015 22:22:42 +0800

drbl (2.18.5-drbl1) unstable; urgency=low

  * "Shoutdown" should be "Desligar" in language file pt_BR.
    Thanks to Luciano (lboni2 _at_ yahoo com br) for correcting this.
  * Give warning about grub2 uEFI NB on CentOS 7 for grub2 versions
    2.02-0.17 and 2.02-0.23 in drblsrv.
  * Add OCS files (ocsd-*.service) for Clonezilla SE clients.
  * Apply the patches from Ceasar Sun to initial support Fedora >=21.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Dec 2015 08:27:51 +0800

drbl (2.18.4-drbl1) unstable; urgency=low

  * Switch to use "-scs" instead of "-sc" although "-sc" is still
    working. This will be easier to tell the differences between
    saving and restoring image. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Nov 2015 17:20:27 +0800

drbl (2.18.3-drbl1) unstable; urgency=low

  * Add options -sc0 and -scr for checking image integrity before
    restoring an image. The former is to check on Clonezilla server,
    and the latter is to check on Clonezilla client.
  * Language files were updated for options -sc0 and -scr.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 21 Nov 2015 22:42:17 +0800

drbl (2.18.2-drbl1) unstable; urgency=low

  * Adding fatresize in the packages list for clonezilla/drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Nov 2015 09:56:40 +0800

drbl (2.18.1-drbl1) unstable; urgency=low

  [ Ceasar Sun ]
  * Adding syslinux-common as required pkg in drbl.conf for Debian-like
    Linux. This is used to support Linux Mint.
  * Adding mdm support for drbl-login-switch.
  * Adding breakpoints in init.drbl.
  * Adding support for Linux Mint.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Nov 2015 10:15:05 +0800

drbl (2.17.12-drbl1) unstable; urgency=low

  * Adding package fatresize in the DRBL/Clonezilla live packages
    list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 Nov 2015 17:19:00 +0800

drbl (2.17.11-drbl1) unstable; urgency=low

  * More tests about if $GRUB_CONF exists before going on in some
    functions of drbl-functions about grub2 uEFI network boot.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 02 Nov 2015 11:12:09 +0800

drbl (2.17.10-drbl1) unstable; urgency=low

  * Check if file $GRUB_CONF exists first in 
    hide_reveal_grub_efi_ent and some functions in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Oct 2015 23:24:21 +0800

drbl (2.17.9-drbl1) unstable; urgency=low

  * When grub-mkimage or grub-mknetdir not found, drbl-gen-grub-efi-nb 
    shows warning messages only instead of error message because older
    version of GNU/Linux (e.g. CentOS 6) does not support creating
    grub uEFI network boot image.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Oct 2015 21:09:08 +0800

drbl (2.17.8-drbl1) unstable; urgency=low

  * Test if GRUB_CONF exists before modifying it in tune-clientdir-opt.
  * Adding support for CentOS 6.7.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Oct 2015 17:04:58 +0800

drbl (2.17.7-drbl1) unstable; urgency=low

  * Adding boot parameter "stick-to-pxe-srv" for DRBL live clients.
    This mechanism is used to stick to the PXE server when live-boot
    trying to lease IP address by using the boot parameter
    "stick-to-pxe-srv". It will drop the DHCP server without providing
    filename, so it can partially solve the issue that 2 DHCP servers
    co-exist on the same LAN. By default the max lease loop number is
    10 times. The boot parameter "ethdev-dhcp-max-loop" can be used
    to assign the max number. 
    //NOTE// This mechanism is only for DRBL/Clonezilla SE live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Oct 2015 09:22:58 +0800

drbl (2.17.6-drbl1) unstable; urgency=low

  * Suppress the error message in hide_reveal_pxe_img,
    use warning only.
  * Polish the output messages in hide_reveal_grub_efi_ent.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Oct 2015 11:27:54 +0800

drbl (2.17.5-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Oct 2015 19:51:10 +0800

drbl (2.17.4-drbl1) unstable; urgency=low

  * Update the help message of drbl-live.
  * Bug fixed: read the ocs_client_no_per_NIC from /etc/ocs/ocs-live.conf in
    higer priority than that of 
    $drbl_setup_path/files/ocs/live-hook/ocs-live-hook.conf in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Oct 2015 23:00:40 +0800

drbl (2.17.3-drbl1) unstable; urgency=low

  * Show Grub CPU and platform in the preconfig of grub uEFI netboot.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Sep 2015 20:27:34 +0800

drbl (2.17.2-drbl1) unstable; urgency=low

  * Use the same prompt "Local operating system (if available)" for uEFI
    netboot, as that of PXE.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Sep 2015 10:00:48 +0800

drbl (2.17.1-drbl1) unstable; urgency=low

  * For all cases, dcs clean the UEFI NB config files because now
    local-disk is always revealed.
  * Bug fixed: dcs -> local did not switch that for local-disk in grub uEFI
    netboot mode.
  * Reveal local-disk in the uEFI netboot menu by default. We have listed
    most of the OSes.
  * Convert the ":" in the MAC address based file name to "-" for grub uEFI
    netboot mode, i.e. something like: grub.cfg-01-00-0c-29-1d-9a-d1, not
    grub.cfg:01:00:0c:29:1d:9a:d1

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Sep 2015 21:50:37 +0800

drbl (2.16.12-drbl1) unstable; urgency=low

  * Update Forcevideo-drbl-live to work with the latest Sid. Thanks
    to Eric Reischer (emr _at_ hev psu edu) for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Sep 2015 22:35:54 +0800

drbl (2.16.11-drbl1) unstable; urgency=low

  * Bug fixed: wrong info about prompt for grub uEFI netboot.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Sep 2015 14:49:06 +0800

drbl (2.16.10-drbl1) unstable; urgency=low

  * More grub2 file system modules were added in drbl-gen-grub-efi-nb so
    that local disk boot is supported for uEFI network boot menu.
  * Live system hostname is assigned as ocs-client in Clonezilla SE of DRBL
    live, while drbl client is assigned as drbl-client. This is to avoid
    confusion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Sep 2015 13:27:03 +0800

drbl (2.16.9-drbl1) unstable; urgency=low

  * Since we have used grub embedded preconfig way in drbl-gen-grub-efi-nb 
    to solve this grub uEFI network booting restoring issue in Debian:
    http://lists.gnu.org/archive/html/help-grub/2015-09/msg00035.html
    Therefore no more disabling efi_netboot_1st_in_nvram in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Sep 2015 08:24:16 +0800

drbl (2.16.8-drbl1) unstable; urgency=low

  * Bug fixed: the variable was not protected when writing the preconfig
    file with cat command in drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Sep 2015 07:12:54 +0800

drbl (2.16.7-drbl1) unstable; urgency=low

  * Forget about condition test for the existing of config file in grub
    embedded preconfig file. Just use configfile module to make that in 
    drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Sep 2015 00:03:33 +0800

drbl (2.16.6-drbl1) unstable; urgency=low

  * The /tftpboot/nbi_img/grub.cfg/grub.cfg-01:$net_default_mac has higher
    priority than /tftpboot/nbi_img/grub.cfg/grub.cfg. By doing this, we do
    not have to patch the grub2 as described here:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=793760

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Sep 2015 14:34:00 +0800

drbl (2.16.5-drbl1) unstable; urgency=low

  * Change ocs_client_trig_type=proc-cmdline in drbl-ocs.conf when
    running drbl-live start.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 17 Sep 2015 09:58:51 +0800

drbl (2.16.4-drbl1) unstable; urgency=low

  * Link the kernel and initrd of clonezilla live in /tftpboot/nbi_img/ to
    that of drbl live for DRBL live system.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 15 Sep 2015 20:35:01 +0800

drbl (2.16.3-drbl1) unstable; urgency=low

  * Switched to use live system for DRBL client due to the missing /tmp
    or /dev/ issue.
  * Disabled updating initramfs when starting, because
    use_run_in_initrd and use_dev_pts_in_initrd in linuxrc.conf have fit
    the status in Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 15 Sep 2015 09:31:23 +0800

drbl (2.16.2-drbl1) unstable; urgency=low

  * Bug fixed: Live system for Clonezilla jobs in Clonezilla SE was
    not working for the uEFI network booting environment. 
  * Bug fixed: Program tune-clientdir-opt should not reveal the
    Clonezilla menu. Let dcs to reveal or hide that.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Sep 2015 21:28:33 +0800

drbl (2.16.1-drbl1) unstable; urgency=low

  * Due to the issue /tmp or /dev missing issue:
    http://lists.freedesktop.org/archives/systemd-devel/
    2015-September/034175.html
    DRBL live now switch to use drbl-live-ocs-prep for
    Clonezilla SE client, i.e. less use NFS root.
  * Adding file type "tar" in function gen_CDG_checksums of
    drbl-functions.
  * Option "-p" was added so that drbl-sl supports the mounted or
    unzipped live dir.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Sep 2015 14:08:53 +0800

drbl (2.15.31-drbl1) unstable; urgency=low

  * Option "-n" should be added for mount command when mounting /dev in
    read-only / (hence read-only /etc).

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Sep 2015 11:25:27 +0800

drbl (2.15.30-drbl1) unstable; urgency=low

  * Option "-b" was added was added to drbl-live.
  * A tag file will be added in /tfptboot/node_root/drbl_ssi/ when
    drbl-live is run.
  * Default to use "-t devtmpfs" instead of "-t udev" for mount command
    in init.drbl.
  * The flag TMPFS_RUN was changed to "true" by default in init.drbl
  * Reverted to create /dev/{console,null} in $drbl_common_root/. 
    It's required in some cases.
  * Corresponding change was done in drblpush with TMPFS_RUN in
    init.drbl.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Sep 2015 10:09:34 +0800

drbl (2.15.29-drbl1) unstable; urgency=low

  * Adding support files for Debian 7.9 and 8.2 in
    /usr/share/drbl/setup/files/DBN/

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Sep 2015 12:29:00 +0800

drbl (2.15.28-drbl1) unstable; urgency=medium

  * Client's /etc/fstab was changed. For nfs root, we set
    the option as "rw" so that checkroot.sh in Debian sysvinit
    could update the /etc/mtab.
  * The /proc in drbl client's /etc/fstab is commented. It's done
    by udevd automatically.
  * No more creating /dev/{console,null} in $drbl_common_root/. It's
    done by udevd automatically.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Sep 2015 12:17:07 +0800

drbl (2.15.27-drbl1) unstable; urgency=low

  * Package strace was added in clonezilla/drbl live system.
  * Set nosuid,nodev in /etc/fstab for client's /tmp dir.
  * Disabled workaround for dm after nis in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Sep 2015 17:59:33 +0800

drbl (2.15.26-drbl1) unstable; urgency=low

  * Put tmp.mount back for DRBL client. It was disabled in Debian
    patched systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Sep 2015 16:49:11 +0800

drbl (2.15.25-drbl1) unstable; urgency=low

  * Bug fixed: DRBL client sometimes failed to mount nfs due to remote-fs
    service starts first. A workaround was added.
    (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=768006)

  * Reverted the previous implementation for /etc/fstab.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Sep 2015 10:05:15 +0800

drbl (2.15.24-drbl1) unstable; urgency=low

  * An insurance to make sure that all mounting in /etc/fstab
    are done.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Aug 2015 17:40:03 +0800

drbl (2.15.23-drbl1) unstable; urgency=low

  * Functions add_opt_in_pxelinux_cfg_block and
    add_opt_in_grub_efi_cfg_block were improved to have an
    option "-n".
  * Using boot parameters for switching clients' mode
    (text or graphical) in systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Aug 2015 11:53:09 +0800

drbl (2.15.22-drbl1) unstable; urgency=low

  * Bug fixed: For Debian >=8 the file /var/lib/nfs/state was missing
    which caused rpc.statd failing to start in DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Aug 2015 09:10:44 +0800

drbl (2.15.21-drbl1) unstable; urgency=low

  * Adding support for Debian 8.1.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Aug 2015 11:26:59 +0800

drbl (2.15.20-drbl1) unstable; urgency=low

  * Make sure there is no white space in the end of opt_content in
    function add_opt_in_pxelinux_cfg_block in drbl-functions.
    This could reduce the chance that boot parameters are wrongly
    parsed by Linux kernel.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Aug 2015 21:48:39 +0800

drbl (2.15.19-drbl1) unstable; urgency=low

  * Files isolinux.bin and memdisk should be extracted and put to
    syslinux in get_syslinux_binary_for_dos_linux of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 16 Aug 2015 22:54:09 +0800

drbl (2.15.18-drbl1) unstable; urgency=low

  * Package zerofree was added in the packages list for
    DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Aug 2015 13:31:33 +0800

drbl (2.15.17-drbl1) unstable; urgency=low

  * Language files were updated for the option "-k1", both GPT and
    MBR format are supported.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Aug 2015 10:51:03 +0800

drbl (2.15.16-drbl1) unstable; urgency=low

  * Disabled efi_netboot_1st_in_nvram when server is Debian or
    Ubuntu due to grub does not have the patch
   (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=793760).
  * Package grub2-efi-modules added in the packages list
    "PKG_TO_QUERY" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 30 Jul 2015 18:19:57 +0800

drbl (2.15.15-drbl1) unstable; urgency=low

  * The useless note about option "-z3" was removed. Thanks to
    Marc Grondin (marcfgrondin _at_ gmail com) for reporting this.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Jun 2015 22:40:26 +0800

drbl (2.15.14-drbl1) unstable; urgency=low

  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 06 Jun 2015 10:06:14 +0800

drbl (2.15.13-drbl1) unstable; urgency=low

  * Functions confirm_continue_or_not_default_quit,
    confirm_continue_or_not_default_continue, and 
    confirm_continue_no_default_answer were moved from ocs-functions
    to drbl-functions.
  * Checking the grub2 version in blacklist for CentOS/RHEL when
    running drblsrv.
  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file fr_FR was updated. Thanks to Jean-Francois
    Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * drbl-sl should skip ipxe.efi when searching kernel.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 31 May 2015 21:23:00 +0800

drbl (2.15.12-drbl1) unstable; urgency=low

  * Improvement: better way to get clientdir for GRUB uEFI NB boot
    parameters in udhcpc-post.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 May 2015 06:14:29 +0800

drbl (2.15.11-drbl1) unstable; urgency=low

  * Functions add_opt_in_pxelinux_cfg_block, 
    remove_opt_in_pxelinux_cfg_block, add_opt_in_grub_efi_cfg_block
    and remove_opt_in_grub_efi_cfg_block were moved from
    ocs-functions to drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 May 2015 23:06:15 +0800

drbl (2.15.10-drbl1) unstable; urgency=low

  * Package udisks was replaced by udisks2 in
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED of drbl.conf.
  * Program tune-clientdir-opt now supports GRUB EFI NB.
  * Program drbl-gen-grub-efi-nb put more info in the
    uEFI NB bootlader file info.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 May 2015 22:30:20 +0800

drbl (2.15.9-drbl1) unstable; urgency=low

  * The corresponding tag files bootx64.efi.info/bootia32.efi.info
    will be created if the creating command runs successfully.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 May 2015 21:29:27 +0800

drbl (2.15.8-drbl1) unstable; urgency=low

  * Only for those non-stop cases we will clean the GRUB UEFI NB
    config files in dcs. Otherwise the local-disk boot normally
    won't work.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 May 2015 22:40:58 +0800

drbl (2.15.7-drbl1) unstable; urgency=low

  * If the latest version of fine tune ocs systemd files for
    DRBL clients are not found, the most related one will
    be use. E.g. CO7.1.1503 not found, the existing one
    CO7.0.1406 will be used.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 May 2015 09:56:09 +0800

drbl (2.15.6-drbl1) unstable; urgency=low

  * Bug fixed: wrong if block for local-disk in
    hide_reveal_grub_efi_ent.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 May 2015 23:13:12 +0800

drbl (2.15.5-drbl1) unstable; urgency=low

  * Minor improvement for generate-pxe-menu in the parameters
    while loop.
  * An option was added to set the menu background mode in
    gen-grub-efi-nb-menu.
  * GRUB efi modules part_gpt part_msdos boot multiboot were
    added in the bootx64.efi in gen-grub-efi-nb-menu so that
    we can chainloader to EFI on the local disk,
    like "chainloader /EFI/redhat/grub.efi +1".
  * File drbl-efi-pxe-sw was renamed as drbl-syslinux-efi-pxe-sw.
  * Thanks to Danny Russ | KSC for helping this GRUB EFI
    network boot solution.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 May 2015 22:23:26 +0800

drbl (2.15.4-drbl1) unstable; urgency=low

  * Due to a bug "error: timeout: could not resolve hardware address"
    (http://sourceforge.net/p/xcat/bugs/4658/) in grub2-efi modules,
    the grub2-efi-modules or grub2-efi can not be listed in
    PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 17:03:42 +0800

drbl (2.15.3-drbl1) unstable; urgency=low

  * The package name for grub2-efi modules is grub2-efi-modules,
    not grub2-efi on CentOS.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 16:48:37 +0800

drbl (2.15.2-drbl1) unstable; urgency=low

  * drbl.conf: grub-efi-amd64-bin grub2-efi added in PKG_TO_QUERY.
  * Suppress the findind error message in drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 15:41:34 +0800

drbl (2.15.1-drbl1) unstable; urgency=low

  * New file set-default-grub-efi-img was added. It will be
    used to set the menuentry for GRUB EFI NB was added.
  * New file drbl-gen-grub-efi-nb was added so that it can prepare
    GRUB EFI network boot files (/tftpboot/nbi_img/bootx64.efi).
  * New file gen-grub-efi-nb-menu was added so that it can be used
    to create the GRUB EFI NB config files in 
    /tftpboot/nbi_img/grub-efi.cfg/.
  * This is the initial version for using GRUB EFI NB as the uEFI
    network boot clients due to the syslinux.efi is not working
    with iPXE clients.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 14:30:11 +0800

drbl (2.14.12-drbl1) unstable; urgency=low

  * Adding drbl-efi-pxe-sw so it's easier to switch that on CentOS.
  * Adding the ocs service for CentOS 7.1.1503.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 15 May 2015 09:47:50 +0800

drbl (2.14.11-drbl1) unstable; urgency=low

  * Bug fixed: some more files (drblsrv-offline and mknic-nbi) need
    to be fixed so that it can be used for Linux kernel version 4.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 May 2015 22:28:56 +0800

drbl (2.14.10-drbl1) unstable; urgency=low

  * Bug fixed: failed to identify the iso file in drbl-sl on Ubuntu
    15.04. Thanks to Jasper Aorangi for reporting this
    (https://sourceforge.net/p/clonezilla/bugs/225/).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 May 2015 21:20:09 +0800

drbl (2.14.9-drbl10) unstable; urgency=low

  * Language file hu_HU was updated. Thanks to Michael Munger.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 10 May 2015 20:30:59 +0800

drbl (2.14.8-drbl1) unstable; urgency=low

  * Adding package tinc in Clonezilla/DRBL live. Thanks to Michael
    Munger (michael _at_ highpoweredhelp com) for suggesting this.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 09 May 2015 12:47:53 +0800

drbl (2.14.7-drbl1) unstable; urgency=low

  * Language files for Hungarian were added. Thanks to Greg Marki
    (info.mlc _at_ freemail hu) for providing the files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 May 2015 22:38:15 +0800

drbl (2.14.6-drbl1) unstable; urgency=low

  * Suppress the messages about client's upstart files not found.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 May 2015 14:51:26 +0800

drbl (2.14.5-drbl1) unstable; urgency=low

  * Network installation for Ubuntu has been updated to trusty
    and vivid in drbl.conf.
  * Initial support for Ubuntu 15.04.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 May 2015 17:58:40 +0800

drbl (2.14.4-drbl1) unstable; urgency=low

  * Bug fixed: the original /sbin/init was overwritten in DRBL live
    when running drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 May 2015 08:40:12 +0800

drbl (2.14.3-drbl1) unstable; urgency=low

  * Bug fixed: wrong including path in ocsd-rescue.service for
    Debian machine.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 May 2015 17:05:44 +0800

drbl (2.14.2-drbl1) unstable; urgency=low

  * Bug fixed: if block error in drblpush.
  * Service drbl-clients-nat.service for systemd should be removed
    when uninstalling.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 May 2015 16:40:21 +0800

drbl (2.14.1-drbl1) unstable; urgency=low

  * Updating Debian netinstall as jessie in drbl.conf because
    it's in stable status now.
  * Adding support for Debian Jessie and Sid with systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 May 2015 15:58:33 +0800

drbl (2.13.18-drbl1) unstable; urgency=low

  * Updating language files for S3 and Swift.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Apr 2015 19:28:33 +0800

drbl (2.13.17-drbl1) unstable; urgency=low

  * Package cloudfuse was added in the packages list of Clonezilla
    live.
  * A mechanism to avoid AWS S3 with ecryptfs was added because there
    is an issue: https://github.com/s3fs-fuse/s3fs-fuse/issues/166

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Apr 2015 13:20:42 +0800

drbl (2.13.16-drbl1) unstable; urgency=low

  * A mechanism to avoid AWS S3 with ecryptfs was added because there
    is an issue: https://github.com/s3fs-fuse/s3fs-fuse/issues/166

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Apr 2015 19:51:14 +0800

drbl (2.13.15-drbl1) unstable; urgency=low

  * Package s3fs was added in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Apr 2015 23:31:27 +0800

drbl (2.13.14-drbl1) unstable; urgency=low

  * Package ca-certificates was added in the packages list of
    Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Apr 2015 21:51:34 +0800

drbl (2.13.13-drbl1) unstable; urgency=low

  * Package ifenslave was added in the packages list of Clonezilla
    live.
  * Language files were updated for checking if the image repository
    is writable or not.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 29 Mar 2015 22:12:15 +0800

drbl (2.13.12-drbl1) unstable; urgency=low

  * Updating netinstall for opensuse as 13.2.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Mar 2015 19:57:06 +0800

drbl (2.13.11-drbl1) unstable; urgency=low

  * Package zbackup was added in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Mar 2015 19:29:03 +0800

drbl (2.13.10-drbl1) unstable; urgency=low

  * Function drbl_service_ctl was added in drbl-functions so that it
    can be used for start/stop/restart sysv/upstart/systemd service.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Mar 2015 20:48:21 +0800

drbl (2.13.9-drbl1) unstable; urgency=low

  * Option "-irvd" was added to Clonezilla menu.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Mar 2015 19:52:41 +0800

drbl (2.13.8-drbl1) unstable; urgency=low

  * Some ecryptfs-related options from drbl-ocs.conf were moved
    to drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Mar 2015 10:46:28 +0800

drbl (2.13.7-drbl1) unstable; urgency=low

  * Language file fr_FR was updated. Thanks to
    Jean-Francois Nifenecker.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 Feb 2015 09:07:49 +0800

drbl (2.13.6-drbl1) unstable; urgency=low

  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file en_US wad updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Feb 2015 13:19:01 +0800

drbl (2.13.5-drbl1) unstable; urgency=low

  * Package gdisk-noicu is now replaced by gdisk in Debian
    respository.
  * File system ecryptfs is not always built-in, so trying to
    modprobe before checking it.
  * Bug fixed: grand_jobs_before_exit not grand_task_before_exit.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Jan 2015 21:51:18 +0800

drbl (2.13.4-drbl1) unstable; urgency=low

  * Package bindfs was added in the packages list of DRBL/Clonezilla live.
  * Language files were updated for WebDAV image server.
  * Bindfs middle layer for WebDAV+eCryptfs was added.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Jan 2015 08:01:36 +0800

drbl (2.13.3-drbl1) unstable; urgency=low

  * Mergeing the patch from Ceasar to fix the boot haning issue of
    Fedora 21 client.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 25 Jan 2015 20:22:20 +0800

drbl (2.13.2-drbl1) unstable; urgency=low

  * Language files were updated.
  * Package refit was removed from DRBL/Clonezilla live packages list
    since it does not exist in Debian repository anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Jan 2015 22:34:45 +0800

drbl (2.13.1-drbl1) unstable; urgency=low

  * Merged the patch from Ceasar to support Fedora 21.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Jan 2015 13:48:35 +0800

drbl (2.12.14-drbl1) unstable; urgency=low

  * An option "exclude_eth_nics" was added in drbl.conf so that some
    network card can be excluded in drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 17 Jan 2015 14:27:50 +0800

drbl (2.12.13-drbl1) unstable; urgency=low

  * Bug fixed: the previous workaround by removing services in
    client's /etc/rcS.d/ causes clients fail to reboot or shutdown.
    Forget it.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 16 Jan 2015 22:52:08 +0800

drbl (2.12.12-drbl1) unstable; urgency=low

  * Bug fixed: drbl-clean-dhcpd-leases failed to restart dhcpd service
    for non-systemd environment.
  * Bug fixed: Somehow the unnecessary services in client's /etc/rcS.d/
    cause the console behaves weird. Removed them.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 16 Jan 2015 18:38:16 +0800

drbl (2.12.11-drbl1) unstable; urgency=low

  * Package ecryptfs-utils is now listed as required package for DRBL.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Jan 2015 20:38:37 +0800

drbl (2.12.10-drbl1) unstable; urgency=low

  * Adding firstboot.DBN8.0.drbl.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Jan 2015 15:52:23 +0800

drbl (2.12.9-drbl1) unstable; urgency=low

  * Adding a link file firstboot.DBN7.8.drbl for Debian 7.8.
    Same link files for older versions, too.
  * Language files were updated for variables changed and drbl-ocs.
  * Force to show only unencrypted images for Clonezilla SE in
    dcs option.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Jan 2015 23:09:08 +0800

drbl (2.12.8-drbl1) unstable; urgency=low

  * Language files were updated for p2v and the menus in ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Jan 2015 12:32:20 +0800

drbl (2.12.7-drbl1) unstable; urgency=low

  * Variable "target_dir_enc_mntpnt" was changed to shorter one
    "ecrypt_mntpnt" in drbl-functions.
  * Avoid using "rm -r" if possible.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 06 Jan 2015 16:15:03 +0800

drbl (2.12.6-drbl1) unstable; urgency=low

  * Language files were updated for converting encrypted/decrypted
    images.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Jan 2015 13:35:09 +0800

drbl (2.12.5-drbl1) unstable; urgency=low

  * Adding return code for function task_ecryptfs_mount_point.
  * Language files were updated for encrypting and decrypting
    existing images.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 03 Jan 2015 23:43:36 +0800

drbl (2.12.4-drbl1) unstable; urgency=low

  * Adding package ntpdate in the packages list of Clonezilla/DRBL
    live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Dec 2014 10:59:19 +0800

drbl (2.12.3-drbl1) unstable; urgency=low

  * Language file zh_TW.UTF-8 was updated.
  * Supporting netinstall of Fedora 21.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Dec 2014 16:47:00 +0800

drbl (2.12.2-drbl1) unstable; urgency=low

  * Updating msg_encrypt_img_dir_is_now_as in all language files.
  * The target_dir_enc_mntpnt is just a mounting point. Therefore
    when program exists, just use rmdir not "rm -rf" to avoid
    accidentally removing wrong directory.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Dec 2014 22:44:38 +0800

drbl (2.12.1-drbl1) unstable; urgency=low

  * Adding encryption function for Clonezilla image. Now it's OK for
    Clonezilla live, not yet for Clonezilla SE.
  * Remove zh_TW.BIG5 language option.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Dec 2014 19:12:28 +0800

drbl (2.11.16-drbl1) unstable; urgency=low

  * File Known_issues_Big5.txt was removed.
  * Known_issues.txt and RELEASE-NOTES were updated.
  * Adding package ecryptfs-utils in the packages list
    of DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Dec 2014 10:05:04 +0800

drbl (2.11.15-drbl2) unstable; urgency=low

  * The language files about stable Clonezilla live was updated as i586
    instead of i486.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 10 Dec 2014 20:26:50 +0800

drbl (2.11.14-drbl1) unstable; urgency=low

  * Now i586 instead of i486 Clonezilla live is in the stable release,
    therefore the corresponding changes were done.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 10 Dec 2014 19:59:49 +0800

drbl (2.11.13-drbl1) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Dec 2014 08:58:30 +0800

drbl (2.11.12-drbl1) unstable; urgency=low

  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language files sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Adding support for Debian 7.7.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Dec 2014 10:18:13 +0800

drbl (2.11.11-drbl1) unstable; urgency=low

  * Language files tr_TR for bash and perl were updated.
    Thanks to Volkan.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Dec 2014 11:30:32 +0800

drbl (2.11.10-drbl1) unstable; urgency=low

  * Bug fixed: failed to get the ethernet card for multicast in
    CentOS 7.
  * Adding comments in the /etc/sysconfig/dhcpd which is not
    used anymore for CentOS/Fedora using systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Nov 2014 17:00:13 +0800

drbl (2.11.9-drbl1) unstable; urgency=low

  * Bug fixed: for CentOS 7, there is no need to copy the modified
    halt and rc.sysinit files for DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Nov 2014 14:58:13 +0800

drbl (2.11.8-drbl1) unstable; urgency=low

  * Adding support for CentOS 6.6.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Nov 2014 09:57:17 +0800

drbl (2.11.7-drbl1) unstable; urgency=low

  * Bug fixed: drbl-etc-hosts failed to put the correct hostname for
    drbl clients in some cases.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Nov 2014 11:41:36 +0800

drbl (2.11.6-drbl1) unstable; urgency=low

  * Bug fixed: when one of the assigned IP addresses for DRBL clients
    is used by DRBL server, drblpush failed to deploy that completely.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Nov 2014 16:57:10 +0800

drbl (2.11.5-drbl1) unstable; urgency=low

  * A mechanism to check if i386 library (libc6-i386 or glibc.i686) exists
    on x86-64 system when running makeboot.sh due to syslinux included in
    Clonezilla live is 32-bit.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Nov 2014 09:45:52 +0800

drbl (2.11.4-drbl1) unstable; urgency=low

  * Supporting i586 linux image kernel for clients on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 12 Nov 2014 11:31:19 +0800

drbl (2.11.3-drbl1) unstable; urgency=low

  * Bug fixed: Service statd in Ubuntu 14.10 was not started for
    locking files.
  * The service plymouth should not be set as manual otherwise for
    DRBL client X won't start.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Nov 2014 20:03:03 +0800

drbl (2.11.2-drbl1) unstable; urgency=low

  * Bug fixed: missing drbl-all-service was restored.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Nov 2014 09:30:06 +0800

drbl (2.11.1-drbl1) unstable; urgency=low

  * A better mechanism (function is_systemd_init) to detect if systemd
    used as init was implemented.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Nov 2014 11:40:22 +0800

drbl (2.11.0-drbl1) unstable; urgency=low

  * Updating network installation of Ubuntu as "trusty utopic".

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Nov 2014 23:07:17 +0800

drbl (2.10.7-drbl1) unstable; urgency=low

  * Adding initial support for Ubuntu 14.10.
  * Updating drbl-client-boot-default.conf and S00wait-drbl-default
    for Ubuntu DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Nov 2014 22:40:27 +0800

drbl (2.10.6-drbl1) unstable; urgency=low

  * Bug fixed: for class C network, using 253 clients was not working.
    Thanks to Eric Frost for reporting this issu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 02 Nov 2014 14:58:00 +0800

drbl (2.10.5-drbl1) unstable; urgency=low

  * Updating scientific_netinstall_ver as 7x, and centos_netinstall_ver
    as "6 7" in drbl-ocs.conf.
  * Adding syslinux-efi in the required packages for Debian. Otherwise
    uEFI network booting client won't work.
  * Updating drbl-netinstall for CentOS 7 by adding inst.repo boot
    parameter.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Oct 2014 16:38:44 +0800

drbl (2.10.4-drbl1) unstable; urgency=low

  * Updating drbl-live-hadoop to version 0.3 from Thomas Tsai.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Sep 2014 16:57:23 +0800

drbl (2.10.3-drbl1) unstable; urgency=low

  * Language files were updated for restoring image of a partition
    to different partition.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Sep 2014 17:22:38 +0800

drbl (2.10.2-drbl1) unstable; urgency=low

  * Comments about uEFI network booting were updaetd in
    generate-pxe-menu.
  * Reverted to use iproute instead of iproute2 so that Wheezy won't
    fail.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Sep 2014 11:46:10 +0800

drbl (2.10.1-drbl1) unstable; urgency=low

  * Merging the files supporting systemd for CentOS 7 and Fedora 20
    from Ceasar Sun.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 15 Sep 2014 16:17:49 +0800

drbl (2.9.22-drbl1) unstable; urgency=low

  * Package davfs2 and f2fs-tools were added in the packages list of
    DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Sep 2014 16:55:00 +0800

drbl (2.9.21-drbl1) unstable; urgency=low

  * Adding package iw and list iproute2 instead of iproute in packages
    list of DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 04 Sep 2014 14:59:14 +0800

drbl (2.9.20-drbl1) unstable; urgency=low

  * Package sysvinit-core is removed from drbl.conf because Ubuntu
    does not have it yet. We have to add that in the packages list
    when creating Debian-based live system.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Aug 2014 08:47:34 +0800

drbl (2.9.19-drbl1) unstable; urgency=low

  * A better checking mechaism for sysvinit and systemd packages 
    coexisting on a system is used.
  * Program drbl-prepare-pxelinux was updated due to new path for
    new syslinux-efi has syslinux.efi in /usr/lib/SYSLINUX.EFI/.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Aug 2014 20:47:56 +0800

drbl (2.9.18-drbl1) unstable; urgency=low

  * A workaround to avoid the bug of dpkg version 1.17.13. It fails to
    update /var/lib/dpkg/available in bootstrap environment. Therefore
    the option --print-avail fails. We switched to use "dpkg -L" in
    function chk_deb_installed of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Aug 2014 15:14:05 +0800

drbl (2.9.17-drbl1) unstable; urgency=low

  * Put sysvinit-core in the packages list of clonezilla/debian/gparted
    live of drbl.conf. This is due to the pacakge init has switched to
    the default init system to systemd-sysv. We are not ready for
    that yet.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 Aug 2014 22:49:32 +0800

drbl (2.9.16-drbl1) unstable; urgency=low

  * Language file tr_TR was added. Thanks to Ömer YILDIZ 
    <oyildiz _at_ teknoplan.com.tr> for providing that.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Aug 2014 14:00:56 +0800

drbl (2.9.15-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.6.drbl for updated Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Aug 2014 22:52:34 +0800

drbl (2.9.14-drbl1) unstable; urgency=low

  * Adding package syslinux-util in PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Aug 2014 22:41:43 +0800

drbl (2.9.13-drbl1) unstable; urgency=low

  * Package syslinux-utils is now added in the packages list of
    Clonezilla and DRBL live due to the changes in Debian syslinux
    6.03-pre19 packaging.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Aug 2014 22:39:24 +0800

drbl (2.9.12-drbl1) unstable; urgency=low

  * Package rfkill was added in the packages list of Clonezilla
    and DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Aug 2014 09:39:22 +0800

drbl (2.9.11-drbl1) unstable; urgency=low

  * Package fstransform was added in the packages list of
    Clonezilla and DRBL live.
  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Aug 2014 10:30:14 +0800

drbl (2.9.10-drbl1) unstable; urgency=low

  * Bug fixed: drbl-sha1pass failed due to "use" instead of "require"
    was used. Thanks to monkeyzilla <monkeyzilla _at_ users sf net>
    for reporting it.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jul 2014 17:25:20 +0800

drbl (2.9.9-drbl1) unstable; urgency=low

  * Language files sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.
  * Bug fixed: file memdisk of pxelinux 6.x should be put in
    /tftpboot/nbi_img/, not in /tftpboot/nbi_img/bios/.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Jun 2014 08:57:00 +0800

drbl (2.9.8-drbl1) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 24 Jun 2014 07:15:50 +0800

drbl (2.9.7-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jun 2014 09:09:55 +0800

drbl (2.9.6-drbl1) unstable; urgency=low

  * Language file es_ES was updated by Juan Ramón Martínez.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Jun 2014 22:54:00 +0800

drbl (2.9.5-drbl1) unstable; urgency=low

  * Program makeboot.sh was patched by Ceasar Sun to support
    xfs, ufs and ffs.
  * Language files were improved. Thanks to 
    Philippe Prevost <philippe-prevost _at_ hotmail com>.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Jun 2014 22:17:19 +0800

drbl (2.9.4-drbl1) unstable; urgency=low

  * The usage of drbl-sl was updated to latest version number, and
    the text shown on PXE boot menu for zip should be the same as
    that of iso one.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 Jun 2014 11:23:04 +0800

drbl (2.9.3-drbl1) unstable; urgency=low

  * Language files for Slovak were added. Thanks to Ondrej Dzivy Balucha <balucha _at_ horizon sk> for providing this.
  * Bug fixed: The ca_ES of perl file linking was missing in 
    Makefile of language dir.
  * Switching to use debconf-set-selections to preconfigure settings.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 May 2014 13:43:14 +0800

drbl (2.9.2-drbl1) unstable; urgency=low

  * A program "drbl-live-hadoop" was added. This is still in testing.
  * Language files were updated for ocs-img-2-vdk.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 May 2014 23:09:41 +0800

drbl (2.9.1-drbl1) unstable; urgency=low

  * The grep function "NEWER" was renamed as "GREP_NEWER" and defined
    only in drbl-functions, used for all related scripts.
  * Program drbl-list-tarball was renamed as list_available_tarball.
  * Program list_latest_tarball was added and used in function 
    get_syslinux_binary_for_dos_linux of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 May 2014 22:43:14 +0800

drbl (2.8.25-drbl1) unstable; urgency=low

  * Package diskscan was added in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 17 May 2014 08:53:46 +0800

drbl (2.8.24-drbl1) unstable; urgency=low

  * Bug fixed: Starting IP address of the range was not used.
    Thanks to Andrew Parker for reporting this issue
    (https://sourceforge.net/p/drbl/bugs/12/).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 May 2014 13:06:06 +0800

drbl (2.8.23-drbl1) unstable; urgency=low

  * The doc URL was changed to drbl.org from drbl.sourceforge.net.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 May 2014 21:38:27 +0800

drbl (2.8.22-drbl1) unstable; urgency=low

  * Adding modified halt and rc.sysinit for DRBL clients of
    CentOS 6.5.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Apr 2014 13:47:28 +0800

drbl (2.8.21-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.5.drbl for Debian 7.5.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Apr 2014 23:37:48 +0800

drbl (2.8.20-drbl1) unstable; urgency=low

  * It's rpcbind-boot service only, we do not have to modify
    portmap.conf for Ubuntu 12.04.
  * A workround to keep console in vt 1 when booting for Ubuntu
    12.04 in select-in-client mode.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Apr 2014 20:35:12 +0800

drbl (2.8.19-drbl1) unstable; urgency=low

  * Bug fixed: when in restoreparts mode, "-t" option should be set by
    default (drbl-functions).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Apr 2014 10:48:05 +0800

drbl (2.8.18-drbl1) unstable; urgency=low

  * File set-netboot-1st-efi-nvram should be in Clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Apr 2014 14:53:04 +0800

drbl (2.8.17-drbl1) unstable; urgency=low

  * Updating comments in drblpush for dhcpd.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Apr 2014 14:47:19 +0800

drbl (2.8.16-drbl1) unstable; urgency=low

  * Updating network installation list for Ubuntu as "precise trusty"
    in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Apr 2014 12:16:50 +0800

drbl (2.8.15-drbl1) unstable; urgency=low

  * Removing "mkdir /run/rpcbind" in init.drbl because it's useless.
  * The rpcbind-boot.conf instead of rpcbind.conf for drbl clients
    is modified to be start on startup. This fixed the issue that
    when init starts, the dir /run/rpcbind/ does not exist.
  * The plymouth related part in /etc/init/rc.conf was disabled
    otherwise when select-in-client mode of clonezilla is run in
    vt1, the virtual console will be switched to vt7.
  * Program drbl-client-root-passwd failed on Ubuntu 14.04, so
    updating the function create_chpasswd_env of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Apr 2014 11:14:43 +0800

drbl (2.8.14-drbl1) unstable; urgency=low

  * Bug fixed: "service mountall start" in drbl-client-boot.conf of
    Ubuntu 12.04 drbl client should not be commented. Previous 
    change should be reverted.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Apr 2014 09:33:57 +0800

drbl (2.8.13-drbl1) unstable; urgency=low

  * Adding comment when modifying a file in function switch_upstart_service
    of drbl-functions.
  * customized plymouth.conf for Ubuntu 12.04 drbl clients was added. 
    This is a workaround to
    https://bugs.launchpad.net/ubuntu/precise/+source/mountall/+bug/1233610

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Apr 2014 09:22:43 +0800

drbl (2.8.12-drbl1) unstable; urgency=low

  * Appending "-" in the default hostname prefix of drblpush.
  * Program drbl-etc-hosts was updated to work with the default
    hostname prefix.
  * The function get_gdm_kdm_conf_filename of drbl-functions was
    updated to find and create the lightdm.conf for Ubuntu 14.04.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Apr 2014 16:21:35 +0800

drbl (2.8.11-drbl1) unstable; urgency=low

  * Adding Ubuntu 14.04 support.
  * The dir /run/rpcbind should be created by init.drbl so that
    when rpcbind service starts, it can touch the files under
    the path.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Apr 2014 14:10:16 +0800

drbl (2.8.10-drbl1) unstable; urgency=low

  * Adding variable drbl_nfs_prot in drbl.conf.
  * Adding nfs4 support in mknic-nbi. The whole
    support for nfs4 in drbl is not ready yet.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Apr 2014 23:59:48 +0800

drbl (2.8.9-drbl1) unstable; urgency=low

  * Unmounting bind directory under /tftpboot/ if it exists. 
    Otherwise when running "drblsrv -u", it might clean the 
    bind source dir on system.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Apr 2014 16:09:30 +0800

drbl (2.8.8-drbl1) unstable; urgency=low

  * Bug fixed: Mageia's path for vmlinuz and initrd were changed.
    The corresponding changes were done in drbl-netinstall.
  * The version of netinstall in drbl.conf was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Apr 2014 11:03:16 +0800

drbl (2.8.7-drbl1) unstable; urgency=low

  * Bug fixed: drbl-prepare-pxelinux failed to copy correct *.c32 of
    bios to /tftpboot/nbi_img/. It caused amd64 system failed to boot
    via pxelinux, isolinux or syslinux.
  * An option "-v" was added to drbl-prepare-pxelinux for verbose
    output.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Apr 2014 19:39:53 +0800

drbl (2.8.6-drbl1) unstable; urgency=low

  * Bug fixed: drbl-sl failed to detect iso file for file
    package >=5.17.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 29 Mar 2014 15:47:34 +0800

drbl (2.8.5-drbl1) unstable; urgency=low

  * Bug fixed: the hostname assignment syntax was not working
    for perl <= 5.14.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Mar 2014 15:59:08 +0800

drbl (2.8.4-drbl1) unstable; urgency=low

  * The message when searching and copying mbr.bin is suppressed. 
  * libnet-ip-perl was removed from control file because drbl-ipcalc-range
    was removed.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2014 21:35:59 +0800

drbl (2.8.3-drbl1) unstable; urgency=low

  * Program drbl-ipcalc-list was updated by Ceasar Sun for some
    more checking.
  * Only when old clients-of-*.txt exists it will be moved.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2014 21:27:50 +0800

drbl (2.8.2-drbl1) unstable; urgency=low

  * The support for using network class A and B on DRBL server
    was added.
  * The default rule for hostname of clients was changed to
    ${prefix}${ip//./-}".
  * The method to disable upstart service of Ubuntu client
    was improved.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2014 17:59:16 +0800

drbl (2.8.1-drbl1) unstable; urgency=low

  * Initial support for using network class A and B on DRBL server.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Mar 2014 22:00:16 +0800

drbl (2.7.40-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to 
    Juan Ramón Martínez.
  * Program drbl-ipcalc-list was updated by Ceasar Sun
    to support option "-r".
  * Program drbl-ipcalc-range was removed because
    drbl-ipcalc-list has same feature.
  * Program get-client-ip-list uses drbl-ipcalc-list,
    not drbl-ipcalc-range anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Mar 2014 18:06:08 +0800

drbl (2.7.39-drbl2) unstable; urgency=low

  * Adding libnet-ip-perl in the dependence. 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Mar 2014 11:02:51 +0800

drbl (2.7.39-drbl1) unstable; urgency=low

  * Bug fixed: drbl-ipcalc-range was missing.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Mar 2014 16:55:29 +0800

drbl (2.7.38-drbl1) unstable; urgency=low

  * Program drbl-ipcalc-list was tuned so it's easier to read.
  * A program drbl-ipcalc-range was added, and is used in 
    get-client-ip-list to get correct DRBL class A or B
    layout's clients.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Mar 2014 10:11:32 +0800

drbl (2.7.37-drbl1) unstable; urgency=low

  * Two options were added to makeboot.sh: -L and -U. 
    Patch provided by Ceasar Sun.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Mar 2014 17:43:00 +0800

drbl (2.7.36-drbl1) unstable; urgency=low

  * Program get-client-ip-list was updated with missing function "USAGE", 
    and the codes were revised, too.
  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Mar 2014 14:30:53 +0800

drbl (2.7.35-drbl1) unstable; urgency=low

  * A workaround to let DRBL live client start lightdm after
    nis was added in drbl-live.
  * Program drbl-live was rewritten with more functions so 
    it's easier to read.
  * Usage message of drbl-ipcalc-list was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Mar 2014 22:24:19 +0800

drbl (2.7.34-drbl1) unstable; urgency=low

  * Function parse_cmdline_option was improved to avoid some
    runtime error.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Mar 2014 17:32:38 +0800

drbl (2.7.33-drbl1) unstable; urgency=low

  * Variable "messages_shown_preference" in drbl.conf was moved to
    drbl-ocs.conf and renamed as "ocs_prompt_mode".

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Mar 2014 10:53:49 +0800

drbl (2.7.32-drbl1) unstable; urgency=low

  * The codes of prepare-files-for-PXE-client were rewritten so that
    it's can be reused for drbl-prepare-pxelinux. 
    An option "-p" was added to put pxelinux-related files only. 
  * Bug fixed: the "-d" option of drbl-prepare-pxelinux failed to
    process EFI files of syslinux.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 08 Mar 2014 20:22:11 +0800

drbl (2.7.31-drbl1) unstable; urgency=low

  * Program drbl-list-tarball was added to replace list_available_tbz2
    and list_latest_tbz2.
  * Program drbl-prepare-pxelinux and the function 
    get_syslinux_binary_for_dos_linux of drbl-functions was modified
    to use syslinux xz tarball instead of bz2 tarball because the
    latest testing one does not provide bz2 format anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Mar 2014 15:19:52 +0800

drbl (2.7.30-drbl1) unstable; urgency=low

  * The network-manager service of DRBL Ubuntu client is disabled.
    This issue exists specially on Ubuntu Saucy.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Mar 2014 21:01:59 +0800

drbl (2.7.29-drbl1) unstable; urgency=low

  * The variable msg_remember_poweroff_reboot_when_ocs_sr_is_done in
    language file ja_JP.UTF-8 was updated to avoid triggering 
    jfbterm crash.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Mar 2014 08:27:09 +0800

drbl (2.7.28-drbl1) unstable; urgency=low

  * Function parse_cmdline_option of drbl-functions was updated to accept
    all print characters ([[:print:]]) since now we use eval to run it.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Feb 2014 22:05:56 +0800

drbl (2.7.27-drbl1) unstable; urgency=low

  * The prompt about running syslinux in stupid mode in makeboot.sh
    has been updated by adding "-d syslinux".

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Feb 2014 21:16:33 +0800

drbl (2.7.26-drbl1) unstable; urgency=low

  * Return status of syslinux/extlinux in makeboot.sh will be checked.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Feb 2014 16:48:15 +0800

drbl (2.7.25-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.4.drbl for Debian 7.4.
  * Adding unattended option (-b) to makeboot.sh.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 16 Feb 2014 19:32:08 +0800

drbl (2.7.24-drbl1) unstable; urgency=low

  * Function parse_cmdline_option of drbl-functions was updated to
    accept more characters, including "[", "]", and ";".
  * Program parted instead of fdisk is used in makeboot.sh to show
    the destination disk partition layout. 
    Thanks to Ady (ady-sf _at_ hotmail com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Feb 2014 12:13:37 +0800

drbl (2.7.23-drbl1) unstable; urgency=low

  * Function parse_cmdline_option of drbl-functions was updated to 
    accept pipe sign (|). Thanks to Fuchs (fusi1939 _at_ users sf net)
    for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 06 Feb 2014 20:00:42 +0800

drbl (2.7.22-drbl1) unstable; urgency=low

  * Program makeboot.sh was improved. The directory "/syslinux" on
    the destination partition should be checked. If it does 
    not exist, we should create it. 
    Thanks to Ady (ady-sf _at_ hotmail com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 28 Jan 2014 11:22:15 +0800

drbl (2.7.21-drbl1) unstable; urgency=low

  * Function put_syslinux_makeboot_for_usb_flash in drbl-functions
    and drbl-sl have been updated corresponding to the unification
    of syslinux and isolinux dirs in the Clonezilla/DRBL/GParted live
    iso and zip.
  * A dir "/utils/win64" was added to be used to run syslinux in 
    Win64 env.
  * An option "-d syslinux" was added when running syslinux in 
    makeboot.sh/makeboot.bat/makeboot64.bat. Thanks to 
    Ady (ady-sf _at_ hotmail com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Jan 2014 15:15:07 +0800

drbl (2.7.20-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jan 2014 08:27:16 +0800

drbl (2.7.19-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 Jan 2014 21:02:45 +0800

drbl (2.7.18-drbl1) unstable; urgency=low

  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Jan 2014 17:31:53 +0800

drbl (2.7.17-drbl1) unstable; urgency=low

  * Adding package chntpw in the packages list for Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jan 2014 17:09:47 +0800

drbl (2.7.16-drbl1) unstable; urgency=low

  * Adding package bcache-tools in the packages list for 
    Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Jan 2014 13:53:58 +0800

drbl (2.7.15-drbl1) unstable; urgency=low

  * Program drbl-prepare-pxelinux supports the path for testing 
    version of syslinux.
  * Program put_syslinux_makeboot_for_usb_flash put both files 
    for syslinux and isolinux, in order to make versions consistent.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Dec 2013 11:06:40 +0800

drbl (2.7.14-drbl1) unstable; urgency=low

  * Spanish language file was updated. 
    Thanks to Juan Ramón Martínez <jrmc77 _at_ terra es>.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Dec 2013 15:50:20 +0800

drbl (2.7.13-drbl1) unstable; urgency=low

  * Removing the testing words for options z5p and z6p in 
    language files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 18 Dec 2013 14:57:31 +0800

drbl (2.7.12-drbl1) unstable; urgency=low

  * Bug fixed: mbr.bin should not be put in efi32 or efi64 dirs 
    by drbl-prepare-pxelinux.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 Dec 2013 19:38:46 +0800

drbl (2.7.11-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.3.drbl for Debian 7.3.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 Dec 2013 16:23:05 +0800

drbl (2.7.10-drbl1) unstable; urgency=low

  * Bug fixed: drbl-prepare-pxelinux failed to prepare mbr.bin from 
    syslinux 6 on Debian system.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 Dec 2013 16:16:53 +0800

drbl (2.7.9-drbl1) unstable; urgency=low

  * One more sentence about ocs-cvtimg-comp was added in language files.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Dec 2013 11:59:36 +0800

drbl (2.7.8-drbl1) unstable; urgency=low

  * One more sentence about ocs-cvtimg-comp was added in language files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 11 Dec 2013 22:03:38 +0800

drbl (2.7.7-drbl1) unstable; urgency=low

  * Package pv was added in PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Dec 2013 20:30:53 +0800

drbl (2.7.6-drbl1) unstable; urgency=low

  * One more sentence about ocs-cvtimg-comp was added in language files.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Dec 2013 14:10:25 +0800

drbl (2.7.5-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related to 
    ocs-cvtimg-comp.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Dec 2013 22:53:42 +0800

drbl (2.7.4-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related to ocs-cvtimg-comp.
  * Comments were added in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Dec 2013 15:44:11 +0800

drbl (2.7.3-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related
    to ocs-cvtimg-comp.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Dec 2013 11:05:33 +0800

drbl (2.7.2-drbl1) unstable; urgency=low

  * Adding pixz in in PKG_FROM_DBN_MINIMAL_NEED of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Dec 2013 11:43:21 +0800

drbl (2.7.1-drbl1) unstable; urgency=low

  * Adding isolinux and pxelinux in PKG_FROM_DBN_MINIMAL_NEED of drbl.conf.
    This is used for live system with syslinux version 6.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Nov 2013 10:15:50 +0800

drbl (2.6.15-drbl1) unstable; urgency=low

  * The "quiet" parameter will only be put for Debian or Ubuntu clients. 
    Not for other distributions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Nov 2013 21:31:31 +0800

drbl (2.6.14-drbl1) unstable; urgency=low

  * Bug fixed: plymouth.override for Ubuntu <= 13.10 will cause 
    lightdm not starting. Therefore it's only used for Ubuntu >= 13.10.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Nov 2013 18:22:03 +0800

drbl (2.6.13-drbl1) unstable; urgency=low

  * Package htop was added in the Clonezilla live packaegs list.
  * Auto-login for Ubuntu 13.10 client did not work.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Nov 2013 14:15:17 +0800

drbl (2.6.12-drbl1) unstable; urgency=low

  * "PATH" configuration of pxelinux only exists when version >= 5, so 
     program generate-pxe-men should not add it when pxelinux version is < 5.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Nov 2013 21:17:18 +0800

drbl (2.6.11-drbl1) unstable; urgency=low

  * A better method to disable plymouth service was added for DRBL 
    Ubuntu client.
  * "quiet" was added in the boot parameters of DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Nov 2013 20:28:25 +0800

drbl (2.6.10-drbl1) unstable; urgency=low

  * Bug fixed: plymouth should not be started for DRBL clients on
    Ubuntu 13.10 when Clonezilla job is run.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Nov 2013 16:44:44 +0800

drbl (2.6.9-drbl1) unstable; urgency=low

  * Bug fixed: mbr.bin of syslinux was not put in
    /usr/share/drbl/syslinux/bios/.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 Nov 2013 14:42:03 +0800

drbl (2.6.8-drbl1) unstable; urgency=low

  * Minor bug about udev if block in drblsrv was fixed.
  * Temporarily removing isolinux and pxelinux from 
    PKG_FROM_DBN_MINIMAL_NEED in drbl.conf due to the 
    local boot issue for pxelinux 6.2
    (http://www.syslinux.org/archives/2013-October/021010.html).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Oct 2013 11:50:01 +0800

drbl (2.6.7-drbl1) unstable; urgency=low

  * Adding CentOS 5.10 support.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Oct 2013 17:00:38 +0800

drbl (2.6.6-drbl1) unstable; urgency=low

  * Linking pxelinux module files in /tftpboot/nbi_img so it could be
    compatible with older version.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Oct 2013 15:01:25 +0800

drbl (2.6.5-drbl1) unstable; urgency=low

  * Bug fixed: drbl-prepare-pxelinux failed to put the efi part of upstream
    syslinux 6.
  * Bug fixed: ldlinux.e32 and ldlinux.e64 should not be put in 
    sys_pxelinux_v5p_required_c32 of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Oct 2013 09:52:20 +0800

drbl (2.6.4-drbl1) unstable; urgency=low

  * Bug fixed: drbl-gen-pxe-nbi should not remove
    /tftpboot/nbi_img/{bootx64.efi,bootia32.efi}
  * Adding more general network booting settings in dhcpd.conf for PXE 
    and EFI clients. However, the config for EFI clients are not ready yet.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 21:31:16 +0800

drbl (2.6.3-drbl1) unstable; urgency=low

  * The extlinux won't be installed when "drblsrv -i" is run.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 20:47:51 +0800

drbl (2.6.2-drbl1) unstable; urgency=low

  * Files bootia32.efi and bootx64.efi should be prepared in
    /tftpboot/nbi_img/ in prepare-files-for-PXE-client.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 20:32:34 +0800

drbl (2.6.1-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.2.drbl for Debian 7.2.
  * Supporting pxelinux 6.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 19:33:25 +0800

drbl (2.5.14-drbl1) unstable; urgency=low

  * Updating netinstall versions of Ubuntu and Fedora in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Oct 2013 08:26:23 +0800

drbl (2.5.13-drbl1) unstable; urgency=low

  * Adding pause 1 sec in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Oct 2013 09:46:04 +0800

drbl (2.5.12-drbl1) unstable; urgency=low

  * Bug fixed: drbl-ssi-client-prepare failed to set the autologin account
    for lightdm.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 15 Oct 2013 08:49:08 +0800

drbl (2.5.11-drbl1) unstable; urgency=low

  * Adding option --ipv4 for tftpd-hpa because DRBL now does not support IPv6, 
    and if we force to disable it by adding "ipv6.disable=1" in boot parameter, 
    without using option --ipv4 the tftpd-hpa won't start
    (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544089).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 11 Oct 2013 20:51:35 +0800

drbl (2.5.10-drbl1) unstable; urgency=low

  * Adding a line feed before running mknic-nbi in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Oct 2013 13:31:13 +0800

drbl (2.5.9-drbl1) unstable; urgency=low

  * Bug fixed: mknic-nbi should be run in drbl-live. Because it is 
    run in chroot when DRBL live is created. However, the variable 
    use_run_in_initrd and use_dev_pts_in_initrd in initramfs' /etc/linuxrc.conf
    (i.e. "/usr/lib/mkpxeinitrd-net/initrd-skel/etc/linuxrc.conf") need to be 
    updated in the run time. Otherwise it might cause some modules fail to 
    be loaded.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Oct 2013 15:54:12 +0800

drbl (2.5.8-drbl1) unstable; urgency=low

  * Adding makeboot64.bat which runs syslinux64.exe.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 08 Oct 2013 13:21:16 +0800

drbl (2.5.7-drbl1) unstable; urgency=low

  * Bug fixed: package name is dosfstools instead of mkdosfs
    in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Oct 2013 09:45:35 +0800

drbl (2.5.6-drbl1) unstable; urgency=low

  * Adding mkdosfs in the packages list of drbl.conf for Debian system.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Oct 2013 21:44:49 +0800

drbl (2.5.5-drbl1) unstable; urgency=low

  * Adding txt2html in the packages list of drbl.conf for Debian system.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Oct 2013 11:58:15 +0800

drbl (2.5.4-drbl1) unstable; urgency=low

  * Bug fixed: Making mountkernfs.sh and mountdevsubfs.sh start with
    updating /etc/mtab, otherwise when it's run 2nd time with reload
    (e.g. mountkernfs.sh reload), it will complain. 

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Oct 2013 15:36:49 +0800

drbl (2.5.3-drbl1) unstable; urgency=low

  * Removing localepurge in the Clonezilla live packages list. We have to 
    install that in live-hook because localepurge >= 0.7.3 the preseeding 
    has to be done before localepurge is installed 
    (http://bugs.debian.org/724491).

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Sep 2013 19:22:18 +0800

drbl (2.5.2-drbl1) unstable; urgency=low

  * Adding debconf-utils in the required packages list in drbl.conf 
    due to the need for debconf-set-selections.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Sep 2013 15:36:44 +0800

drbl (2.5.1-drbl2) unstable; urgency=low

  * Removing those not supported release in drbl/setup/files/Ubuntu/, 
    only 12.04, 12.10, 13.04, and 13.10 were kept now.
  * Adding firstboot for Debian 7.1 DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Sep 2013 21:25:23 +0800

drbl (2.5.0-drbl1) unstable; urgency=low

  * Adding support for Ubuntu 13.10.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Sep 2013 15:48:59 +0800

drbl (2.4.39-drbl1) unstable; urgency=low

  * The unnecessary variables wget* in drbl.conf were removed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Sep 2013 19:27:47 +0800

drbl (2.4.38-drbl1) unstable; urgency=low

  * The DRBL URL was changed as http://drbl.org from http://drbl.sf.net
    in drbl-syslinux-netinstall and generate-pxe-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Sep 2013 11:05:55 +0800

drbl (2.4.37-drbl1) unstable; urgency=low

  * Removing hwinfo from live system packages list in drbl.conf 
    because it's removed from Ubuntu Saucy and we use lshw instead.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Sep 2013 16:05:35 +0800

drbl (2.4.36-drbl1) unstable; urgency=low

  * Removing hal from live system packages list in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Sep 2013 13:33:30 +0800

drbl (2.4.35-drbl1) unstable; urgency=low

  * Minor updates about the the question mark after 
    $msg_are_u_sure_u_want_to_continue for language files.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Sep 2013 09:10:00 +0800

drbl (2.4.34-drbl1) unstable; urgency=low

  * Changed messages_shown_preference="cmd" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Aug 2013 20:07:25 +0800

drbl (2.4.33-drbl1) unstable; urgency=low

  * Netinstall for Debian Squeeze was removed in drbl.conf, while wheezy
    is kept.
  * Variable msg_prompt_for_insert_USB_dev_if_necessary and 
    msg_do_not_close_window_until_clone_finish in language files were 
    updated.
  * A variable messages_shown_preference was added in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Aug 2013 19:54:34 +0800

drbl (2.4.32-drbl1) unstable; urgency=low

  * Bug fixed: drbl-all-service failed to stop or restart nfs-server in 
    Fedora 17.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 27 Aug 2013 15:03:40 +0800

drbl (2.4.31-drbl1) unstable; urgency=low

  * Bug fixed: nfs service was not started or stopped by drbl-all-service
    in CentOS 6. Thanks to hihcheng Huang (shihcheng0527 _at_ gmail com) 
    for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Aug 2013 16:47:45 +0800

drbl (2.4.30-drbl1) unstable; urgency=low

  * Bug fixed: option of switch-pxe-menu was changed to avoid confusion.
  * Variable clonezilla_client_menu_label_prefix was added in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 25 Aug 2013 16:40:47 +0800

drbl (2.4.29-drbl1) unstable; urgency=low

  * Usage of drbl-client-switch was updated.
  * Two contral variables, ocs_fsck_src_part and ocs_chk_img, were added in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Aug 2013 18:11:32 +0800

drbl (2.4.28-drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Aug 2013 19:57:42 +0800

drbl (2.4.27-drbl) unstable; urgency=low

  * Using gdisk-noicu in the packages list of Clonezilla live instead
    of gdisk (drbl.conf).

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Aug 2013 10:18:48 +0800

drbl (2.4.26-drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 Aug 2013 23:45:05 +0800

drbl (2.4.25-drbl) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 Aug 2013 15:06:14 +0800

drbl (2.4.24-drbl) unstable; urgency=low

  * The netinstall for Ubuntu in drbl.conf was updated as precise and raring.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Aug 2013 09:40:16 +0800

drbl (2.4.23-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to Juan Ramón Martínez.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Aug 2013 16:53:11 +0800

drbl (2.4.22-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related
    to prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Jul 2013 11:12:10 +0800

drbl (2.4.21-drbl1) unstable; urgency=low

  * Adding efibootmgr in the packages list for quering in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Jul 2013 21:05:58 +0800

drbl (2.4.20-drbl1) unstable; urgency=low

  * Language files were updated. Words about updating EFI NVRAM were added.
  * An option "-iefi" was added in in the restoring dialog menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Jul 2013 16:36:10 +0800

drbl (2.4.19-drbl1) unstable; urgency=low

  * Package "lsof" was added in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Jul 2013 15:16:31 +0800

drbl (2.4.18-drbl1) unstable; urgency=low

  * Package efibootmgr was added in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Jun 2013 14:57:30 +0800

drbl (2.4.17-drbl1) unstable; urgency=low

  * CentOS 6.4 support was added.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Jun 2013 10:05:24 +0800

drbl (2.4.16-drbl1) unstable; urgency=low

  * Bug fixed: a variable lib_NOT_2_be_copied_2_common_root in drbl.conf 
    was added so that it's easier to exclude the /lib/live/mount dir, 
    the mounting point of Debian live 3.x, when running drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Jun 2013 16:28:44 +0800

drbl (2.4.15-drbl2) unstable; urgency=low

  * Making the desktop icon files of drbl live as executable.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Jun 2013 12:05:27 +0800

drbl (2.4.15-drbl1) unstable; urgency=low

  * Bug fixed: drbl-client-boot.conf for Ubuntu 12.04 and 12.10 should be improved 
    as that for Ubuntu 13.04. Otherwise lightdm won't start in DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 06 Jun 2013 23:12:39 +0800

drbl (2.4.14-drbl1) unstable; urgency=low

  * Bug fixed: "-r" option for Clonezilla might be duplicated when
    "-k1" option is enabled.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 May 2013 15:07:53 +0800

drbl (2.4.13-drbl1) unstable; urgency=low

  * Bug fixed: for expert mode, the postrun action for Clonezilla live should be asked, 
    not be skipped. Thanks to SourceJo for reporting this issue 
    (https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/3f3bb67d/?limit=25#5973).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 May 2013 17:12:35 +0800

drbl (2.4.12-drbl1) unstable; urgency=low

  * Bug fixed: the dhcpd.conf created on Ubuntu 12.04 won't be started 
    due to an extra "," in the end of name server list.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 May 2013 14:57:40 +0800

drbl (2.4.11-drbl1) unstable; urgency=low

  * Program makeboot.bat was updated with a better mechanism to prevent
    run program on wrong disk.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 May 2013 10:12:49 +0800

drbl (2.4.10-drbl1) unstable; urgency=low

  * Adding LSB info in modified service networking of DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 15 May 2013 11:19:40 +0800

drbl (2.4.9-drbl1) unstable; urgency=low

  * Adding zfs-fuse in the Clonezilla/DRBL live CD packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 May 2013 14:38:53 +0800

drbl (2.4.8-drbl1) unstable; urgency=low

  * Bug fixed: the shared object exposed by the kernel, i.e. linux-vdso.so.1 
    and linux-gate.so.1, should be skipped when copying shared objects to 
    /tftpboot/node_root/ since they do not exist on the file system. 
  * Package sysklogd was replaced by rsyslog in the Clonezilla/DRBL live CD 
    packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 May 2013 09:10:47 +0800

drbl (2.4.7-drbl1) unstable; urgency=low

  * Bug fixed: We should not overwrite the /etc/init.d/networking of 
    Ubuntu's DRBL client. Since it's linked to /lib/init/upstart-job. 

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 May 2013 19:19:02 +0800

drbl (2.4.6-drbl1) unstable; urgency=low

  * Adding support for Debian Sid (ATM it's Jessie). The networking service
    for DRBL clients was added so that it's easier to deal with network 
    status file.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 May 2013 19:08:12 +0800

drbl (2.4.5-drbl1) unstable; urgency=low

  * Bug fixed: function drbl-functions failed to append /sbin/ in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 May 2013 14:32:48 +0800

drbl (2.4.4-drbl1) unstable; urgency=low

  * Adding package nwipe in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 May 2013 14:23:04 +0800

drbl (2.4.3-drbl1) unstable; urgency=low

  * The variable sys_pxelinux_required_c32 of drbl.conf was changed to 
    sys_pxelinux_v5p_required_c32.
  * Updating function put_syslinux_makeboot_for_usb_flash so that the 
    menu.c32/vesamenu.c32/chain.c32 will always the same version with 
    those downloaded c32 files.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 May 2013 21:04:53 +0800

drbl (2.4.2-drbl1) unstable; urgency=low

  * Set "greeter-show-manual-login=true" for lightdm of DRBL client in drbl-login-switch.
  * Function restore_lvm2_udevd_rules was moved from ocs-functions to drbl-functions because it's required for Clonezilla SE.
  * Function disable_lvm2_udevd_rules was added in drbl-functions because it will be used in drblpush and ocs-lvm2-stop.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 May 2013 14:05:08 +0800

drbl (2.4.1-drbl1) unstable; urgency=low

  * Minor typo in en_US was fixed.
  * Package lziprecover was added.
  * Adding Ubuntu 13.04 in this release. Not well tested yet.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 04 May 2013 16:21:39 +0800

drbl (2.3.28-drbl1) unstable; urgency=low

  * Putting OpenSuSe netinstall version as 12.3 in drbl.conf.
 
 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Apr 2013 21:38:04 +0800

drbl (2.3.27-drbl1) unstable; urgency=low

  * Making ldlinux.c32, libcom32.c32, libutil.c32 downloaded from tarball mode 
    as 644, not vfat's 755.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Apr 2013 21:26:09 +0800

drbl (2.3.26-drbl1) unstable; urgency=low

  * Package f2fs-tools was added in the live CD packages list in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 20 Apr 2013 09:14:09 +0800

drbl (2.3.25-drbl1) unstable; urgency=low

  * Function put_syslinux_makeboot_for_usb_flash in drbl-functions 
    was updated for Syslinux 5.x. Three more c32 modules are required.
  * Bug fixed: swapon command should not be run in background in mkswapfile,
    otherwise swap size might be not counted immediately.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Apr 2013 16:02:10 +0800

drbl (2.3.24-drbl1) unstable; urgency=low

  * Suppress nm-tool stderr in drblpush in case the program is not installed.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 02 Apr 2013 21:56:31 +0800

drbl (2.3.23-drbl1) unstable; urgency=low

  * If display manager is not found, skip the rest with different prompt
    in drbl-login-switch.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Apr 2013 14:13:24 +0800

drbl (2.3.22-drbl1) unstable; urgency=low

  * Bug fixed: function set_ocs_sr_extra_param in drbl-functions has been 
    improved. If postrun action is assigned, we should not ask it.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Mar 2013 17:12:33 +0800

drbl (2.3.21-drbl1) unstable; urgency=low

  * Juan Ramón Martínez's email address in the language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Mar 2013 08:32:41 +0800

drbl (2.3.20-drbl1) unstable; urgency=low

  * Bug fixed: i386 version of Clonezilla live was used when running drblpush
    with clonezilla_live_mode option 0. Thanks to Yitzon Belandria 
    <yitzon _at_ gmail com> for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Mar 2013 20:18:15 +0800

drbl (2.3.19-drbl1) unstable; urgency=low

  * Message msg_etherboot_5_4_is_required in drbl-sl was disabled.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Mar 2013 21:20:22 +0800

drbl (2.3.18-drbl1) unstable; urgency=low

  * When the DNS server in /etc/resolv.conf is 127.0.0.1 from network-manager,
    the real DNS got from nm-tool will be used for DRBL clients. 
  * Excluding LXC network deivce lxc* because they won't be DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Mar 2013 14:56:08 +0800

drbl (2.3.17-drbl1) unstable; urgency=low

  * SHA256SUMS will be created by function gen_CDG_checksums.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Mar 2013 15:29:55 +0800

drbl (2.3.16-drbl1) unstable; urgency=low

  * DSL and Puppylinux were removed from the supporting list in drbl-sl.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 Mar 2013 14:47:55 +0800

drbl (2.3.15-drbl1) unstable; urgency=low

  * Bug fixed: for restoreparts mode, we should not turn on "-g auto" 
    option by default. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Mar 2013 10:04:47 +0800

drbl (2.3.14-drbl1) unstable; urgency=low

  * Language files were updated. Words about Etherboot were removed.
  * The prompt about etherboot requirement was removed from drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Mar 2013 09:09:13 +0800

drbl (2.3.13-drbl1) unstable; urgency=low

  * Bug fixed: alias network card configuration can not be parsed. 
    Thanks to Pat Gilbert <pat.gilbert _at_ gmail com> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Mar 2013 13:47:34 +0800

drbl (2.3.12-drbl1) unstable; urgency=low

  * Bug fixed: we should also test udevd since the udev on CentOS 5.9
    is older version. Thanks to Aaron Burling (aaron_burling _at_ lkstevens
    wednet edu) for reporting this issue.
  * Files halt and rc.sysinit for CentOS 5.9's client were added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 01 Mar 2013 13:41:24 +0800

drbl (2.3.11-drbl1) unstable; urgency=low

  * File firstboot.DBN6.0.7.drbl for Debian 6.0.7 was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 01 Mar 2013 08:40:32 +0800

drbl (2.3.10-drbl1) unstable; urgency=low

  * Bug fixed: extlinux should be required for Clonezilla live, not DRBL.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 11:00:16 +0800

drbl (2.3.9-drbl2) unstable; urgency=low

  * Updated control, removing syslinux-common required since syslinux is
    listed. vim-common is removed, since fail-mbr.bin is from partclone. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 10:39:39 +0800

drbl (2.3.9-drbl1) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Feb 2013 10:37:27 +0800

drbl (2.3.8-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Feb 2013 21:50:57 +0800

drbl (2.3.7-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Feb 2013 14:26:29 +0800

drbl (2.3.6-drbl1) unstable; urgency=low

  * Variable msg_ocs_param_srel was added in language files.
  * An option -srel|--save-restore-error-log to force saving error log in the 
    image dir was added in clonezilla SE related menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 17 Feb 2013 14:44:15 +0800

drbl (2.3.5-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.0.drbl for Debian 7.0.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 22:40:30 +0800

drbl (2.3.4-drbl1) unstable; urgency=low

  * Bug fixed: typo in prepare-files-for-PXE-client.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 20:20:34 +0800

drbl (2.3.3-drbl1) unstable; urgency=low

  * Excluding linux kernel with name "-dbg" for Debian-based DRBL.
  * Bug fixed: for Syslinux 5, 3 more files are required to be put in /tftpboot/nbi_img/, 
    i.e. ldlinux.c32, libcom32.c32, libutil.c32.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 20:10:54 +0800

drbl (2.3.2-drbl1) unstable; urgency=low

  * Package udisks was added the packages list for Clonezilla live.  
    Thanks to fusi1939 for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 10 Feb 2013 22:41:44 +0800

drbl (2.3.1-drbl1) unstable; urgency=low

  * Bug fixed: for Syslinux 5, 3 more files are required, i.e. 
    ldlinux.c32, libcom32.c32, libutil.c32

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Feb 2013 14:29:18 +0800

drbl (2.3.0-drbl1) unstable; urgency=low

  * The patches from Ceasar Sun for Fedora 17/18 were applied.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 Feb 2013 11:03:23 +0800

drbl (2.2.6-drbl1) unstable; urgency=low

  * Netinstall version for Fedora was changed to 18 in drbl.conf.
  * Language file ca_ES for perl script was added. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Jan 2013 08:43:26 +0800

drbl (2.2.5-drbl1) unstable; urgency=low

  * Files about fail-mbr.bin have been removed since 
    now Partclone (>=0.2.58) has included that.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Jan 2013 11:36:15 +0800

drbl (2.2.4-drbl1) unstable; urgency=low

  * Bug fixed: makeboot.sh failed to run with path name containing white space.
  * Lucid netinstall was removed from drbl.conf since another LTS (precise) is available already.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Jan 2013 23:15:47 +0800

drbl (2.2.3-drbl1) unstable; urgency=low

  * Bug fixed: drblpush failed to identify the new, different arch of iso for 
    the alternative testing Clonezilla live on the repository.
  * Language files (perl) were updated. 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 11 Jan 2013 11:00:39 +0800

drbl (2.2.2-drbl1) unstable; urgency=low

  * Function active_proc_partitions was moved to ocs-functions from drbl-functions.
  * An option "-s" to assign syslinux version was added to drbl-syslinux-netinstall.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Jan 2013 15:34:11 +0800

drbl (2.2.1-drbl1) unstable; urgency=low

  * Put option "-nogui" in the higher position of the menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 08 Jan 2013 22:13:30 +0800

drbl (2.2.0-drbl1) unstable; urgency=low

  * Checking if blkid exists in makeboot.sh. Adding a prompt about GPT disk.
  * Package libdata-validate-ip-perl was added in the packages list for Clonezilla live.
  * Some big changes in the Clonezilla codes, therefore increase the 2nd major version number.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Jan 2013 14:12:42 +0800

drbl (2.1.52-drbl1) unstable; urgency=low

  * Package extlinux was added in the packages list for DRBL so then Clonezilla.
  * Program extlinux now will be put in dir util/linux/ 
    in Clonezilla/DRBL/GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Dec 2012 20:55:00 +0800

drbl (2.1.51-drbl1) unstable; urgency=low

  * Comments in drbl-functions were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Dec 2012 07:49:01 +0800

drbl (2.1.50-drbl1) unstable; urgency=low

  * Bug fixed: parse_cmdline_option in drbl-function failed to parse boot 
    parameter containing "$" character. 
    Thanks to kuen-shieh yang <kuenshieh _at_ gmail com> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Dec 2012 22:34:54 +0800

drbl (2.1.49-drbl1) unstable; urgency=low

  * Bug fixed: Program makeboot.sh should check the destination disk
    is MBR or not.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Dec 2012 16:22:05 +0800

drbl (2.1.48-drbl1) unstable; urgency=low

  * Adding package exfat-utils and exfat-fuse in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Dec 2012 10:53:59 +0800

drbl (2.1.47-drbl1) unstable; urgency=low

  * Adding package tree in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Dec 2012 15:17:03 +0800

drbl (2.1.46-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to Juan Ramón Martínez

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 23:06:16 +0800

drbl (2.1.45-drbl1) unstable; urgency=low

  * Language file zh_TW was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 09:51:30 +0800

drbl (2.1.44-drbl1) unstable; urgency=low

  * Bug fixed: Wrong path for the rerun command of drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 09:02:52 +0800

drbl (2.1.43-drbl1) unstable; urgency=low

  * Bug fixed: Wrong path for the rerun command of drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 08:55:29 +0800

drbl (2.1.42-drbl1) unstable; urgency=low

  * Typo in scripts/bin/drbl-langchooser for Catalan was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Dec 2012 15:57:21 +0800

drbl (2.1.41-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Dec 2012 15:11:35 +0800

drbl (2.1.40-drbl1) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Bug fixed: no more using cdebootstrap when creating 
    Clonezilla/DRBL/GParted live, therefore the function 
    create_live_required_debian_based_prompt in drbl-functions should 
    check debootstrap, not cdebootstrap.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Dec 2012 11:31:47 +0800

drbl (2.1.39-drbl1) unstable; urgency=low

  * Language files were updated. Using "Catalan | català" 
    instead of "Catalonia | Catalunya". 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 14:51:13 +0800

drbl (2.1.38-drbl1) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 11:26:48 +0800

drbl (2.1.37-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 09:27:55 +0800

drbl (2.1.36-drbl1) unstable; urgency=low

  * Bug fixed: drbl ocs-live mode failed to download i686 version of 
    Clonezilla live in drblpush, because the file name should use *-i686-pae*.
  * Bug fixed: drbl-fuu failed to deal with file name with white space. 
    Thanks to <himaboy826 _at_ gmail com> for reporting this bug.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 09:20:37 +0800

drbl (2.1.35-drbl1) unstable; urgency=low

  *Language file ca_ES was added. Thanks to René Mérou and Innocent De Marchi.
  *Language file it_IT was updated. Thanks to Gianfranco Gentili.
  *Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  *Language file de_DE was updated. Thanks to Michael Vinzenz.
  *Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  *Language ca_ES was added in the Clonezilla live menu.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 28 Nov 2012 20:04:04 +0800

drbl (2.1.34-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated and a typo in language file 
    en_US was fixed. Thanks to Juan Ramón Martínez (JRMC77 _at_ terra es).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Nov 2012 23:09:27 +0800

drbl (2.1.33-drbl1) unstable; urgency=low

  * Bug fixed: A workaround to identify initrd on CentOS 5 
    was added in drbl-sl.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Nov 2012 13:15:50 +0800

drbl (2.1.32-drbl1) unstable; urgency=low

  * Bug fixed: DRBL_SCRIPT_PATH was not set in drbl-conf-functions. 
    Thanks to explosions for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 06 Nov 2012 19:37:20 +0800

drbl (2.1.31-drbl1) unstable; urgency=low

  * Using syslinux/pxelinux 4.06 in drbl/clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Nov 2012 14:04:43 +0800

drbl (2.1.30-drbl1) unstable; urgency=low

  * Adding mpg123 for Clonezilla live. It might be useful to play sound
    when Clonezilla job is done. Thanks to FlyFox for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 02 Nov 2012 14:58:34 +0800

drbl (2.1.29-drbl1) unstable; urgency=low

  * Bug fixed: no more removing ip=frommedia for PXE client as live-boot
    2.0.15-1.drbl15 and 3.x have no issue to use that. If it's removed, 
    Ubuntu-based Clonezilla live won't enter rc-sysinit.conf until failsafe.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Nov 2012 07:21:26 +0800

drbl (2.1.28-drbl1) unstable; urgency=low

  * Bug fixed: typo of msg_autohostname_is_reserved_for_save_mode in en_US 
    was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Oct 2012 10:41:50 +0800

drbl (2.1.27-drbl1) unstable; urgency=low

  * Bug fixed: the service listed in /etc/drbl/client-extra-service was not on 
    on the client if it's not on on the server. Thanks to 
    Odin Nøsen <odin _at_ gnuskole no> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Oct 2012 10:15:30 +0800

drbl (2.1.26-drbl2) unstable; urgency=low

  * Files halt.CO6.3.drbl and rc.sysinit.CO6.3.drbl were added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 20:55:19 +0800

drbl (2.1.26-drbl1) unstable; urgency=low

  * Bug fixed: "drbl_syscfg" instead of "drbl_setup_cfg" should be used, and 
    drbl_setup_cfg was removed from drbl.conf. Thanks to 
    Odin Nøsen <odin _at_ gnuskole no> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 20:46:54 +0800

drbl (2.1.25-drbl1) unstable; urgency=low

  * Bug fixed: exporting /opt/ should be appended, not overwritten 
    the previous exported dir.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 09:00:05 +0800

drbl (2.1.24-drbl1) unstable; urgency=low

  * Bug fixed: drbl clients should mount server's /opt/ when it 
    is exported on server.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 08:52:46 +0800

drbl (2.1.23-drbl1) unstable; urgency=low

  * Only when dir /opt exists, drbl-nfs-export will export that dir.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 08:21:54 +0800

drbl (2.1.22-drbl1) unstable; urgency=low

  * Bug fixed: /opt dir should be exported for NFS clients since some 
    packages (e.g. google-chrome) will be installed in that dir. 
    Thanks to Odin Nøsen <odin _at_ gnuskole no> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 07:53:46 +0800

drbl (2.1.21-drbl1) unstable; urgency=low

  * Bug fixed: version sorting option "-V" should be used with sort in 
    function find_next_release_version_number.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Oct 2012 22:22:42 +0800

drbl (2.1.20-drbl1) unstable; urgency=low

  * A function find_next_release_version_number was added for using in 
    creating Clonezilla/DRBL/GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Oct 2012 15:17:14 +0800

drbl (2.1.19-drbl1) unstable; urgency=low

  * Bug fixed: sort and uniq should not be used in init.drbl since these 
    programs are not in /bin instead they are in /usr/bin. This will cause 
    Debian and Ubuntu drbl client fail to boot.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Oct 2012 09:12:30 +0800

drbl (2.1.18-drbl1) unstable; urgency=low

  * Bug fixed: For Ubuntu 12.04 and 12.10, linux-image-extra should be 
    installed to. So we can support more hardware for DRBL clients.
  * Changed the default option for client's kernel arch to the same as 
    server for Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2012 22:00:39 +0800

drbl (2.1.17-drbl1) unstable; urgency=low

  * Bug fixed: dracut should not be listed in PKG_TO_QUERY, we have to 
    put it in PKG_TO_QUERY_RH otherwise it will cause Ubuntu or Debian 
    fail to finish drblsrv.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2012 20:33:20 +0800

drbl (2.1.16-drbl1) unstable; urgency=low

  * Bug fixed: Some more minor bugs fixed for Fedora 17 were applied.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2012 10:32:53 +0800

drbl (2.1.15-drbl1) unstable; urgency=low

  * Bug fixed: Some problem for linking /var/run and /var/lock on Fedora 17. Reverted to the previous status.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Oct 2012 21:17:54 +0800

drbl (2.1.14-drbl1) unstable; urgency=low

  * More comments were added for not getting IPv6 in drbl-get-ipadd and init.drbl.
  * Bug fixed: Linked files /var/run and /var/lock were not copied in client's /var/.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Oct 2012 20:40:13 +0800

drbl (2.1.13-drbl1) unstable; urgency=low

  * Bug fixed: IPv6 address should not be gotten since for the NFS of DRBL only IPv4 is supported.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 14 Oct 2012 13:21:24 +0800

drbl (2.1.12-drbl1) unstable; urgency=low

  * Bug fixed: kernel package of FC17 on repository could not be found.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 13 Oct 2012 22:16:43 +0800

drbl (2.1.11-drbl1) unstable; urgency=low

  * Bug fixed: typos in drbl-all-service were fixed.
  * Bug fixed: the warning about fine-tune rc.sysinit and halt should not be given for Fedora 17 since there is no such files exist.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 20:37:01 +0800

drbl (2.1.10-drbl1) unstable; urgency=low

  * Bug fixed: yum repository files drbl-*-list should use "$basearch" instead of "$ARCH" so that the architecture could be correct.
  * Bug fixed: for CentOS/RHEL 6 or Fedora 17, dracut instead of mkinitrd is required. Therefore using PKG_TO_QUERY="mkinitrd dracut" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 19:54:59 +0800

drbl (2.1.9-drbl1) unstable; urgency=low

  * Bug fixed: YP update command for Fedora 17 was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 10:57:35 +0800

drbl (2.1.8-drbl1) unstable; urgency=low

  * Bug fixed: Some bugs for Fedora 17 were fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 09:19:34 +0800

drbl (2.1.7-drbl1) unstable; urgency=low

  * Bug fixed: Failed to serve Fedora 17. The patches from 
    Ceasar Sun were merged. Some minor bugs still have to be fixed later.
  * Bug fixed: Files for Ubuntu 12.10 were added. It should be able 
    to serve ubuntu 12.10.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 11 Oct 2012 08:28:35 +0800

drbl (2.1.6-drbl1) unstable; urgency=low

  * Ubuntu Quantal netinstall was enabled in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 02 Oct 2012 20:04:45 +0800

drbl (2.1.5-drbl1) unstable; urgency=low

  * Avoiding the warning messages when running Debian 6.0.6.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Oct 2012 09:13:07 +0800

drbl (2.1.4-drbl1) unstable; urgency=low

  * Comments in drbl-ipcalc-list were updated.
  * Bug fixed: drbl-ipcalc-list should skip network and broadcast IP address.
  * Bug fixed: when OS_Version does not match, drblpush should use the most related rc.sysinit and halt files for clients. Othereise the possibility that clients fail to boot will be high.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Sep 2012 14:48:11 +0800

drbl (2.1.3-drbl1) unstable; urgency=low

  * A shell script "drbl-run-parts" was added.
  * Package "crontabs" is no more required for Fedora as now we use 
    drbl-run-parts.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Sep 2012 07:25:38 +0800

drbl (2.1.2-drbl1) unstable; urgency=low

  * Language files were updated. Variable "msg_autoproductname_is_a_reserved" 
    was added, and a typo en en_US was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Aug 2012 14:20:58 +0800

drbl (2.1.1-drbl1) unstable; urgency=low

  * Bug fixed: /usr/share/drbl/{sbin,bin} was not in the PATH in init.drbl.
  * Removing the vague "Something went wrong" prompts.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Aug 2012 10:19:44 +0800

drbl (2.1.0-drbl1) unstable; urgency=low

  * Updating files in dir debian so less lintian warnings.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 11:21:58 +0800

drbl (2.0.14-drbl1) unstable; urgency=low

  * Files renamed, so using ocs-srv-live instead of ocs-srv-live.sh, 
    drbl-sl instead of drbl-SL.sh.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 07:33:23 +0800

drbl (2.0.13-drbl1) unstable; urgency=low

  * Adding the interpreter's magic number for drbl-perl-functions, 
    drbl-conf-functions, and drbl-functions to avoid lintian's warning.
  * Updating debian/control to follow Debian's policy.
  * To follow Debian's policy, the program drbl-SL.sh was renamed as drbl-sl, 
    and drbl-live.sh was renamed as drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Aug 2012 19:13:59 +0800

drbl (2.0.12-drbl1) unstable; urgency=low

  * A typo in language file en_US was fixed.  Thanks to René Mérou.
  * Function gen_CDG_checksums will generate a html format for CHECKSUMS file.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 22 Aug 2012 17:03:56 +0800

drbl (2.0.11-drbl1) unstable; urgency=low

  * Bug fixed: Failed to parse boot parameter like: "mount UUID=X /mnt" in grub booting. Thanks to nottaken37 for reporting this issue (https://sourceforge.net/projects/clonezilla/forums/forum/663168/topic/5133379).
  * Variable msg_client_job_are_logged_in in language files was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Aug 2012 14:59:22 +0800

drbl (2.0.10-drbl1) unstable; urgency=low

  * Using $desktop_user_group_debian instead of hardcoded strings in drblpush.  Thanks to dwight (http://sourceforge.net/tracker/?func=detail&atid=537327&aid=3559290&group_id=73280).

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Aug 2012 10:44:47 +0800

drbl (2.0.9-drbl1) unstable; urgency=low

  * Improvement: drbl-SL.sh now supports Clonezilla and GParted live zip file format.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 Aug 2012 10:52:58 +0800

drbl (2.0.8-drbl1) unstable; urgency=low

  * Bug fixed: drblsrv-offline should be in /usr/sbin instead of /usr/share/drbl/sbi/.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 13 Aug 2012 11:15:51 +0800

drbl (2.0.7-drbl1) unstable; urgency=low

  * A better way to append drbl-related PATH was adopted.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 23:20:58 +0800

drbl (2.0.6-drbl1) unstable; urgency=low

  * Using /usr/share/drbl instead of /usr/share/drbl/ so that no "//" in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 22:36:44 +0800

drbl (2.0.5-drbl1) unstable; urgency=low

  * Function gen_CDG_checksums was added in drbl-funtions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Aug 2012 17:45:00 +0800

drbl (2.0.4-drbl1) unstable; urgency=low

  * Function get_latest_pkg_in_drbl_repository was added in drbl-funtions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Aug 2012 14:43:12 +0800

drbl (2.0.3-drbl1) unstable; urgency=low

  * Remove those related to "$DRBL_SCRIPT_PATH" from language files.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Aug 2012 14:45:17 +0800

drbl (2.0.2-drbl1) unstable; urgency=low

  * Bug fixed: get-assigned-hn-by-ip searched the wrong path.
  * Put the GPL text file instead of COPYING because ocs-iso, create-*-live need that.
  * Put the file license of fail-mbr.bin as BSD. Orgad Shaneh has decided the license.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Aug 2012 09:11:23 +0800

drbl (2.0.1-drbl1) unstable; urgency=low

  * Adding firstboot.DBN6.0.5.drbl for Debian 6.0.5.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 19:56:18 +0800

drbl (2.0.0-drbl1) unstable; urgency=low

  * DRBL Version 2. New files arch so it's easier to be packaged in Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Aug 2012 15:04:53 +0800

drbl (1.12.19-1drbl) unstable; urgency=low

  * Minor improving in set-default-pxe-img.
  * The function get_pxecfg_image_block in drbl-functions should not be case sensitive for label name.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jul 2012 17:25:35 +0800

drbl (1.12.18-1drbl) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Jul 2012 19:25:33 +0800

drbl (1.12.17-1drbl) unstable; urgency=low

  * Forcing to run "make -C /var/yp all", i.e. not only "make -C /var/yp", when updating YP in drblpush.
  * Language files were updated. The warning about -z3 was removed. Thanks to mmx.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Jul 2012 21:57:44 +0800

drbl (1.12.16-1drbl) unstable; urgency=low

  * Some notes were added in drbl-sha1pass.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Jun 2012 11:37:20 +0800

drbl (1.12.15-1drbl) unstable; urgency=low

  * Improve drbl-sha1pass so that it will work for perl <=5.9.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Jun 2012 13:02:51 +0800

drbl (1.12.14-1drbl) unstable; urgency=low

  * Program mkswapfile was updated to skip mounting extended partition. Othewise it might be hang due to a mount bug.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Jun 2012 20:31:27 +0800

drbl (1.12.13-1drbl) unstable; urgency=low

  * Services ethtool, openssh-server and postfix were added to the checklists in start-srv-after-ifup.
  * Skip removing /lib/init/rw in Debian clients during bootinig.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Jun 2012 21:49:10 +0800

drbl (1.12.12-1drbl) unstable; urgency=low

  * Environmental ADDRFAM=inet was added in start-srv-after-ifup so that mountnfs in if-up.d/ will be run.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 17 Jun 2012 14:16:38 +0800

drbl (1.12.11-1drbl) unstable; urgency=low

  * Package ddrescue was removed from the packages list of Clonezilla live because it's no more in Debian Sid, and we already have gddrescue. Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677101

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Jun 2012 22:24:41 +0800

drbl (1.12.10-1drbl) unstable; urgency=low

  * Updating Fedora netinstall as 17 in drbl.conf.
  * Updating function output_netinstall_syslinux_pxelinux_menu in drbl-functions so that Fedora 17 netinstall boot parameter inst.repo could be generated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Jun 2012 22:06:08 +0800

drbl (1.12.9-1drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 24 May 2012 23:56:02 +0800

drbl (1.12.8-1drbl) unstable; urgency=low

  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 May 2012 15:13:26 +0800

drbl (1.12.7-1drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 23:33:16 +0800

drbl (1.12.6-1drbl) unstable; urgency=low

  * Bug fixed: drbl-SL.sh failed to find vmlinuz for Clonezilla live iso in OpenSuSE 11.3. Thanks to melnikok for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 22:30:32 +0800

drbl (1.12.5-1drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.
  * Package cifs-utils instead of smbfs is listed as Clonezilla live package
    in drbl.conf. Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620847

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 20:06:31 +0800

drbl (1.12.4-1drbl) unstable; urgency=low

  * Netinstall for Ubuntu has changed to "lucid oneiric precise" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 04 May 2012 11:37:22 +0800

drbl (1.12.3-1drbl) unstable; urgency=low

  * Using Digest::SHA instead of Digest::SHA1 in drbl-sha1pass.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 May 2012 09:11:33 +0800

drbl (1.12.2-1drbl) unstable; urgency=low

  * TIMED_LIGHTDM_TIME_DEFAULT="30" was added in drbl.conf.
  * Autologin/Normallogin/Timelogin was added for lightdm in drbl-login-switch.
  * Program drbl-client-root-passwd now supports Ubuntu 12.04.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 May 2012 13:57:11 +0800

drbl (1.12.1-1drbl) unstable; urgency=low

  * Removing libdigest-sha1-perl from drbl.conf. It's no more in new GNU/Linux.
  * Using "udev" instead of "none" for mounting /dev in DRBL clients.
  * File drbl-client-boot.conf for Ubuntu 12.04 was added.
  * File drblpush was modified to make drbl work on Ubuntu 12.04.
  * A better file drbl-client-boot.conf for Ubuntu 11.10 was added. This should fix the issue that keyboard and mount not working on DRBL clients. Thanks to timothyshelley for reporting this issue.  Ref: https://sourceforge.net/projects/drbl/forums/forum/394008/topic/5189191
  * This release should support Ubuntu 12.04, but still not well tested.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 May 2012 13:47:42 +0800

drbl (1.11.15-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 Apr 2012 09:56:42 +0800

drbl (1.11.14-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Apr 2012 07:30:58 +0800

drbl (1.11.13-1drbl) unstable; urgency=low

  * Package vlan was added in Clonezilla live packages list in drbl.conf. Thanks to ggarland <ggarland_99 _at_ yahoo com> for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 08 Apr 2012 20:06:03 +0800

drbl (1.11.12-1drbl) unstable; urgency=low

  * Wicd autostart in DRBL clients is disabled in DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Apr 2012 21:30:21 +0800

drbl (1.11.1l-1drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 Apr 2012 08:49:00 +0800

drbl (1.11.10-1drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 27 Mar 2012 07:43:52 +0800

drbl (1.11.9-1drbl) unstable; urgency=low

  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 25 Mar 2012 15:45:28 +0800

drbl (1.11.8-1drbl) unstable; urgency=low

  * Adding packages dnsutils for Clonezilla live.
  * Adding package syslinux in drbl-bug-report.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 18 Mar 2012 22:01:38 +0800

drbl (1.11.7-1drbl) unstable; urgency=low

  * Bug fixed: regular expression in  list_available_rpm was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Mar 2012 19:52:23 +0800

drbl (1.11.6-1drbl) unstable; urgency=low

  * Forcing drbl-prepare-pxelinux to be run in drblsrv-offline if gpxelinux.0 is not found. Thanks to Tomas Moler for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Mar 2012 11:52:06 +0800

drbl (1.11.5-1drbl) unstable; urgency=low

  * Updating opensuse netinstall as 12.1 in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Mar 2012 22:19:08 +0800

drbl (1.11.4-1drbl) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to Juan Ramón Martínez (JRMC77 _at_ terra es).

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Feb 2012 10:19:38 +0800

drbl (1.11.3-1drbl) unstable; urgency=low

  * Bug fixed: function get_syslinux_binary_for_dos_linux in drbl-functions failed to get the latest version.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 Feb 2012 22:32:15 +0800

drbl (1.11.2-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Feb 2012 09:11:26 +0800

drbl (1.11.1-1drbl) unstable; urgency=low

  * Language files were updated.
  * Option -fsck-src-part-y was added for dialog menus about running fsck with option -y in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Feb 2012 20:34:16 +0800

drbl (1.10.90-1drbl) unstable; urgency=low

  * Network installation for Fedora has been updated to 16 in drbl.conf.
  * The mode of Language file zh_CN.UTF-8 is changed to 644.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 31 Jan 2012 14:09:35 +0800

drbl (1.10.89-1drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.
  * Files firstboot.DBN6.0.4.drbl and firstboot.DBN6.0.3.drbl were added.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 31 Jan 2012 11:33:26 +0800

drbl (1.10.88-1drbl) unstable; urgency=low

  * The updates repository path of Centos 6 was added in drblsrv.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 Jan 2012 16:29:08 +0800

drbl (1.10.87-1drbl) unstable; urgency=low

  * Put grub-pc instead of dummy package grub in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jan 2012 13:11:10 +0800

drbl (1.10.86-1drbl) unstable; urgency=low

  * Package sysklogd was added back in the packages list of Clonezilla live, which was due to the new initscripts (2.88dsf-16) breaking it.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 21:54:51 +0800

drbl (1.10.85-1drbl) unstable; urgency=low

  * Function disable_apt_lang_translation was added in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 20:15:41 +0800

drbl (1.10.84-1drbl) unstable; urgency=low

  * Language file es_ES was updated. Thanks to Alex Ibáñez López.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 10:43:54 +0800

drbl (1.10.83-1drbl) unstable; urgency=low

  *- Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  *- Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  *- Language file it_IT was updated. Thanks to Gianfranco Gentili.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 21 Jan 2012 21:41:37 +0800

drbl (1.10.82-1drbl) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.
  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 20 Jan 2012 19:27:41 +0800

drbl (1.10.81-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 20 Jan 2012 14:39:56 +0800

drbl (1.10.80-1drbl) unstable; urgency=low

  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * File drbl-functions was updated for the option -icds of drbl-ocs and ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 20 Jan 2012 14:15:42 +0800

drbl (1.10.79-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Jan 2012 22:04:37 +0800

drbl (1.10.78-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Jan 2012 21:35:51 +0800

drbl (1.10.77-1drbl) unstable; urgency=low

  * Use syslinux/pxelinux 4.05 in drbl/clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 28 Dec 2011 16:58:58 +0800

drbl (1.10.76-1drbl) unstable; urgency=low

  * Package pv (pipe viewer) was added in the packages list of Clonezilla live. (https://sourceforge.net/tracker/?func=detail&atid=671653&aid=3463112&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 22 Dec 2011 16:53:52 +0800

drbl (1.10.75-2drbl) unstable; urgency=low

  * Typo in changelog fixed. It should be CentOS 6.2 support was added.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Dec 2011 22:07:14 +0800

drbl (1.10.75-1drbl) unstable; urgency=low

  * CentOS 6.1 support was added.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Dec 2011 21:49:39 +0800

drbl (1.10.74-1drbl) unstable; urgency=low

  * Package sysklogd was removed temporarily in the packages list of Clonezilla live due to the new initscripts (2.88dsf-16) breaks it.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Dec 2011 12:01:43 +0800

drbl (1.10.73-1drbl) unstable; urgency=low

  * Desktop icon file Grandr.desktop was replaced by Display.desktop.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Dec 2011 15:50:04 +0800

drbl (1.10.72-1drbl) unstable; urgency=low

  * More improvements to make Fedora 14 and CentOS 5/6 DRBL clients reboot faster. Remove those unnecessary file systems mounting and unmounting. Thanks to Robert Arkiletian for helping this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Dec 2011 16:47:57 +0800

drbl (1.10.71-1drbl) unstable; urgency=low

  * CentOS 6.1 support was added.
  * Bug fixed: /dev/shm and tmpfs won't be umounted or remounted when halting or reboot in Fedora 14 and CentOS 5/6. This will make Fedora 14/CentOS 6 DRBL clients halt and reboot faster. Thanks to Robert Arkiletian for this bug report.


 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Dec 2011 10:02:03 +0800

drbl (1.10.70-1drbl) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to Juan Ramón Martínez (JRMC77 _at_ terra es).

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Dec 2011 21:51:43 +0800

drbl (1.10.69-1drbl) unstable; urgency=low

  * Bug fixed: Failed to create SSI template tarball if only Clonezilla box mode or SSI mode is enabled, while the rest if full mode. Thanks to hsueh.chih.sun for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Dec 2011 21:40:26 +0800

drbl (1.10.68-1drbl) unstable; urgency=low

  * The option "-z7" was added in the Clonezilla-related TUI menus.
  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 30 Nov 2011 14:56:37 +0800

drbl (1.10.67-1drbl) unstable; urgency=low

  * Package libdigest-sha1-perl was removed from the list of Clonezilla live. Since for Sid the perl has built-in function. (Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591091).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 25 Nov 2011 08:51:11 +0800

drbl (1.10.66-1drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Nov 2011 09:14:54 +0800

drbl (1.10.65-1drbl) unstable; urgency=low

  *Language file pt_BR was updated. Thanks to Marcos Pereira da Silva Cruz. 
  *Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  *Language file it_IT was updated. Thanks to Gianfranco Gentili.
  *Language file de_DE was updated. Thanks to Michael Vinzenz.
  *Language file zh_CN was updated. Thanks to Zhiqiang Zhang.
  *Language file es_ES was updated. Thanks to Alex Ibáñez López.
  *Packages dirvish, rsnapshot, and lrzip were added in the Clonezilla live packages list in drbl.conf. Package crontabs, which provides run-parts, was added in PKG_FROM_RH in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 13 Nov 2011 00:59:48 +0800

drbl (1.10.64-1drbl) unstable; urgency=low

  * Language files es_ES was updated. Thanks to Alex Ibáñez López.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Nov 2011 10:34:18 +0800

drbl (1.10.63-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Nov 2011 23:09:52 +0800

drbl (1.10.62-1drbl) unstable; urgency=low

  * Language files were updated.
  * Function get_sort_V_opt was added in drbl-functions.
  * Program get-client-ip-list was improved with better sorting.
  * Bug fixed: get-client-ip-list failed to give correct clients' IP addresses if server's IP address is in the range in dhcpd.conf.
  * Use function get_sort_V_opt in drblsrv.
  * The missing icons of Grandr.desktop and GParted.desktop on DRBL live have been fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Nov 2011 10:52:18 +0800

drbl (1.10.61-1drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.
  * Package acpi was added in Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Nov 2011 22:52:19 +0800

drbl (1.10.60-1drbl) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Default not to turn on "-fsck-src-part".

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Nov 2011 18:34:05 +0800

drbl (1.10.59-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 31 Oct 2011 22:33:19 +0800

drbl (1.10.58-1drbl) unstable; urgency=low

  * Language files were updated.

